#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1068
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 200
#define ALIAS_COUNT 2
#define TOKEN_COUNT 96
#define EXTERNAL_TOKEN_COUNT 25
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 67

enum ts_symbol_identifiers {
  anon_sym_LT_BANG = 1,
  aux_sym_doctype_token1 = 2,
  anon_sym_GT = 3,
  sym__doctype = 4,
  anon_sym_LT = 5,
  anon_sym_SLASH_GT = 6,
  anon_sym_LT_SLASH = 7,
  sym_attribute_name = 8,
  sym_attribute_value = 9,
  sym_entity = 10,
  anon_sym_SQUOTE = 11,
  aux_sym_quoted_attribute_value_token1 = 12,
  anon_sym_DQUOTE = 13,
  aux_sym_quoted_attribute_value_token2 = 14,
  sym_text = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  anon_sym_SEMI = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_prefetch = 21,
  anon_sym_when = 22,
  anon_sym_on = 23,
  anon_sym_after = 24,
  anon_sym_minimum = 25,
  anon_sym_ms = 26,
  anon_sym_s = 27,
  anon_sym_of = 28,
  anon_sym_track = 29,
  anon_sym_let = 30,
  anon_sym_COMMA = 31,
  anon_sym_as = 32,
  anon_sym_EQ = 33,
  anon_sym_plural = 34,
  anon_sym_select = 35,
  sym_icu_category = 36,
  anon_sym_PLUS = 37,
  anon_sym_STAR = 38,
  anon_sym_COLON = 39,
  anon_sym_then = 40,
  anon_sym_else = 41,
  anon_sym_context = 42,
  anon_sym_LBRACK = 43,
  anon_sym_RBRACK = 44,
  anon_sym_LBRACK_LPAREN = 45,
  anon_sym_RPAREN_RBRACK = 46,
  anon_sym_LBRACK_AT = 47,
  anon_sym_BANG = 48,
  anon_sym_QMARK = 49,
  anon_sym_QMARK_QMARK = 50,
  anon_sym_PIPE_PIPE = 51,
  anon_sym_AMP_AMP = 52,
  anon_sym_PIPE = 53,
  sym_identifier = 54,
  sym__escape_sequence = 55,
  aux_sym_string_token1 = 56,
  aux_sym_string_token2 = 57,
  sym_number = 58,
  anon_sym_DOT = 59,
  anon_sym_QMARK_DOT = 60,
  anon_sym_BANG_DOT = 61,
  sym__closing_bracket = 62,
  anon_sym_DASH = 63,
  anon_sym_SLASH = 64,
  anon_sym_PERCENT = 65,
  anon_sym_EQ_EQ = 66,
  anon_sym_EQ_EQ_EQ = 67,
  anon_sym_BANG_EQ = 68,
  anon_sym_BANG_EQ_EQ = 69,
  anon_sym_LT_EQ = 70,
  anon_sym_GT_EQ = 71,
  sym__start_tag_name = 72,
  sym__script_start_tag_name = 73,
  sym__style_start_tag_name = 74,
  sym__end_tag_name = 75,
  sym_erroneous_end_tag_name = 76,
  sym__implicit_end_tag = 77,
  sym_raw_text = 78,
  sym_comment = 79,
  sym__interpolation_start = 80,
  sym__interpolation_end = 81,
  sym_if_start = 82,
  sym_else_start = 83,
  sym_for_start = 84,
  sym_switch_start = 85,
  sym_case_start = 86,
  sym_default_start = 87,
  sym_defer_start = 88,
  sym_let_start = 89,
  sym_empty_start = 90,
  sym_placeholder_start = 91,
  sym_loading_start = 92,
  sym_error_start = 93,
  sym_else_if_start = 94,
  sym_at_sign = 95,
  sym_document = 96,
  sym_doctype = 97,
  sym__node = 98,
  sym_element = 99,
  sym_script_element = 100,
  sym_style_element = 101,
  sym_start_tag = 102,
  sym_script_start_tag = 103,
  sym_style_start_tag = 104,
  sym_self_closing_tag = 105,
  sym_end_tag = 106,
  sym_erroneous_end_tag = 107,
  sym_attribute = 108,
  sym_quoted_attribute_value = 109,
  sym_statement_block = 110,
  sym__any_statement = 111,
  sym__alternative_statement = 112,
  sym_let_statement = 113,
  sym_switch_statement = 114,
  sym_switch_body = 115,
  sym_case_statement = 116,
  sym_default_statement = 117,
  sym_defer_statement = 118,
  sym_placeholder_statement = 119,
  sym_loading_statement = 120,
  sym_error_statement = 121,
  sym_defer_trigger = 122,
  sym_placeholder_minimum = 123,
  sym_loading_condition = 124,
  sym_defer_trigger_condition = 125,
  sym_timed_expression = 126,
  sym_for_statement = 127,
  sym_empty_statement = 128,
  sym_for_declaration = 129,
  sym_for_references = 130,
  sym_for_reference = 131,
  sym_if_statement = 132,
  sym_else_if_statement = 133,
  sym_else_statement = 134,
  sym_if_condition = 135,
  sym_if_reference = 136,
  sym__any_expression = 137,
  sym_assignment_expression = 138,
  sym_icu_expression = 139,
  sym_icu_clause = 140,
  sym_icu_case = 141,
  sym_interpolation = 142,
  sym_concatenation_expression = 143,
  sym_structural_directive = 144,
  sym_structural_expression = 145,
  sym_structural_declaration = 146,
  sym_structural_assignment = 147,
  sym__alias = 148,
  sym__then_template_expression = 149,
  sym__else_template_expression = 150,
  sym__context_expression = 151,
  sym_property_binding = 152,
  sym_event_binding = 153,
  sym_two_way_binding = 154,
  sym_animation_binding = 155,
  sym__binding_assignment = 156,
  sym_binding_name = 157,
  sym__normal_attribute = 158,
  sym_expression = 159,
  sym_unary_expression = 160,
  sym_binary_expression = 161,
  sym_ternary_expression = 162,
  sym_nullish_coalescing_expression = 163,
  sym_conditional_expression = 164,
  sym_pipe_sequence = 165,
  sym_pipe_call = 166,
  sym_pipe_arguments = 167,
  sym__primitive = 168,
  sym_object = 169,
  sym_pair = 170,
  sym_array = 171,
  sym_string = 172,
  sym_group = 173,
  sym_call_expression = 174,
  sym_arguments = 175,
  sym_member_expression = 176,
  sym_bracket_expression = 177,
  sym_static_member_expression = 178,
  sym__single_quote = 179,
  sym__double_quote = 180,
  sym__binary_op = 181,
  aux_sym_document_repeat1 = 182,
  aux_sym_start_tag_repeat1 = 183,
  aux_sym_switch_body_repeat1 = 184,
  aux_sym_defer_trigger_repeat1 = 185,
  aux_sym_for_references_repeat1 = 186,
  aux_sym_for_reference_repeat1 = 187,
  aux_sym_if_statement_repeat1 = 188,
  aux_sym_icu_expression_repeat1 = 189,
  aux_sym_concatenation_expression_repeat1 = 190,
  aux_sym_structural_declaration_repeat1 = 191,
  aux_sym__binding_assignment_repeat1 = 192,
  aux_sym_pipe_sequence_repeat1 = 193,
  aux_sym_pipe_arguments_repeat1 = 194,
  aux_sym_object_repeat1 = 195,
  aux_sym_array_repeat1 = 196,
  aux_sym_string_repeat1 = 197,
  aux_sym_string_repeat2 = 198,
  aux_sym_arguments_repeat1 = 199,
  alias_sym_conditional_operator = 200,
  alias_sym_unary_operator = 201,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LT_BANG] = "<!",
  [aux_sym_doctype_token1] = "doctype_token1",
  [anon_sym_GT] = ">",
  [sym__doctype] = "doctype",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [sym_attribute_name] = "attribute_name",
  [sym_attribute_value] = "attribute_value",
  [sym_entity] = "entity",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_quoted_attribute_value_token1] = "attribute_value",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_quoted_attribute_value_token2] = "attribute_value",
  [sym_text] = "text",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SEMI] = ";",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_prefetch] = "prefetch_keyword",
  [anon_sym_when] = "special_keyword",
  [anon_sym_on] = "special_keyword",
  [anon_sym_after] = "special_keyword",
  [anon_sym_minimum] = "special_keyword",
  [anon_sym_ms] = "unit",
  [anon_sym_s] = "unit",
  [anon_sym_of] = "special_keyword",
  [anon_sym_track] = "special_keyword",
  [anon_sym_let] = "special_keyword",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "special_keyword",
  [anon_sym_EQ] = "=",
  [anon_sym_plural] = "plural",
  [anon_sym_select] = "select",
  [sym_icu_category] = "icu_category",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_COLON] = ":",
  [anon_sym_then] = "special_keyword",
  [anon_sym_else] = "special_keyword",
  [anon_sym_context] = "special_keyword",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LPAREN] = "[(",
  [anon_sym_RPAREN_RBRACK] = ")]",
  [anon_sym_LBRACK_AT] = "[@",
  [anon_sym_BANG] = "!",
  [anon_sym_QMARK] = "ternary_operator",
  [anon_sym_QMARK_QMARK] = "coalescing_operator",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "pipe_operator",
  [sym_identifier] = "identifier",
  [sym__escape_sequence] = "_escape_sequence",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "string_token2",
  [sym_number] = "number",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_BANG_DOT] = "!.",
  [sym__closing_bracket] = "_closing_bracket",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [sym__start_tag_name] = "tag_name",
  [sym__script_start_tag_name] = "tag_name",
  [sym__style_start_tag_name] = "tag_name",
  [sym__end_tag_name] = "tag_name",
  [sym_erroneous_end_tag_name] = "erroneous_end_tag_name",
  [sym__implicit_end_tag] = "_implicit_end_tag",
  [sym_raw_text] = "raw_text",
  [sym_comment] = "comment",
  [sym__interpolation_start] = "{{",
  [sym__interpolation_end] = "}}",
  [sym_if_start] = "control_keyword",
  [sym_else_start] = "control_keyword",
  [sym_for_start] = "control_keyword",
  [sym_switch_start] = "control_keyword",
  [sym_case_start] = "control_keyword",
  [sym_default_start] = "control_keyword",
  [sym_defer_start] = "control_keyword",
  [sym_let_start] = "control_keyword",
  [sym_empty_start] = "control_keyword",
  [sym_placeholder_start] = "control_keyword",
  [sym_loading_start] = "control_keyword",
  [sym_error_start] = "control_keyword",
  [sym_else_if_start] = "control_keyword",
  [sym_at_sign] = "at_sign",
  [sym_document] = "document",
  [sym_doctype] = "doctype",
  [sym__node] = "_node",
  [sym_element] = "element",
  [sym_script_element] = "script_element",
  [sym_style_element] = "style_element",
  [sym_start_tag] = "start_tag",
  [sym_script_start_tag] = "start_tag",
  [sym_style_start_tag] = "start_tag",
  [sym_self_closing_tag] = "self_closing_tag",
  [sym_end_tag] = "end_tag",
  [sym_erroneous_end_tag] = "erroneous_end_tag",
  [sym_attribute] = "attribute",
  [sym_quoted_attribute_value] = "quoted_attribute_value",
  [sym_statement_block] = "statement_block",
  [sym__any_statement] = "_any_statement",
  [sym__alternative_statement] = "_alternative_statement",
  [sym_let_statement] = "let_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_body] = "switch_body",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_placeholder_statement] = "placeholder_statement",
  [sym_loading_statement] = "loading_statement",
  [sym_error_statement] = "error_statement",
  [sym_defer_trigger] = "defer_trigger",
  [sym_placeholder_minimum] = "placeholder_minimum",
  [sym_loading_condition] = "loading_condition",
  [sym_defer_trigger_condition] = "defer_trigger_condition",
  [sym_timed_expression] = "timed_expression",
  [sym_for_statement] = "for_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_for_declaration] = "for_declaration",
  [sym_for_references] = "for_references",
  [sym_for_reference] = "for_reference",
  [sym_if_statement] = "if_statement",
  [sym_else_if_statement] = "else_if_statement",
  [sym_else_statement] = "else_statement",
  [sym_if_condition] = "if_condition",
  [sym_if_reference] = "if_reference",
  [sym__any_expression] = "_any_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_icu_expression] = "icu_expression",
  [sym_icu_clause] = "icu_clause",
  [sym_icu_case] = "icu_case",
  [sym_interpolation] = "interpolation",
  [sym_concatenation_expression] = "concatenation_expression",
  [sym_structural_directive] = "structural_directive",
  [sym_structural_expression] = "structural_expression",
  [sym_structural_declaration] = "structural_declaration",
  [sym_structural_assignment] = "structural_assignment",
  [sym__alias] = "_alias",
  [sym__then_template_expression] = "_then_template_expression",
  [sym__else_template_expression] = "_else_template_expression",
  [sym__context_expression] = "_context_expression",
  [sym_property_binding] = "property_binding",
  [sym_event_binding] = "event_binding",
  [sym_two_way_binding] = "two_way_binding",
  [sym_animation_binding] = "animation_binding",
  [sym__binding_assignment] = "_binding_assignment",
  [sym_binding_name] = "binding_name",
  [sym__normal_attribute] = "_normal_attribute",
  [sym_expression] = "expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_nullish_coalescing_expression] = "nullish_coalescing_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_pipe_sequence] = "pipe_sequence",
  [sym_pipe_call] = "pipe_call",
  [sym_pipe_arguments] = "pipe_arguments",
  [sym__primitive] = "_primitive",
  [sym_object] = "object",
  [sym_pair] = "pair",
  [sym_array] = "array",
  [sym_string] = "string",
  [sym_group] = "group",
  [sym_call_expression] = "call_expression",
  [sym_arguments] = "arguments",
  [sym_member_expression] = "member_expression",
  [sym_bracket_expression] = "bracket_expression",
  [sym_static_member_expression] = "static_member_expression",
  [sym__single_quote] = "_single_quote",
  [sym__double_quote] = "_double_quote",
  [sym__binary_op] = "_binary_op",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_start_tag_repeat1] = "start_tag_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_defer_trigger_repeat1] = "defer_trigger_repeat1",
  [aux_sym_for_references_repeat1] = "for_references_repeat1",
  [aux_sym_for_reference_repeat1] = "for_reference_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_icu_expression_repeat1] = "icu_expression_repeat1",
  [aux_sym_concatenation_expression_repeat1] = "concatenation_expression_repeat1",
  [aux_sym_structural_declaration_repeat1] = "structural_declaration_repeat1",
  [aux_sym__binding_assignment_repeat1] = "_binding_assignment_repeat1",
  [aux_sym_pipe_sequence_repeat1] = "pipe_sequence_repeat1",
  [aux_sym_pipe_arguments_repeat1] = "pipe_arguments_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [alias_sym_conditional_operator] = "conditional_operator",
  [alias_sym_unary_operator] = "unary_operator",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [aux_sym_doctype_token1] = aux_sym_doctype_token1,
  [anon_sym_GT] = anon_sym_GT,
  [sym__doctype] = sym__doctype,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [sym_attribute_name] = sym_attribute_name,
  [sym_attribute_value] = sym_attribute_value,
  [sym_entity] = sym_entity,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_quoted_attribute_value_token1] = sym_attribute_value,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_quoted_attribute_value_token2] = sym_attribute_value,
  [sym_text] = sym_text,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_prefetch] = anon_sym_prefetch,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_on] = anon_sym_when,
  [anon_sym_after] = anon_sym_when,
  [anon_sym_minimum] = anon_sym_when,
  [anon_sym_ms] = anon_sym_ms,
  [anon_sym_s] = anon_sym_ms,
  [anon_sym_of] = anon_sym_when,
  [anon_sym_track] = anon_sym_when,
  [anon_sym_let] = anon_sym_when,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_when,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_plural] = anon_sym_plural,
  [anon_sym_select] = anon_sym_select,
  [sym_icu_category] = sym_icu_category,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_then] = anon_sym_when,
  [anon_sym_else] = anon_sym_when,
  [anon_sym_context] = anon_sym_when,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LPAREN] = anon_sym_LBRACK_LPAREN,
  [anon_sym_RPAREN_RBRACK] = anon_sym_RPAREN_RBRACK,
  [anon_sym_LBRACK_AT] = anon_sym_LBRACK_AT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [sym_identifier] = sym_identifier,
  [sym__escape_sequence] = sym__escape_sequence,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_number] = sym_number,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_BANG_DOT] = anon_sym_BANG_DOT,
  [sym__closing_bracket] = sym__closing_bracket,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [sym__start_tag_name] = sym__start_tag_name,
  [sym__script_start_tag_name] = sym__start_tag_name,
  [sym__style_start_tag_name] = sym__start_tag_name,
  [sym__end_tag_name] = sym__start_tag_name,
  [sym_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [sym__implicit_end_tag] = sym__implicit_end_tag,
  [sym_raw_text] = sym_raw_text,
  [sym_comment] = sym_comment,
  [sym__interpolation_start] = sym__interpolation_start,
  [sym__interpolation_end] = sym__interpolation_end,
  [sym_if_start] = sym_if_start,
  [sym_else_start] = sym_if_start,
  [sym_for_start] = sym_if_start,
  [sym_switch_start] = sym_if_start,
  [sym_case_start] = sym_if_start,
  [sym_default_start] = sym_if_start,
  [sym_defer_start] = sym_if_start,
  [sym_let_start] = sym_if_start,
  [sym_empty_start] = sym_if_start,
  [sym_placeholder_start] = sym_if_start,
  [sym_loading_start] = sym_if_start,
  [sym_error_start] = sym_if_start,
  [sym_else_if_start] = sym_if_start,
  [sym_at_sign] = sym_at_sign,
  [sym_document] = sym_document,
  [sym_doctype] = sym_doctype,
  [sym__node] = sym__node,
  [sym_element] = sym_element,
  [sym_script_element] = sym_script_element,
  [sym_style_element] = sym_style_element,
  [sym_start_tag] = sym_start_tag,
  [sym_script_start_tag] = sym_start_tag,
  [sym_style_start_tag] = sym_start_tag,
  [sym_self_closing_tag] = sym_self_closing_tag,
  [sym_end_tag] = sym_end_tag,
  [sym_erroneous_end_tag] = sym_erroneous_end_tag,
  [sym_attribute] = sym_attribute,
  [sym_quoted_attribute_value] = sym_quoted_attribute_value,
  [sym_statement_block] = sym_statement_block,
  [sym__any_statement] = sym__any_statement,
  [sym__alternative_statement] = sym__alternative_statement,
  [sym_let_statement] = sym_let_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_placeholder_statement] = sym_placeholder_statement,
  [sym_loading_statement] = sym_loading_statement,
  [sym_error_statement] = sym_error_statement,
  [sym_defer_trigger] = sym_defer_trigger,
  [sym_placeholder_minimum] = sym_placeholder_minimum,
  [sym_loading_condition] = sym_loading_condition,
  [sym_defer_trigger_condition] = sym_defer_trigger_condition,
  [sym_timed_expression] = sym_timed_expression,
  [sym_for_statement] = sym_for_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_for_declaration] = sym_for_declaration,
  [sym_for_references] = sym_for_references,
  [sym_for_reference] = sym_for_reference,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_statement] = sym_else_if_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_if_condition] = sym_if_condition,
  [sym_if_reference] = sym_if_reference,
  [sym__any_expression] = sym__any_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_icu_expression] = sym_icu_expression,
  [sym_icu_clause] = sym_icu_clause,
  [sym_icu_case] = sym_icu_case,
  [sym_interpolation] = sym_interpolation,
  [sym_concatenation_expression] = sym_concatenation_expression,
  [sym_structural_directive] = sym_structural_directive,
  [sym_structural_expression] = sym_structural_expression,
  [sym_structural_declaration] = sym_structural_declaration,
  [sym_structural_assignment] = sym_structural_assignment,
  [sym__alias] = sym__alias,
  [sym__then_template_expression] = sym__then_template_expression,
  [sym__else_template_expression] = sym__else_template_expression,
  [sym__context_expression] = sym__context_expression,
  [sym_property_binding] = sym_property_binding,
  [sym_event_binding] = sym_event_binding,
  [sym_two_way_binding] = sym_two_way_binding,
  [sym_animation_binding] = sym_animation_binding,
  [sym__binding_assignment] = sym__binding_assignment,
  [sym_binding_name] = sym_binding_name,
  [sym__normal_attribute] = sym__normal_attribute,
  [sym_expression] = sym_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_nullish_coalescing_expression] = sym_nullish_coalescing_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_pipe_sequence] = sym_pipe_sequence,
  [sym_pipe_call] = sym_pipe_call,
  [sym_pipe_arguments] = sym_pipe_arguments,
  [sym__primitive] = sym__primitive,
  [sym_object] = sym_object,
  [sym_pair] = sym_pair,
  [sym_array] = sym_array,
  [sym_string] = sym_string,
  [sym_group] = sym_group,
  [sym_call_expression] = sym_call_expression,
  [sym_arguments] = sym_arguments,
  [sym_member_expression] = sym_member_expression,
  [sym_bracket_expression] = sym_bracket_expression,
  [sym_static_member_expression] = sym_static_member_expression,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__double_quote,
  [sym__binary_op] = sym__binary_op,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_start_tag_repeat1] = aux_sym_start_tag_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_defer_trigger_repeat1] = aux_sym_defer_trigger_repeat1,
  [aux_sym_for_references_repeat1] = aux_sym_for_references_repeat1,
  [aux_sym_for_reference_repeat1] = aux_sym_for_reference_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_icu_expression_repeat1] = aux_sym_icu_expression_repeat1,
  [aux_sym_concatenation_expression_repeat1] = aux_sym_concatenation_expression_repeat1,
  [aux_sym_structural_declaration_repeat1] = aux_sym_structural_declaration_repeat1,
  [aux_sym__binding_assignment_repeat1] = aux_sym__binding_assignment_repeat1,
  [aux_sym_pipe_sequence_repeat1] = aux_sym_pipe_sequence_repeat1,
  [aux_sym_pipe_arguments_repeat1] = aux_sym_pipe_arguments_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [alias_sym_conditional_operator] = alias_sym_conditional_operator,
  [alias_sym_unary_operator] = alias_sym_unary_operator,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_doctype_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__doctype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_entity] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prefetch] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_after] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_minimum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ms] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_track] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_plural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [sym_icu_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_context] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym__closing_bracket] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__script_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__style_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__implicit_end_tag] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_text] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_start] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolation_end] = {
    .visible = true,
    .named = false,
  },
  [sym_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_start] = {
    .visible = true,
    .named = true,
  },
  [sym_for_start] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_start] = {
    .visible = true,
    .named = true,
  },
  [sym_case_start] = {
    .visible = true,
    .named = true,
  },
  [sym_default_start] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_start] = {
    .visible = true,
    .named = true,
  },
  [sym_let_start] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_start] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_start] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_start] = {
    .visible = true,
    .named = true,
  },
  [sym_error_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_at_sign] = {
    .visible = true,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_doctype] = {
    .visible = true,
    .named = true,
  },
  [sym__node] = {
    .visible = false,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_script_element] = {
    .visible = true,
    .named = true,
  },
  [sym_style_element] = {
    .visible = true,
    .named = true,
  },
  [sym_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_script_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_style_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_self_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym__any_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__alternative_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_let_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_error_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_minimum] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_timed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_for_references] = {
    .visible = true,
    .named = true,
  },
  [sym_for_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_if_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__any_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_case] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym__then_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__else_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__context_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_property_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_event_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_two_way_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_animation_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__binding_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym__normal_attribute] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullish_coalescing_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_call] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__primitive] = {
    .visible = false,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_group] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bracket_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_static_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_op] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_start_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defer_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_references_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_reference_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_icu_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structural_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__binding_assignment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_conditional_operator] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_alternative_condition = 3,
  field_argument = 4,
  field_arguments = 5,
  field_body = 6,
  field_call = 7,
  field_condition = 8,
  field_consequence = 9,
  field_declaration = 10,
  field_default = 11,
  field_empty = 12,
  field_error = 13,
  field_function = 14,
  field_key = 15,
  field_left = 16,
  field_loading = 17,
  field_minimum = 18,
  field_name = 19,
  field_named = 20,
  field_object = 21,
  field_operator = 22,
  field_pipes = 23,
  field_placeholder = 24,
  field_property = 25,
  field_reference = 26,
  field_references = 27,
  field_right = 28,
  field_track = 29,
  field_trigger = 30,
  field_value = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_alternative_condition] = "alternative_condition",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_call] = "call",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declaration] = "declaration",
  [field_default] = "default",
  [field_empty] = "empty",
  [field_error] = "error",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_loading] = "loading",
  [field_minimum] = "minimum",
  [field_name] = "name",
  [field_named] = "named",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_pipes] = "pipes",
  [field_placeholder] = "placeholder",
  [field_property] = "property",
  [field_reference] = "reference",
  [field_references] = "references",
  [field_right] = "right",
  [field_track] = "track",
  [field_trigger] = "trigger",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 6},
  [2] = {.index = 6, .length = 1},
  [3] = {.index = 7, .length = 1},
  [4] = {.index = 8, .length = 1},
  [5] = {.index = 9, .length = 1},
  [6] = {.index = 10, .length = 1},
  [7] = {.index = 11, .length = 1},
  [8] = {.index = 12, .length = 1},
  [9] = {.index = 13, .length = 12},
  [10] = {.index = 25, .length = 2},
  [11] = {.index = 27, .length = 1},
  [12] = {.index = 28, .length = 1},
  [13] = {.index = 29, .length = 6},
  [14] = {.index = 35, .length = 1},
  [15] = {.index = 36, .length = 2},
  [16] = {.index = 38, .length = 3},
  [17] = {.index = 41, .length = 2},
  [18] = {.index = 43, .length = 1},
  [19] = {.index = 44, .length = 2},
  [20] = {.index = 46, .length = 2},
  [21] = {.index = 48, .length = 1},
  [22] = {.index = 49, .length = 1},
  [23] = {.index = 50, .length = 2},
  [24] = {.index = 52, .length = 1},
  [25] = {.index = 53, .length = 2},
  [26] = {.index = 55, .length = 2},
  [27] = {.index = 57, .length = 2},
  [28] = {.index = 59, .length = 2},
  [29] = {.index = 61, .length = 1},
  [30] = {.index = 62, .length = 2},
  [31] = {.index = 64, .length = 2},
  [32] = {.index = 66, .length = 1},
  [33] = {.index = 67, .length = 2},
  [34] = {.index = 69, .length = 2},
  [35] = {.index = 71, .length = 1},
  [36] = {.index = 72, .length = 3},
  [37] = {.index = 75, .length = 2},
  [38] = {.index = 77, .length = 1},
  [39] = {.index = 78, .length = 8},
  [40] = {.index = 86, .length = 3},
  [41] = {.index = 89, .length = 1},
  [42] = {.index = 90, .length = 2},
  [43] = {.index = 92, .length = 3},
  [44] = {.index = 95, .length = 2},
  [45] = {.index = 97, .length = 1},
  [46] = {.index = 98, .length = 2},
  [47] = {.index = 100, .length = 9},
  [48] = {.index = 109, .length = 2},
  [49] = {.index = 111, .length = 2},
  [50] = {.index = 113, .length = 2},
  [51] = {.index = 115, .length = 3},
  [52] = {.index = 118, .length = 2},
  [53] = {.index = 120, .length = 1},
  [54] = {.index = 121, .length = 1},
  [55] = {.index = 122, .length = 2},
  [56] = {.index = 124, .length = 2},
  [57] = {.index = 126, .length = 1},
  [58] = {.index = 127, .length = 6},
  [59] = {.index = 133, .length = 3},
  [60] = {.index = 136, .length = 2},
  [61] = {.index = 138, .length = 1},
  [62] = {.index = 139, .length = 3},
  [63] = {.index = 142, .length = 4},
  [64] = {.index = 146, .length = 1},
  [65] = {.index = 147, .length = 2},
  [66] = {.index = 149, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alternative, 0, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_placeholder, 0, .inherited = true},
  [6] =
    {field_placeholder, 0},
  [7] =
    {field_loading, 0},
  [8] =
    {field_error, 0},
  [9] =
    {field_empty, 0},
  [10] =
    {field_alternative_condition, 0},
  [11] =
    {field_alternative, 0},
  [12] =
    {field_body, 1},
  [13] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 0, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [25] =
    {field_operator, 0},
    {field_value, 1},
  [27] =
    {field_pipes, 1},
  [28] =
    {field_body, 2},
  [29] =
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [35] =
    {field_function, 0},
  [36] =
    {field_condition, 0},
    {field_default, 2},
  [38] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [41] =
    {field_left, 0},
    {field_right, 2},
  [43] =
    {field_name, 0},
  [44] =
    {field_object, 0},
    {field_property, 2},
  [46] =
    {field_call, 2},
    {field_object, 0},
  [48] =
    {field_trigger, 1},
  [49] =
    {field_condition, 1},
  [50] =
    {field_name, 0},
    {field_value, 2},
  [52] =
    {field_minimum, 1},
  [53] =
    {field_key, 0},
    {field_value, 2},
  [55] =
    {field_arguments, 2},
    {field_function, 0},
  [57] =
    {field_arguments, 1},
    {field_name, 0},
  [59] =
    {field_condition, 2},
    {field_consequence, 4},
  [61] =
    {field_reference, 1},
  [62] =
    {field_body, 4},
    {field_declaration, 2},
  [64] =
    {field_body, 4},
    {field_value, 2},
  [66] =
    {field_trigger, 2},
  [67] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [69] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [71] =
    {field_value, 1},
  [72] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [75] =
    {field_object, 0},
    {field_property, 3},
  [77] =
    {field_argument, 1},
  [78] =
    {field_alternative, 5, .inherited = true},
    {field_alternative_condition, 5, .inherited = true},
    {field_condition, 2},
    {field_consequence, 4},
    {field_empty, 5, .inherited = true},
    {field_error, 5, .inherited = true},
    {field_loading, 5, .inherited = true},
    {field_placeholder, 5, .inherited = true},
  [86] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_reference, 3},
  [89] =
    {field_alias, 1},
  [90] =
    {field_reference, 1},
    {field_reference, 2, .inherited = true},
  [92] =
    {field_body, 5},
    {field_declaration, 2},
    {field_references, 3},
  [95] =
    {field_condition, 1},
    {field_condition, 3},
  [97] =
    {field_trigger, 3},
  [98] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [100] =
    {field_alternative, 6, .inherited = true},
    {field_alternative_condition, 6, .inherited = true},
    {field_condition, 2},
    {field_consequence, 5},
    {field_empty, 6, .inherited = true},
    {field_error, 6, .inherited = true},
    {field_loading, 6, .inherited = true},
    {field_placeholder, 6, .inherited = true},
    {field_reference, 3},
  [109] =
    {field_alias, 1},
    {field_alias, 2, .inherited = true},
  [111] =
    {field_reference, 0, .inherited = true},
    {field_reference, 1, .inherited = true},
  [113] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [115] =
    {field_name, 0},
    {field_track, 5},
    {field_value, 2},
  [118] =
    {field_alias, 0, .inherited = true},
    {field_alias, 1, .inherited = true},
  [120] =
    {field_alias, 1, .inherited = true},
  [121] =
    {field_named, 1, .inherited = true},
  [122] =
    {field_alias, 1, .inherited = true},
    {field_name, 0},
  [124] =
    {field_alias, 1, .inherited = true},
    {field_named, 2, .inherited = true},
  [126] =
    {field_named, 2, .inherited = true},
  [127] =
    {field_alternative, 2, .inherited = true},
    {field_alternative_condition, 2, .inherited = true},
    {field_empty, 2, .inherited = true},
    {field_error, 2, .inherited = true},
    {field_loading, 2, .inherited = true},
    {field_placeholder, 2, .inherited = true},
  [133] =
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [136] =
    {field_alias, 1, .inherited = true},
    {field_named, 3, .inherited = true},
  [138] =
    {field_named, 3, .inherited = true},
  [139] =
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
  [142] =
    {field_alias, 3, .inherited = true},
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [146] =
    {field_named, 1},
  [147] =
    {field_alias, 1, .inherited = true},
    {field_named, 4, .inherited = true},
  [149] =
    {field_alias, 4, .inherited = true},
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [10] = {
    [0] = alias_sym_unary_operator,
  },
  [17] = {
    [1] = alias_sym_conditional_operator,
  },
  [36] = {
    [3] = anon_sym_QMARK,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 5,
  [6] = 5,
  [7] = 7,
  [8] = 8,
  [9] = 4,
  [10] = 10,
  [11] = 10,
  [12] = 12,
  [13] = 10,
  [14] = 8,
  [15] = 8,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 20,
  [23] = 18,
  [24] = 19,
  [25] = 18,
  [26] = 19,
  [27] = 17,
  [28] = 18,
  [29] = 19,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 19,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 19,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 34,
  [44] = 31,
  [45] = 18,
  [46] = 18,
  [47] = 47,
  [48] = 30,
  [49] = 49,
  [50] = 50,
  [51] = 34,
  [52] = 52,
  [53] = 21,
  [54] = 49,
  [55] = 34,
  [56] = 34,
  [57] = 57,
  [58] = 18,
  [59] = 47,
  [60] = 60,
  [61] = 50,
  [62] = 62,
  [63] = 52,
  [64] = 41,
  [65] = 38,
  [66] = 37,
  [67] = 36,
  [68] = 19,
  [69] = 35,
  [70] = 42,
  [71] = 40,
  [72] = 72,
  [73] = 73,
  [74] = 32,
  [75] = 34,
  [76] = 19,
  [77] = 77,
  [78] = 77,
  [79] = 60,
  [80] = 80,
  [81] = 34,
  [82] = 57,
  [83] = 62,
  [84] = 73,
  [85] = 72,
  [86] = 80,
  [87] = 18,
  [88] = 88,
  [89] = 19,
  [90] = 19,
  [91] = 19,
  [92] = 92,
  [93] = 18,
  [94] = 18,
  [95] = 18,
  [96] = 19,
  [97] = 18,
  [98] = 17,
  [99] = 99,
  [100] = 100,
  [101] = 20,
  [102] = 102,
  [103] = 18,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 19,
  [113] = 108,
  [114] = 114,
  [115] = 100,
  [116] = 116,
  [117] = 114,
  [118] = 118,
  [119] = 99,
  [120] = 118,
  [121] = 21,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 124,
  [126] = 126,
  [127] = 34,
  [128] = 34,
  [129] = 129,
  [130] = 130,
  [131] = 130,
  [132] = 124,
  [133] = 102,
  [134] = 107,
  [135] = 116,
  [136] = 136,
  [137] = 124,
  [138] = 138,
  [139] = 116,
  [140] = 110,
  [141] = 138,
  [142] = 102,
  [143] = 143,
  [144] = 40,
  [145] = 145,
  [146] = 146,
  [147] = 105,
  [148] = 145,
  [149] = 109,
  [150] = 34,
  [151] = 36,
  [152] = 152,
  [153] = 37,
  [154] = 145,
  [155] = 38,
  [156] = 130,
  [157] = 30,
  [158] = 130,
  [159] = 104,
  [160] = 145,
  [161] = 35,
  [162] = 145,
  [163] = 104,
  [164] = 109,
  [165] = 41,
  [166] = 52,
  [167] = 130,
  [168] = 124,
  [169] = 138,
  [170] = 111,
  [171] = 145,
  [172] = 172,
  [173] = 130,
  [174] = 130,
  [175] = 145,
  [176] = 124,
  [177] = 130,
  [178] = 124,
  [179] = 145,
  [180] = 102,
  [181] = 49,
  [182] = 182,
  [183] = 50,
  [184] = 130,
  [185] = 185,
  [186] = 145,
  [187] = 187,
  [188] = 107,
  [189] = 145,
  [190] = 190,
  [191] = 138,
  [192] = 34,
  [193] = 193,
  [194] = 145,
  [195] = 32,
  [196] = 109,
  [197] = 124,
  [198] = 130,
  [199] = 199,
  [200] = 200,
  [201] = 145,
  [202] = 122,
  [203] = 107,
  [204] = 34,
  [205] = 104,
  [206] = 145,
  [207] = 207,
  [208] = 208,
  [209] = 124,
  [210] = 116,
  [211] = 124,
  [212] = 130,
  [213] = 124,
  [214] = 47,
  [215] = 124,
  [216] = 31,
  [217] = 124,
  [218] = 124,
  [219] = 42,
  [220] = 124,
  [221] = 34,
  [222] = 124,
  [223] = 124,
  [224] = 130,
  [225] = 122,
  [226] = 110,
  [227] = 187,
  [228] = 110,
  [229] = 34,
  [230] = 200,
  [231] = 199,
  [232] = 122,
  [233] = 102,
  [234] = 116,
  [235] = 136,
  [236] = 190,
  [237] = 143,
  [238] = 146,
  [239] = 152,
  [240] = 172,
  [241] = 116,
  [242] = 242,
  [243] = 242,
  [244] = 102,
  [245] = 242,
  [246] = 242,
  [247] = 102,
  [248] = 116,
  [249] = 249,
  [250] = 249,
  [251] = 249,
  [252] = 252,
  [253] = 252,
  [254] = 249,
  [255] = 249,
  [256] = 252,
  [257] = 252,
  [258] = 252,
  [259] = 249,
  [260] = 249,
  [261] = 249,
  [262] = 252,
  [263] = 249,
  [264] = 252,
  [265] = 249,
  [266] = 252,
  [267] = 252,
  [268] = 249,
  [269] = 252,
  [270] = 249,
  [271] = 252,
  [272] = 252,
  [273] = 249,
  [274] = 252,
  [275] = 107,
  [276] = 116,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 109,
  [281] = 281,
  [282] = 282,
  [283] = 102,
  [284] = 110,
  [285] = 116,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 105,
  [294] = 294,
  [295] = 116,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 109,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 104,
  [308] = 104,
  [309] = 309,
  [310] = 107,
  [311] = 122,
  [312] = 102,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 111,
  [329] = 329,
  [330] = 102,
  [331] = 102,
  [332] = 116,
  [333] = 333,
  [334] = 102,
  [335] = 335,
  [336] = 336,
  [337] = 116,
  [338] = 338,
  [339] = 314,
  [340] = 143,
  [341] = 341,
  [342] = 190,
  [343] = 152,
  [344] = 341,
  [345] = 109,
  [346] = 172,
  [347] = 347,
  [348] = 348,
  [349] = 341,
  [350] = 348,
  [351] = 325,
  [352] = 341,
  [353] = 317,
  [354] = 348,
  [355] = 348,
  [356] = 296,
  [357] = 294,
  [358] = 302,
  [359] = 348,
  [360] = 289,
  [361] = 348,
  [362] = 282,
  [363] = 301,
  [364] = 136,
  [365] = 300,
  [366] = 320,
  [367] = 306,
  [368] = 187,
  [369] = 348,
  [370] = 110,
  [371] = 335,
  [372] = 336,
  [373] = 329,
  [374] = 333,
  [375] = 200,
  [376] = 376,
  [377] = 348,
  [378] = 348,
  [379] = 348,
  [380] = 122,
  [381] = 327,
  [382] = 326,
  [383] = 146,
  [384] = 324,
  [385] = 323,
  [386] = 322,
  [387] = 199,
  [388] = 321,
  [389] = 319,
  [390] = 318,
  [391] = 316,
  [392] = 315,
  [393] = 297,
  [394] = 313,
  [395] = 309,
  [396] = 305,
  [397] = 277,
  [398] = 278,
  [399] = 279,
  [400] = 281,
  [401] = 286,
  [402] = 287,
  [403] = 288,
  [404] = 290,
  [405] = 291,
  [406] = 292,
  [407] = 304,
  [408] = 298,
  [409] = 299,
  [410] = 116,
  [411] = 102,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 413,
  [419] = 414,
  [420] = 420,
  [421] = 417,
  [422] = 422,
  [423] = 413,
  [424] = 424,
  [425] = 422,
  [426] = 422,
  [427] = 422,
  [428] = 416,
  [429] = 415,
  [430] = 430,
  [431] = 424,
  [432] = 430,
  [433] = 433,
  [434] = 17,
  [435] = 413,
  [436] = 107,
  [437] = 437,
  [438] = 438,
  [439] = 438,
  [440] = 438,
  [441] = 20,
  [442] = 442,
  [443] = 443,
  [444] = 21,
  [445] = 438,
  [446] = 442,
  [447] = 17,
  [448] = 443,
  [449] = 438,
  [450] = 442,
  [451] = 438,
  [452] = 438,
  [453] = 453,
  [454] = 41,
  [455] = 438,
  [456] = 456,
  [457] = 457,
  [458] = 438,
  [459] = 438,
  [460] = 438,
  [461] = 438,
  [462] = 438,
  [463] = 438,
  [464] = 438,
  [465] = 443,
  [466] = 438,
  [467] = 438,
  [468] = 122,
  [469] = 442,
  [470] = 110,
  [471] = 471,
  [472] = 442,
  [473] = 456,
  [474] = 474,
  [475] = 31,
  [476] = 38,
  [477] = 17,
  [478] = 37,
  [479] = 40,
  [480] = 480,
  [481] = 42,
  [482] = 482,
  [483] = 30,
  [484] = 32,
  [485] = 482,
  [486] = 474,
  [487] = 487,
  [488] = 474,
  [489] = 47,
  [490] = 50,
  [491] = 487,
  [492] = 49,
  [493] = 35,
  [494] = 36,
  [495] = 41,
  [496] = 496,
  [497] = 143,
  [498] = 136,
  [499] = 17,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 480,
  [504] = 504,
  [505] = 17,
  [506] = 122,
  [507] = 109,
  [508] = 17,
  [509] = 111,
  [510] = 109,
  [511] = 104,
  [512] = 110,
  [513] = 104,
  [514] = 109,
  [515] = 17,
  [516] = 504,
  [517] = 107,
  [518] = 111,
  [519] = 107,
  [520] = 104,
  [521] = 172,
  [522] = 107,
  [523] = 190,
  [524] = 109,
  [525] = 200,
  [526] = 146,
  [527] = 190,
  [528] = 111,
  [529] = 152,
  [530] = 104,
  [531] = 122,
  [532] = 187,
  [533] = 109,
  [534] = 104,
  [535] = 200,
  [536] = 152,
  [537] = 110,
  [538] = 199,
  [539] = 146,
  [540] = 540,
  [541] = 109,
  [542] = 146,
  [543] = 122,
  [544] = 17,
  [545] = 110,
  [546] = 190,
  [547] = 17,
  [548] = 200,
  [549] = 152,
  [550] = 104,
  [551] = 107,
  [552] = 552,
  [553] = 109,
  [554] = 111,
  [555] = 104,
  [556] = 556,
  [557] = 109,
  [558] = 104,
  [559] = 109,
  [560] = 109,
  [561] = 561,
  [562] = 110,
  [563] = 190,
  [564] = 564,
  [565] = 565,
  [566] = 556,
  [567] = 565,
  [568] = 556,
  [569] = 565,
  [570] = 540,
  [571] = 556,
  [572] = 565,
  [573] = 573,
  [574] = 146,
  [575] = 111,
  [576] = 122,
  [577] = 577,
  [578] = 578,
  [579] = 152,
  [580] = 190,
  [581] = 152,
  [582] = 582,
  [583] = 561,
  [584] = 584,
  [585] = 552,
  [586] = 146,
  [587] = 146,
  [588] = 588,
  [589] = 589,
  [590] = 146,
  [591] = 200,
  [592] = 111,
  [593] = 593,
  [594] = 594,
  [595] = 109,
  [596] = 107,
  [597] = 190,
  [598] = 200,
  [599] = 599,
  [600] = 200,
  [601] = 601,
  [602] = 200,
  [603] = 104,
  [604] = 152,
  [605] = 152,
  [606] = 606,
  [607] = 104,
  [608] = 608,
  [609] = 609,
  [610] = 109,
  [611] = 611,
  [612] = 190,
  [613] = 599,
  [614] = 614,
  [615] = 615,
  [616] = 593,
  [617] = 109,
  [618] = 614,
  [619] = 611,
  [620] = 606,
  [621] = 110,
  [622] = 111,
  [623] = 190,
  [624] = 624,
  [625] = 625,
  [626] = 104,
  [627] = 122,
  [628] = 601,
  [629] = 608,
  [630] = 630,
  [631] = 578,
  [632] = 109,
  [633] = 111,
  [634] = 104,
  [635] = 609,
  [636] = 636,
  [637] = 200,
  [638] = 146,
  [639] = 636,
  [640] = 614,
  [641] = 146,
  [642] = 642,
  [643] = 636,
  [644] = 107,
  [645] = 200,
  [646] = 589,
  [647] = 582,
  [648] = 615,
  [649] = 588,
  [650] = 594,
  [651] = 614,
  [652] = 577,
  [653] = 107,
  [654] = 152,
  [655] = 636,
  [656] = 656,
  [657] = 190,
  [658] = 658,
  [659] = 659,
  [660] = 659,
  [661] = 659,
  [662] = 658,
  [663] = 658,
  [664] = 659,
  [665] = 659,
  [666] = 666,
  [667] = 659,
  [668] = 658,
  [669] = 658,
  [670] = 659,
  [671] = 671,
  [672] = 200,
  [673] = 673,
  [674] = 658,
  [675] = 673,
  [676] = 658,
  [677] = 666,
  [678] = 658,
  [679] = 659,
  [680] = 658,
  [681] = 681,
  [682] = 658,
  [683] = 659,
  [684] = 658,
  [685] = 659,
  [686] = 659,
  [687] = 659,
  [688] = 658,
  [689] = 673,
  [690] = 656,
  [691] = 110,
  [692] = 659,
  [693] = 666,
  [694] = 122,
  [695] = 671,
  [696] = 696,
  [697] = 697,
  [698] = 110,
  [699] = 697,
  [700] = 200,
  [701] = 659,
  [702] = 122,
  [703] = 658,
  [704] = 658,
  [705] = 658,
  [706] = 152,
  [707] = 659,
  [708] = 200,
  [709] = 659,
  [710] = 658,
  [711] = 711,
  [712] = 152,
  [713] = 673,
  [714] = 658,
  [715] = 659,
  [716] = 666,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 718,
  [723] = 723,
  [724] = 146,
  [725] = 723,
  [726] = 718,
  [727] = 727,
  [728] = 723,
  [729] = 718,
  [730] = 111,
  [731] = 104,
  [732] = 721,
  [733] = 107,
  [734] = 717,
  [735] = 735,
  [736] = 111,
  [737] = 107,
  [738] = 738,
  [739] = 104,
  [740] = 200,
  [741] = 717,
  [742] = 190,
  [743] = 721,
  [744] = 735,
  [745] = 738,
  [746] = 721,
  [747] = 717,
  [748] = 723,
  [749] = 122,
  [750] = 750,
  [751] = 110,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 755,
  [764] = 764,
  [765] = 764,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 761,
  [771] = 756,
  [772] = 772,
  [773] = 773,
  [774] = 122,
  [775] = 775,
  [776] = 110,
  [777] = 777,
  [778] = 778,
  [779] = 762,
  [780] = 780,
  [781] = 781,
  [782] = 781,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 784,
  [788] = 752,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 314,
  [794] = 794,
  [795] = 791,
  [796] = 333,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 789,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 792,
  [815] = 801,
  [816] = 802,
  [817] = 808,
  [818] = 808,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 807,
  [827] = 810,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 810,
  [832] = 832,
  [833] = 833,
  [834] = 808,
  [835] = 801,
  [836] = 802,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 799,
  [845] = 804,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 802,
  [851] = 806,
  [852] = 200,
  [853] = 801,
  [854] = 810,
  [855] = 855,
  [856] = 856,
  [857] = 808,
  [858] = 858,
  [859] = 855,
  [860] = 860,
  [861] = 819,
  [862] = 820,
  [863] = 798,
  [864] = 825,
  [865] = 794,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 868,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 872,
  [881] = 873,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 870,
  [886] = 868,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 868,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 875,
  [899] = 899,
  [900] = 900,
  [901] = 877,
  [902] = 891,
  [903] = 878,
  [904] = 904,
  [905] = 884,
  [906] = 906,
  [907] = 888,
  [908] = 895,
  [909] = 909,
  [910] = 868,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 900,
  [916] = 899,
  [917] = 897,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 868,
  [922] = 922,
  [923] = 889,
  [924] = 868,
  [925] = 894,
  [926] = 868,
  [927] = 927,
  [928] = 928,
  [929] = 914,
  [930] = 893,
  [931] = 912,
  [932] = 889,
  [933] = 933,
  [934] = 883,
  [935] = 868,
  [936] = 936,
  [937] = 937,
  [938] = 911,
  [939] = 868,
  [940] = 940,
  [941] = 868,
  [942] = 942,
  [943] = 943,
  [944] = 879,
  [945] = 945,
  [946] = 946,
  [947] = 868,
  [948] = 948,
  [949] = 949,
  [950] = 940,
  [951] = 951,
  [952] = 952,
  [953] = 868,
  [954] = 954,
  [955] = 913,
  [956] = 868,
  [957] = 871,
  [958] = 868,
  [959] = 896,
  [960] = 889,
  [961] = 892,
  [962] = 868,
  [963] = 874,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 965,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 978,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 975,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 965,
  [995] = 995,
  [996] = 980,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 998,
  [1006] = 977,
  [1007] = 1007,
  [1008] = 966,
  [1009] = 1009,
  [1010] = 971,
  [1011] = 1002,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 966,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 966,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1004,
  [1032] = 1000,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 997,
  [1036] = 987,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 990,
  [1041] = 980,
  [1042] = 1015,
  [1043] = 968,
  [1044] = 1003,
  [1045] = 980,
  [1046] = 1046,
  [1047] = 1001,
  [1048] = 1048,
  [1049] = 995,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1025,
  [1054] = 970,
  [1055] = 1039,
  [1056] = 1019,
  [1057] = 1002,
  [1058] = 1026,
  [1059] = 1023,
  [1060] = 1052,
  [1061] = 1033,
  [1062] = 965,
  [1063] = 1063,
  [1064] = 1046,
  [1065] = 1038,
  [1066] = 1037,
  [1067] = 1002,
};

static TSCharacterRange sym_attribute_name_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '&'}, {'+', '-'}, {'/', ';'}, {'?', 'Z'}, {'\\', '\\'},
  {'^', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 208,
        '"', 161,
        '%', 256,
        '&', 12,
        '\'', 158,
        '(', 168,
        ')', 169,
        '*', 192,
        '+', 191,
        ',', 182,
        '-', 252,
        '.', 249,
        '/', 255,
        ':', 193,
        ';', 167,
        '<', 105,
        '=', 186,
        '>', 102,
        '?', 209,
        '[', 201,
        '\\', 74,
        ']', 202,
        'a', 40,
        'c', 62,
        'e', 49,
        'l', 34,
        'm', 47,
        'o', 41,
        'p', 51,
        's', 177,
        't', 44,
        'w', 45,
        '{', 165,
        '|', 213,
        '}', 166,
        'D', 83,
        'd', 83,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(247);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 208,
        '"', 161,
        '%', 256,
        '&', 14,
        '\'', 158,
        '(', 168,
        ')', 21,
        '*', 192,
        '+', 191,
        ',', 182,
        '-', 253,
        '.', 249,
        '/', 254,
        ':', 193,
        '<', 106,
        '=', 20,
        '>', 102,
        '?', 209,
        '[', 200,
        '|', 213,
        '}', 166,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('$' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 208,
        '"', 161,
        '%', 256,
        '&', 14,
        '(', 168,
        ')', 169,
        '*', 192,
        '+', 191,
        ',', 182,
        '-', 252,
        '.', 249,
        '/', 254,
        ':', 193,
        ';', 167,
        '<', 106,
        '=', 186,
        '>', 102,
        '?', 209,
        '[', 200,
        ']', 202,
        'a', 65,
        'p', 50,
        's', 33,
        '|', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 206,
        '"', 161,
        '\'', 158,
        '(', 168,
        ')', 169,
        ';', 167,
        '[', 200,
        '{', 165,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(214);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(206);
      if (lookahead == '"') ADVANCE(161);
      if (lookahead == '\'') ADVANCE(158);
      if (lookahead == '(') ADVANCE(168);
      if (lookahead == '[') ADVANCE(200);
      if (lookahead == 'l') ADVANCE(215);
      if (lookahead == '{') ADVANCE(165);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(214);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 207,
        '"', 161,
        '&', 14,
        '\'', 158,
        '(', 168,
        ')', 169,
        '+', 191,
        ',', 182,
        '.', 249,
        ':', 193,
        ';', 167,
        '=', 185,
        '?', 209,
        '[', 200,
        ']', 202,
        '|', 213,
        '}', 166,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(161);
      if (lookahead == '\'') ADVANCE(158);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead != 0 &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(117);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '"', 161,
        '(', 168,
        '*', 192,
        '/', 241,
        '>', 101,
        '[', 201,
        '\\', 240,
        '\'', 239,
        ')', 239,
        '.', 239,
        '<', 239,
        '=', 239,
        ']', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(239);
      if (lookahead != 0) ADVANCE(243);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '"', 161,
        '(', 168,
        '*', 192,
        '>', 101,
        '[', 201,
        '\\', 240,
        '\'', 239,
        ')', 239,
        '.', 239,
        '<', 239,
        '=', 239,
        ']', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(239);
      if (lookahead != 0) ADVANCE(243);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(161);
      if (lookahead == ',') ADVANCE(182);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == ';') ADVANCE(167);
      if (lookahead == '=') ADVANCE(185);
      if (lookahead == 'a') ADVANCE(224);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(242);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(239);
      if (lookahead != 0) ADVANCE(239);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(161);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(162);
      if (lookahead != 0) ADVANCE(163);
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(86);
      if (lookahead == '&') ADVANCE(212);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(157);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(157);
      END_STATE();
    case 14:
      if (lookahead == '&') ADVANCE(212);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(245);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(244);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0) ADVANCE(244);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(245);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(244);
      if (lookahead != 0) ADVANCE(244);
      END_STATE();
    case 17:
      if (lookahead == '\'') ADVANCE(158);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(159);
      if (lookahead != 0) ADVANCE(160);
      END_STATE();
    case 18:
      if (lookahead == '(') ADVANCE(168);
      if (lookahead == '*') ADVANCE(192);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == '=') ADVANCE(185);
      if (lookahead == '>') ADVANCE(101);
      if (lookahead == '[') ADVANCE(201);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(116);
      END_STATE();
    case 19:
      if (lookahead == '(') ADVANCE(168);
      if (lookahead == '*') ADVANCE(192);
      if (lookahead == '=') ADVANCE(185);
      if (lookahead == '>') ADVANCE(101);
      if (lookahead == '[') ADVANCE(201);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(116);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(257);
      END_STATE();
    case 21:
      if (lookahead == ']') ADVANCE(204);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 24:
      if (lookahead == 'c') ADVANCE(48);
      END_STATE();
    case 25:
      if (lookahead == 'c') ADVANCE(223);
      if (lookahead == 'e') ADVANCE(220);
      if (lookahead == 't') ADVANCE(219);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 26:
      if (lookahead == 'c') ADVANCE(223);
      if (lookahead == 'e') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 27:
      if (lookahead == 'c') ADVANCE(223);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(43);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(69);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(63);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(29);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 40:
      if (lookahead == 'f') ADVANCE(72);
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 41:
      if (lookahead == 'f') ADVANCE(178);
      if (lookahead == 'n') ADVANCE(172);
      END_STATE();
    case 42:
      if (lookahead == 'f') ADVANCE(37);
      END_STATE();
    case 43:
      if (lookahead == 'h') ADVANCE(170);
      END_STATE();
    case 44:
      if (lookahead == 'h') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(22);
      END_STATE();
    case 45:
      if (lookahead == 'h') ADVANCE(39);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 47:
      if (lookahead == 'i') ADVANCE(58);
      if (lookahead == 's') ADVANCE(175);
      END_STATE();
    case 48:
      if (lookahead == 'k') ADVANCE(179);
      END_STATE();
    case 49:
      if (lookahead == 'l') ADVANCE(67);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(30);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(215);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(36);
      END_STATE();
    case 55:
      if (lookahead == 'm') ADVANCE(174);
      END_STATE();
    case 56:
      if (lookahead == 'm') ADVANCE(76);
      END_STATE();
    case 57:
      if (lookahead == 'm') ADVANCE(66);
      if (lookahead == 's') ADVANCE(176);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(46);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(194);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 62:
      if (lookahead == 'o') ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(23);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 66:
      if (lookahead == 's') ADVANCE(175);
      END_STATE();
    case 67:
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 70:
      if (lookahead == 't') ADVANCE(198);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(28);
      END_STATE();
    case 72:
      if (lookahead == 't') ADVANCE(35);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 74:
      if (lookahead == 'u') ADVANCE(78);
      if (lookahead == 'x') ADVANCE(94);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(236);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 75:
      if (lookahead == 'u') ADVANCE(64);
      END_STATE();
    case 76:
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 77:
      if (lookahead == 'x') ADVANCE(70);
      END_STATE();
    case 78:
      if (lookahead == '{') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 79:
      if (lookahead == '}') ADVANCE(166);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(189);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(190);
      END_STATE();
    case 80:
      if (lookahead == '}') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 81:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 82:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 83:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 84:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(82);
      END_STATE();
    case 85:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(87);
      END_STATE();
    case 86:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(84);
      END_STATE();
    case 88:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(88);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(164);
      END_STATE();
    case 89:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(99);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(100);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(94);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(231);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 94:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 95:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 208,
        '"', 161,
        '%', 256,
        '&', 12,
        '\'', 158,
        '(', 168,
        ')', 169,
        '*', 192,
        '+', 191,
        ',', 182,
        '-', 252,
        '.', 249,
        '/', 255,
        ':', 193,
        ';', 167,
        '<', 105,
        '=', 186,
        '>', 102,
        '?', 209,
        '[', 201,
        ']', 202,
        'a', 40,
        'c', 62,
        'e', 49,
        'l', 34,
        'm', 47,
        'o', 41,
        'p', 51,
        's', 177,
        't', 44,
        'w', 45,
        '{', 165,
        '|', 213,
        '}', 166,
        'D', 83,
        'd', 83,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(247);
      END_STATE();
    case 96:
      if (eof) ADVANCE(97);
      if (lookahead == '&') ADVANCE(13);
      if (lookahead == '<') ADVANCE(104);
      if (lookahead == '>') ADVANCE(101);
      if (lookahead == '{') ADVANCE(165);
      if (lookahead == '}') ADVANCE(166);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(164);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(99);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym__doctype);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(98);
      if (lookahead == '/') ADVANCE(108);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(98);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == '=') ADVANCE(261);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(261);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '>') ADVANCE(107);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '{') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '}') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(238);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_attribute_name);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_attribute_value);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_entity);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(119);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(136);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(141);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(142);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(143);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(153);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(154);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(155);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(156);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(159);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(160);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(160);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(163);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_text);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(88);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_prefetch);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_after);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_minimum);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_ms);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_s);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_track);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(257);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_plural);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_icu_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(189);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_icu_category);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(190);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_then);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_context);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_context);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '(') ADVANCE(203);
      if (lookahead == '@') ADVANCE(205);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LBRACK_LPAREN);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_RPAREN_RBRACK);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(251);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(251);
      if (lookahead == '=') ADVANCE(259);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(250);
      if (lookahead == '?') ADVANCE(210);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(211);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(214);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(226);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(197);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(229);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(221);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(218);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(225);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(195);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(228);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(222);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(184);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(216);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(181);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(199);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(217);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(227);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym__escape_sequence);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n') ADVANCE(231);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(238);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(231);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(231);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(238);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(234);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(235);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym__escape_sequence);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\r') ADVANCE(233);
      if (lookahead == '?') ADVANCE(232);
      if (lookahead == 'u') ADVANCE(110);
      if (lookahead == 'x') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(237);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= '*') ||
          lookahead == '.' ||
          ('<' <= lookahead && lookahead <= '>') ||
          lookahead == '[' ||
          lookahead == ']') ADVANCE(231);
      if (lookahead != 0) ADVANCE(238);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '>') ADVANCE(107);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == 'u') ADVANCE(78);
      if (lookahead == 'x') ADVANCE(94);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(236);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(116);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == 'u') ADVANCE(78);
      if (lookahead == 'x') ADVANCE(94);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(236);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(247);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_BANG_DOT);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(230);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '>') ADVANCE(107);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(258);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 96, .external_lex_state = 2},
  [2] = {.lex_state = 96, .external_lex_state = 3},
  [3] = {.lex_state = 96, .external_lex_state = 3},
  [4] = {.lex_state = 96, .external_lex_state = 2},
  [5] = {.lex_state = 96, .external_lex_state = 3},
  [6] = {.lex_state = 96, .external_lex_state = 3},
  [7] = {.lex_state = 96, .external_lex_state = 2},
  [8] = {.lex_state = 96, .external_lex_state = 2},
  [9] = {.lex_state = 96, .external_lex_state = 3},
  [10] = {.lex_state = 96, .external_lex_state = 2},
  [11] = {.lex_state = 96, .external_lex_state = 2},
  [12] = {.lex_state = 96, .external_lex_state = 2},
  [13] = {.lex_state = 96, .external_lex_state = 2},
  [14] = {.lex_state = 96, .external_lex_state = 2},
  [15] = {.lex_state = 96, .external_lex_state = 2},
  [16] = {.lex_state = 96, .external_lex_state = 2},
  [17] = {.lex_state = 2, .external_lex_state = 4},
  [18] = {.lex_state = 2, .external_lex_state = 4},
  [19] = {.lex_state = 2, .external_lex_state = 4},
  [20] = {.lex_state = 1, .external_lex_state = 4},
  [21] = {.lex_state = 2, .external_lex_state = 4},
  [22] = {.lex_state = 2, .external_lex_state = 4},
  [23] = {.lex_state = 1, .external_lex_state = 4},
  [24] = {.lex_state = 1, .external_lex_state = 4},
  [25] = {.lex_state = 1, .external_lex_state = 4},
  [26] = {.lex_state = 1, .external_lex_state = 4},
  [27] = {.lex_state = 1, .external_lex_state = 4},
  [28] = {.lex_state = 2, .external_lex_state = 4},
  [29] = {.lex_state = 2, .external_lex_state = 4},
  [30] = {.lex_state = 1, .external_lex_state = 4},
  [31] = {.lex_state = 1, .external_lex_state = 4},
  [32] = {.lex_state = 2, .external_lex_state = 4},
  [33] = {.lex_state = 1, .external_lex_state = 4},
  [34] = {.lex_state = 2, .external_lex_state = 4},
  [35] = {.lex_state = 2, .external_lex_state = 4},
  [36] = {.lex_state = 2, .external_lex_state = 4},
  [37] = {.lex_state = 2, .external_lex_state = 4},
  [38] = {.lex_state = 2, .external_lex_state = 4},
  [39] = {.lex_state = 2, .external_lex_state = 4},
  [40] = {.lex_state = 2, .external_lex_state = 4},
  [41] = {.lex_state = 2, .external_lex_state = 4},
  [42] = {.lex_state = 2, .external_lex_state = 4},
  [43] = {.lex_state = 2, .external_lex_state = 4},
  [44] = {.lex_state = 2, .external_lex_state = 4},
  [45] = {.lex_state = 2, .external_lex_state = 4},
  [46] = {.lex_state = 1, .external_lex_state = 4},
  [47] = {.lex_state = 2, .external_lex_state = 4},
  [48] = {.lex_state = 2, .external_lex_state = 4},
  [49] = {.lex_state = 1, .external_lex_state = 4},
  [50] = {.lex_state = 2, .external_lex_state = 4},
  [51] = {.lex_state = 2, .external_lex_state = 4},
  [52] = {.lex_state = 2, .external_lex_state = 4},
  [53] = {.lex_state = 1, .external_lex_state = 4},
  [54] = {.lex_state = 2, .external_lex_state = 4},
  [55] = {.lex_state = 1, .external_lex_state = 4},
  [56] = {.lex_state = 1, .external_lex_state = 4},
  [57] = {.lex_state = 96, .external_lex_state = 2},
  [58] = {.lex_state = 2, .external_lex_state = 4},
  [59] = {.lex_state = 1, .external_lex_state = 4},
  [60] = {.lex_state = 96, .external_lex_state = 2},
  [61] = {.lex_state = 1, .external_lex_state = 4},
  [62] = {.lex_state = 96, .external_lex_state = 2},
  [63] = {.lex_state = 1, .external_lex_state = 4},
  [64] = {.lex_state = 1, .external_lex_state = 4},
  [65] = {.lex_state = 1, .external_lex_state = 4},
  [66] = {.lex_state = 1, .external_lex_state = 4},
  [67] = {.lex_state = 1, .external_lex_state = 4},
  [68] = {.lex_state = 2, .external_lex_state = 4},
  [69] = {.lex_state = 1, .external_lex_state = 4},
  [70] = {.lex_state = 1, .external_lex_state = 4},
  [71] = {.lex_state = 1, .external_lex_state = 4},
  [72] = {.lex_state = 96, .external_lex_state = 2},
  [73] = {.lex_state = 96, .external_lex_state = 2},
  [74] = {.lex_state = 1, .external_lex_state = 4},
  [75] = {.lex_state = 2, .external_lex_state = 4},
  [76] = {.lex_state = 2, .external_lex_state = 4},
  [77] = {.lex_state = 4, .external_lex_state = 4},
  [78] = {.lex_state = 4, .external_lex_state = 4},
  [79] = {.lex_state = 96, .external_lex_state = 3},
  [80] = {.lex_state = 3, .external_lex_state = 4},
  [81] = {.lex_state = 1, .external_lex_state = 4},
  [82] = {.lex_state = 96, .external_lex_state = 3},
  [83] = {.lex_state = 96, .external_lex_state = 3},
  [84] = {.lex_state = 96, .external_lex_state = 3},
  [85] = {.lex_state = 96, .external_lex_state = 3},
  [86] = {.lex_state = 3, .external_lex_state = 4},
  [87] = {.lex_state = 2, .external_lex_state = 4},
  [88] = {.lex_state = 2, .external_lex_state = 4},
  [89] = {.lex_state = 2, .external_lex_state = 5},
  [90] = {.lex_state = 2, .external_lex_state = 4},
  [91] = {.lex_state = 2, .external_lex_state = 5},
  [92] = {.lex_state = 3, .external_lex_state = 4},
  [93] = {.lex_state = 2, .external_lex_state = 4},
  [94] = {.lex_state = 2, .external_lex_state = 5},
  [95] = {.lex_state = 2, .external_lex_state = 5},
  [96] = {.lex_state = 2, .external_lex_state = 5},
  [97] = {.lex_state = 2, .external_lex_state = 5},
  [98] = {.lex_state = 2, .external_lex_state = 5},
  [99] = {.lex_state = 2, .external_lex_state = 4},
  [100] = {.lex_state = 3, .external_lex_state = 4},
  [101] = {.lex_state = 2, .external_lex_state = 5},
  [102] = {.lex_state = 2, .external_lex_state = 4},
  [103] = {.lex_state = 2, .external_lex_state = 5},
  [104] = {.lex_state = 2, .external_lex_state = 4},
  [105] = {.lex_state = 2, .external_lex_state = 4},
  [106] = {.lex_state = 2, .external_lex_state = 4},
  [107] = {.lex_state = 2, .external_lex_state = 4},
  [108] = {.lex_state = 3, .external_lex_state = 4},
  [109] = {.lex_state = 2, .external_lex_state = 4},
  [110] = {.lex_state = 2, .external_lex_state = 4},
  [111] = {.lex_state = 2, .external_lex_state = 4},
  [112] = {.lex_state = 2, .external_lex_state = 5},
  [113] = {.lex_state = 3, .external_lex_state = 4},
  [114] = {.lex_state = 3, .external_lex_state = 4},
  [115] = {.lex_state = 3, .external_lex_state = 4},
  [116] = {.lex_state = 2, .external_lex_state = 4},
  [117] = {.lex_state = 3, .external_lex_state = 4},
  [118] = {.lex_state = 3, .external_lex_state = 4},
  [119] = {.lex_state = 2, .external_lex_state = 5},
  [120] = {.lex_state = 3, .external_lex_state = 4},
  [121] = {.lex_state = 2, .external_lex_state = 5},
  [122] = {.lex_state = 2, .external_lex_state = 4},
  [123] = {.lex_state = 3, .external_lex_state = 4},
  [124] = {.lex_state = 3, .external_lex_state = 4},
  [125] = {.lex_state = 3, .external_lex_state = 4},
  [126] = {.lex_state = 3, .external_lex_state = 4},
  [127] = {.lex_state = 2, .external_lex_state = 5},
  [128] = {.lex_state = 2, .external_lex_state = 4},
  [129] = {.lex_state = 3, .external_lex_state = 4},
  [130] = {.lex_state = 3, .external_lex_state = 4},
  [131] = {.lex_state = 3, .external_lex_state = 4},
  [132] = {.lex_state = 3, .external_lex_state = 4},
  [133] = {.lex_state = 1, .external_lex_state = 4},
  [134] = {.lex_state = 1, .external_lex_state = 4},
  [135] = {.lex_state = 2, .external_lex_state = 4},
  [136] = {.lex_state = 2, .external_lex_state = 4},
  [137] = {.lex_state = 3, .external_lex_state = 4},
  [138] = {.lex_state = 3, .external_lex_state = 4},
  [139] = {.lex_state = 1, .external_lex_state = 4},
  [140] = {.lex_state = 1, .external_lex_state = 4},
  [141] = {.lex_state = 3, .external_lex_state = 4},
  [142] = {.lex_state = 1, .external_lex_state = 4},
  [143] = {.lex_state = 2, .external_lex_state = 4},
  [144] = {.lex_state = 2, .external_lex_state = 5},
  [145] = {.lex_state = 3, .external_lex_state = 4},
  [146] = {.lex_state = 2, .external_lex_state = 4},
  [147] = {.lex_state = 1, .external_lex_state = 4},
  [148] = {.lex_state = 3, .external_lex_state = 4},
  [149] = {.lex_state = 1, .external_lex_state = 4},
  [150] = {.lex_state = 2, .external_lex_state = 4},
  [151] = {.lex_state = 2, .external_lex_state = 5},
  [152] = {.lex_state = 2, .external_lex_state = 4},
  [153] = {.lex_state = 2, .external_lex_state = 5},
  [154] = {.lex_state = 3, .external_lex_state = 4},
  [155] = {.lex_state = 2, .external_lex_state = 5},
  [156] = {.lex_state = 3, .external_lex_state = 4},
  [157] = {.lex_state = 2, .external_lex_state = 5},
  [158] = {.lex_state = 3, .external_lex_state = 4},
  [159] = {.lex_state = 2, .external_lex_state = 4},
  [160] = {.lex_state = 3, .external_lex_state = 4},
  [161] = {.lex_state = 2, .external_lex_state = 5},
  [162] = {.lex_state = 3, .external_lex_state = 4},
  [163] = {.lex_state = 1, .external_lex_state = 4},
  [164] = {.lex_state = 2, .external_lex_state = 4},
  [165] = {.lex_state = 2, .external_lex_state = 5},
  [166] = {.lex_state = 2, .external_lex_state = 5},
  [167] = {.lex_state = 3, .external_lex_state = 4},
  [168] = {.lex_state = 3, .external_lex_state = 4},
  [169] = {.lex_state = 3, .external_lex_state = 4},
  [170] = {.lex_state = 1, .external_lex_state = 4},
  [171] = {.lex_state = 3, .external_lex_state = 4},
  [172] = {.lex_state = 2, .external_lex_state = 4},
  [173] = {.lex_state = 3, .external_lex_state = 4},
  [174] = {.lex_state = 3, .external_lex_state = 4},
  [175] = {.lex_state = 3, .external_lex_state = 4},
  [176] = {.lex_state = 3, .external_lex_state = 4},
  [177] = {.lex_state = 3, .external_lex_state = 4},
  [178] = {.lex_state = 3, .external_lex_state = 4},
  [179] = {.lex_state = 3, .external_lex_state = 4},
  [180] = {.lex_state = 2, .external_lex_state = 4},
  [181] = {.lex_state = 2, .external_lex_state = 5},
  [182] = {.lex_state = 3, .external_lex_state = 4},
  [183] = {.lex_state = 2, .external_lex_state = 5},
  [184] = {.lex_state = 3, .external_lex_state = 4},
  [185] = {.lex_state = 3, .external_lex_state = 4},
  [186] = {.lex_state = 3, .external_lex_state = 4},
  [187] = {.lex_state = 2, .external_lex_state = 4},
  [188] = {.lex_state = 2, .external_lex_state = 4},
  [189] = {.lex_state = 3, .external_lex_state = 4},
  [190] = {.lex_state = 2, .external_lex_state = 4},
  [191] = {.lex_state = 3, .external_lex_state = 4},
  [192] = {.lex_state = 2, .external_lex_state = 5},
  [193] = {.lex_state = 3, .external_lex_state = 4},
  [194] = {.lex_state = 3, .external_lex_state = 4},
  [195] = {.lex_state = 2, .external_lex_state = 5},
  [196] = {.lex_state = 1, .external_lex_state = 4},
  [197] = {.lex_state = 3, .external_lex_state = 4},
  [198] = {.lex_state = 3, .external_lex_state = 4},
  [199] = {.lex_state = 2, .external_lex_state = 4},
  [200] = {.lex_state = 2, .external_lex_state = 4},
  [201] = {.lex_state = 3, .external_lex_state = 4},
  [202] = {.lex_state = 1, .external_lex_state = 4},
  [203] = {.lex_state = 1, .external_lex_state = 4},
  [204] = {.lex_state = 2, .external_lex_state = 5},
  [205] = {.lex_state = 1, .external_lex_state = 4},
  [206] = {.lex_state = 3, .external_lex_state = 4},
  [207] = {.lex_state = 3, .external_lex_state = 4},
  [208] = {.lex_state = 3, .external_lex_state = 4},
  [209] = {.lex_state = 3, .external_lex_state = 4},
  [210] = {.lex_state = 1, .external_lex_state = 4},
  [211] = {.lex_state = 3, .external_lex_state = 4},
  [212] = {.lex_state = 3, .external_lex_state = 4},
  [213] = {.lex_state = 3, .external_lex_state = 4},
  [214] = {.lex_state = 2, .external_lex_state = 5},
  [215] = {.lex_state = 3, .external_lex_state = 4},
  [216] = {.lex_state = 2, .external_lex_state = 5},
  [217] = {.lex_state = 3, .external_lex_state = 4},
  [218] = {.lex_state = 3, .external_lex_state = 4},
  [219] = {.lex_state = 2, .external_lex_state = 5},
  [220] = {.lex_state = 3, .external_lex_state = 4},
  [221] = {.lex_state = 2, .external_lex_state = 5},
  [222] = {.lex_state = 3, .external_lex_state = 4},
  [223] = {.lex_state = 3, .external_lex_state = 4},
  [224] = {.lex_state = 3, .external_lex_state = 4},
  [225] = {.lex_state = 1, .external_lex_state = 4},
  [226] = {.lex_state = 2, .external_lex_state = 4},
  [227] = {.lex_state = 1, .external_lex_state = 4},
  [228] = {.lex_state = 1, .external_lex_state = 4},
  [229] = {.lex_state = 2, .external_lex_state = 5},
  [230] = {.lex_state = 1, .external_lex_state = 4},
  [231] = {.lex_state = 1, .external_lex_state = 4},
  [232] = {.lex_state = 2, .external_lex_state = 4},
  [233] = {.lex_state = 2, .external_lex_state = 4},
  [234] = {.lex_state = 2, .external_lex_state = 4},
  [235] = {.lex_state = 1, .external_lex_state = 4},
  [236] = {.lex_state = 1, .external_lex_state = 4},
  [237] = {.lex_state = 1, .external_lex_state = 4},
  [238] = {.lex_state = 1, .external_lex_state = 4},
  [239] = {.lex_state = 1, .external_lex_state = 4},
  [240] = {.lex_state = 1, .external_lex_state = 4},
  [241] = {.lex_state = 1, .external_lex_state = 4},
  [242] = {.lex_state = 3, .external_lex_state = 4},
  [243] = {.lex_state = 3, .external_lex_state = 4},
  [244] = {.lex_state = 1, .external_lex_state = 4},
  [245] = {.lex_state = 3, .external_lex_state = 4},
  [246] = {.lex_state = 3, .external_lex_state = 4},
  [247] = {.lex_state = 2, .external_lex_state = 4},
  [248] = {.lex_state = 2, .external_lex_state = 4},
  [249] = {.lex_state = 3, .external_lex_state = 4},
  [250] = {.lex_state = 3, .external_lex_state = 4},
  [251] = {.lex_state = 3, .external_lex_state = 4},
  [252] = {.lex_state = 3, .external_lex_state = 4},
  [253] = {.lex_state = 3, .external_lex_state = 4},
  [254] = {.lex_state = 3, .external_lex_state = 4},
  [255] = {.lex_state = 3, .external_lex_state = 4},
  [256] = {.lex_state = 3, .external_lex_state = 4},
  [257] = {.lex_state = 3, .external_lex_state = 4},
  [258] = {.lex_state = 3, .external_lex_state = 4},
  [259] = {.lex_state = 3, .external_lex_state = 4},
  [260] = {.lex_state = 3, .external_lex_state = 4},
  [261] = {.lex_state = 3, .external_lex_state = 4},
  [262] = {.lex_state = 3, .external_lex_state = 4},
  [263] = {.lex_state = 3, .external_lex_state = 4},
  [264] = {.lex_state = 3, .external_lex_state = 4},
  [265] = {.lex_state = 3, .external_lex_state = 4},
  [266] = {.lex_state = 3, .external_lex_state = 4},
  [267] = {.lex_state = 3, .external_lex_state = 4},
  [268] = {.lex_state = 3, .external_lex_state = 4},
  [269] = {.lex_state = 3, .external_lex_state = 4},
  [270] = {.lex_state = 3, .external_lex_state = 4},
  [271] = {.lex_state = 3, .external_lex_state = 4},
  [272] = {.lex_state = 3, .external_lex_state = 4},
  [273] = {.lex_state = 3, .external_lex_state = 4},
  [274] = {.lex_state = 3, .external_lex_state = 4},
  [275] = {.lex_state = 2, .external_lex_state = 5},
  [276] = {.lex_state = 2, .external_lex_state = 4},
  [277] = {.lex_state = 96, .external_lex_state = 2},
  [278] = {.lex_state = 96, .external_lex_state = 2},
  [279] = {.lex_state = 96, .external_lex_state = 2},
  [280] = {.lex_state = 2, .external_lex_state = 5},
  [281] = {.lex_state = 96, .external_lex_state = 2},
  [282] = {.lex_state = 96, .external_lex_state = 2},
  [283] = {.lex_state = 2, .external_lex_state = 5},
  [284] = {.lex_state = 2, .external_lex_state = 5},
  [285] = {.lex_state = 2, .external_lex_state = 5},
  [286] = {.lex_state = 96, .external_lex_state = 2},
  [287] = {.lex_state = 96, .external_lex_state = 2},
  [288] = {.lex_state = 96, .external_lex_state = 2},
  [289] = {.lex_state = 96, .external_lex_state = 2},
  [290] = {.lex_state = 96, .external_lex_state = 2},
  [291] = {.lex_state = 96, .external_lex_state = 2},
  [292] = {.lex_state = 96, .external_lex_state = 2},
  [293] = {.lex_state = 2, .external_lex_state = 5},
  [294] = {.lex_state = 96, .external_lex_state = 2},
  [295] = {.lex_state = 2, .external_lex_state = 5},
  [296] = {.lex_state = 96, .external_lex_state = 2},
  [297] = {.lex_state = 96, .external_lex_state = 2},
  [298] = {.lex_state = 96, .external_lex_state = 2},
  [299] = {.lex_state = 96, .external_lex_state = 2},
  [300] = {.lex_state = 96, .external_lex_state = 2},
  [301] = {.lex_state = 96, .external_lex_state = 2},
  [302] = {.lex_state = 96, .external_lex_state = 2},
  [303] = {.lex_state = 2, .external_lex_state = 5},
  [304] = {.lex_state = 96, .external_lex_state = 2},
  [305] = {.lex_state = 96, .external_lex_state = 2},
  [306] = {.lex_state = 96, .external_lex_state = 2},
  [307] = {.lex_state = 2, .external_lex_state = 5},
  [308] = {.lex_state = 2, .external_lex_state = 5},
  [309] = {.lex_state = 96, .external_lex_state = 2},
  [310] = {.lex_state = 2, .external_lex_state = 5},
  [311] = {.lex_state = 2, .external_lex_state = 5},
  [312] = {.lex_state = 2, .external_lex_state = 5},
  [313] = {.lex_state = 96, .external_lex_state = 2},
  [314] = {.lex_state = 96, .external_lex_state = 2},
  [315] = {.lex_state = 96, .external_lex_state = 2},
  [316] = {.lex_state = 96, .external_lex_state = 2},
  [317] = {.lex_state = 96, .external_lex_state = 2},
  [318] = {.lex_state = 96, .external_lex_state = 2},
  [319] = {.lex_state = 96, .external_lex_state = 2},
  [320] = {.lex_state = 96, .external_lex_state = 2},
  [321] = {.lex_state = 96, .external_lex_state = 2},
  [322] = {.lex_state = 96, .external_lex_state = 2},
  [323] = {.lex_state = 96, .external_lex_state = 2},
  [324] = {.lex_state = 96, .external_lex_state = 2},
  [325] = {.lex_state = 96, .external_lex_state = 2},
  [326] = {.lex_state = 96, .external_lex_state = 2},
  [327] = {.lex_state = 96, .external_lex_state = 2},
  [328] = {.lex_state = 2, .external_lex_state = 5},
  [329] = {.lex_state = 96, .external_lex_state = 2},
  [330] = {.lex_state = 2, .external_lex_state = 4},
  [331] = {.lex_state = 2, .external_lex_state = 4},
  [332] = {.lex_state = 2, .external_lex_state = 5},
  [333] = {.lex_state = 96, .external_lex_state = 2},
  [334] = {.lex_state = 2, .external_lex_state = 5},
  [335] = {.lex_state = 96, .external_lex_state = 2},
  [336] = {.lex_state = 96, .external_lex_state = 2},
  [337] = {.lex_state = 2, .external_lex_state = 4},
  [338] = {.lex_state = 96, .external_lex_state = 3},
  [339] = {.lex_state = 96, .external_lex_state = 3},
  [340] = {.lex_state = 2, .external_lex_state = 5},
  [341] = {.lex_state = 3, .external_lex_state = 4},
  [342] = {.lex_state = 2, .external_lex_state = 5},
  [343] = {.lex_state = 2, .external_lex_state = 5},
  [344] = {.lex_state = 3, .external_lex_state = 4},
  [345] = {.lex_state = 2, .external_lex_state = 4},
  [346] = {.lex_state = 2, .external_lex_state = 5},
  [347] = {.lex_state = 3, .external_lex_state = 4},
  [348] = {.lex_state = 3, .external_lex_state = 4},
  [349] = {.lex_state = 3, .external_lex_state = 4},
  [350] = {.lex_state = 3, .external_lex_state = 4},
  [351] = {.lex_state = 96, .external_lex_state = 3},
  [352] = {.lex_state = 3, .external_lex_state = 4},
  [353] = {.lex_state = 96, .external_lex_state = 3},
  [354] = {.lex_state = 3, .external_lex_state = 4},
  [355] = {.lex_state = 3, .external_lex_state = 4},
  [356] = {.lex_state = 96, .external_lex_state = 3},
  [357] = {.lex_state = 96, .external_lex_state = 3},
  [358] = {.lex_state = 96, .external_lex_state = 3},
  [359] = {.lex_state = 3, .external_lex_state = 4},
  [360] = {.lex_state = 96, .external_lex_state = 3},
  [361] = {.lex_state = 3, .external_lex_state = 4},
  [362] = {.lex_state = 96, .external_lex_state = 3},
  [363] = {.lex_state = 96, .external_lex_state = 3},
  [364] = {.lex_state = 2, .external_lex_state = 5},
  [365] = {.lex_state = 96, .external_lex_state = 3},
  [366] = {.lex_state = 96, .external_lex_state = 3},
  [367] = {.lex_state = 96, .external_lex_state = 3},
  [368] = {.lex_state = 2, .external_lex_state = 5},
  [369] = {.lex_state = 3, .external_lex_state = 4},
  [370] = {.lex_state = 2, .external_lex_state = 5},
  [371] = {.lex_state = 96, .external_lex_state = 3},
  [372] = {.lex_state = 96, .external_lex_state = 3},
  [373] = {.lex_state = 96, .external_lex_state = 3},
  [374] = {.lex_state = 96, .external_lex_state = 3},
  [375] = {.lex_state = 2, .external_lex_state = 5},
  [376] = {.lex_state = 96, .external_lex_state = 3},
  [377] = {.lex_state = 3, .external_lex_state = 4},
  [378] = {.lex_state = 3, .external_lex_state = 4},
  [379] = {.lex_state = 3, .external_lex_state = 4},
  [380] = {.lex_state = 2, .external_lex_state = 5},
  [381] = {.lex_state = 96, .external_lex_state = 3},
  [382] = {.lex_state = 96, .external_lex_state = 3},
  [383] = {.lex_state = 2, .external_lex_state = 5},
  [384] = {.lex_state = 96, .external_lex_state = 3},
  [385] = {.lex_state = 96, .external_lex_state = 3},
  [386] = {.lex_state = 96, .external_lex_state = 3},
  [387] = {.lex_state = 2, .external_lex_state = 5},
  [388] = {.lex_state = 96, .external_lex_state = 3},
  [389] = {.lex_state = 96, .external_lex_state = 3},
  [390] = {.lex_state = 96, .external_lex_state = 3},
  [391] = {.lex_state = 96, .external_lex_state = 3},
  [392] = {.lex_state = 96, .external_lex_state = 3},
  [393] = {.lex_state = 96, .external_lex_state = 3},
  [394] = {.lex_state = 96, .external_lex_state = 3},
  [395] = {.lex_state = 96, .external_lex_state = 3},
  [396] = {.lex_state = 96, .external_lex_state = 3},
  [397] = {.lex_state = 96, .external_lex_state = 3},
  [398] = {.lex_state = 96, .external_lex_state = 3},
  [399] = {.lex_state = 96, .external_lex_state = 3},
  [400] = {.lex_state = 96, .external_lex_state = 3},
  [401] = {.lex_state = 96, .external_lex_state = 3},
  [402] = {.lex_state = 96, .external_lex_state = 3},
  [403] = {.lex_state = 96, .external_lex_state = 3},
  [404] = {.lex_state = 96, .external_lex_state = 3},
  [405] = {.lex_state = 96, .external_lex_state = 3},
  [406] = {.lex_state = 96, .external_lex_state = 3},
  [407] = {.lex_state = 96, .external_lex_state = 3},
  [408] = {.lex_state = 96, .external_lex_state = 3},
  [409] = {.lex_state = 96, .external_lex_state = 3},
  [410] = {.lex_state = 2, .external_lex_state = 5},
  [411] = {.lex_state = 2, .external_lex_state = 5},
  [412] = {.lex_state = 2, .external_lex_state = 4},
  [413] = {.lex_state = 3, .external_lex_state = 4},
  [414] = {.lex_state = 3, .external_lex_state = 4},
  [415] = {.lex_state = 3, .external_lex_state = 4},
  [416] = {.lex_state = 3, .external_lex_state = 4},
  [417] = {.lex_state = 3, .external_lex_state = 4},
  [418] = {.lex_state = 3, .external_lex_state = 4},
  [419] = {.lex_state = 3, .external_lex_state = 4},
  [420] = {.lex_state = 3, .external_lex_state = 4},
  [421] = {.lex_state = 3, .external_lex_state = 4},
  [422] = {.lex_state = 3, .external_lex_state = 4},
  [423] = {.lex_state = 3, .external_lex_state = 4},
  [424] = {.lex_state = 3, .external_lex_state = 4},
  [425] = {.lex_state = 3, .external_lex_state = 4},
  [426] = {.lex_state = 3, .external_lex_state = 4},
  [427] = {.lex_state = 3, .external_lex_state = 4},
  [428] = {.lex_state = 3, .external_lex_state = 4},
  [429] = {.lex_state = 3, .external_lex_state = 4},
  [430] = {.lex_state = 3, .external_lex_state = 4},
  [431] = {.lex_state = 3, .external_lex_state = 4},
  [432] = {.lex_state = 3, .external_lex_state = 4},
  [433] = {.lex_state = 3, .external_lex_state = 4},
  [434] = {.lex_state = 5, .external_lex_state = 4},
  [435] = {.lex_state = 3, .external_lex_state = 4},
  [436] = {.lex_state = 2, .external_lex_state = 4},
  [437] = {.lex_state = 3, .external_lex_state = 4},
  [438] = {.lex_state = 3, .external_lex_state = 4},
  [439] = {.lex_state = 3, .external_lex_state = 4},
  [440] = {.lex_state = 3, .external_lex_state = 4},
  [441] = {.lex_state = 5, .external_lex_state = 4},
  [442] = {.lex_state = 3, .external_lex_state = 4},
  [443] = {.lex_state = 3, .external_lex_state = 4},
  [444] = {.lex_state = 5, .external_lex_state = 4},
  [445] = {.lex_state = 3, .external_lex_state = 4},
  [446] = {.lex_state = 3, .external_lex_state = 4},
  [447] = {.lex_state = 5, .external_lex_state = 4},
  [448] = {.lex_state = 3, .external_lex_state = 4},
  [449] = {.lex_state = 3, .external_lex_state = 4},
  [450] = {.lex_state = 3, .external_lex_state = 4},
  [451] = {.lex_state = 3, .external_lex_state = 4},
  [452] = {.lex_state = 3, .external_lex_state = 4},
  [453] = {.lex_state = 3, .external_lex_state = 4},
  [454] = {.lex_state = 2, .external_lex_state = 4},
  [455] = {.lex_state = 3, .external_lex_state = 4},
  [456] = {.lex_state = 3, .external_lex_state = 4},
  [457] = {.lex_state = 3, .external_lex_state = 4},
  [458] = {.lex_state = 3, .external_lex_state = 4},
  [459] = {.lex_state = 3, .external_lex_state = 4},
  [460] = {.lex_state = 3, .external_lex_state = 4},
  [461] = {.lex_state = 3, .external_lex_state = 4},
  [462] = {.lex_state = 3, .external_lex_state = 4},
  [463] = {.lex_state = 3, .external_lex_state = 4},
  [464] = {.lex_state = 3, .external_lex_state = 4},
  [465] = {.lex_state = 3, .external_lex_state = 4},
  [466] = {.lex_state = 3, .external_lex_state = 4},
  [467] = {.lex_state = 3, .external_lex_state = 4},
  [468] = {.lex_state = 2, .external_lex_state = 4},
  [469] = {.lex_state = 3, .external_lex_state = 4},
  [470] = {.lex_state = 2, .external_lex_state = 4},
  [471] = {.lex_state = 3, .external_lex_state = 4},
  [472] = {.lex_state = 3, .external_lex_state = 4},
  [473] = {.lex_state = 3, .external_lex_state = 4},
  [474] = {.lex_state = 2, .external_lex_state = 4},
  [475] = {.lex_state = 5, .external_lex_state = 4},
  [476] = {.lex_state = 5, .external_lex_state = 4},
  [477] = {.lex_state = 2, .external_lex_state = 4},
  [478] = {.lex_state = 5, .external_lex_state = 4},
  [479] = {.lex_state = 5, .external_lex_state = 4},
  [480] = {.lex_state = 18, .external_lex_state = 6},
  [481] = {.lex_state = 5, .external_lex_state = 4},
  [482] = {.lex_state = 18, .external_lex_state = 6},
  [483] = {.lex_state = 5, .external_lex_state = 4},
  [484] = {.lex_state = 5, .external_lex_state = 4},
  [485] = {.lex_state = 18, .external_lex_state = 6},
  [486] = {.lex_state = 2, .external_lex_state = 4},
  [487] = {.lex_state = 18, .external_lex_state = 6},
  [488] = {.lex_state = 2, .external_lex_state = 4},
  [489] = {.lex_state = 5, .external_lex_state = 4},
  [490] = {.lex_state = 5, .external_lex_state = 4},
  [491] = {.lex_state = 18, .external_lex_state = 6},
  [492] = {.lex_state = 5, .external_lex_state = 4},
  [493] = {.lex_state = 5, .external_lex_state = 4},
  [494] = {.lex_state = 5, .external_lex_state = 4},
  [495] = {.lex_state = 5, .external_lex_state = 4},
  [496] = {.lex_state = 19, .external_lex_state = 4},
  [497] = {.lex_state = 5, .external_lex_state = 4},
  [498] = {.lex_state = 5, .external_lex_state = 4},
  [499] = {.lex_state = 2, .external_lex_state = 4},
  [500] = {.lex_state = 19, .external_lex_state = 4},
  [501] = {.lex_state = 19, .external_lex_state = 4},
  [502] = {.lex_state = 19, .external_lex_state = 4},
  [503] = {.lex_state = 19, .external_lex_state = 4},
  [504] = {.lex_state = 7, .external_lex_state = 6},
  [505] = {.lex_state = 2, .external_lex_state = 5},
  [506] = {.lex_state = 5, .external_lex_state = 4},
  [507] = {.lex_state = 5, .external_lex_state = 4},
  [508] = {.lex_state = 2, .external_lex_state = 4},
  [509] = {.lex_state = 5, .external_lex_state = 4},
  [510] = {.lex_state = 5, .external_lex_state = 4},
  [511] = {.lex_state = 5, .external_lex_state = 4},
  [512] = {.lex_state = 5, .external_lex_state = 4},
  [513] = {.lex_state = 0, .external_lex_state = 4},
  [514] = {.lex_state = 0, .external_lex_state = 4},
  [515] = {.lex_state = 2, .external_lex_state = 4},
  [516] = {.lex_state = 8, .external_lex_state = 4},
  [517] = {.lex_state = 5, .external_lex_state = 4},
  [518] = {.lex_state = 0, .external_lex_state = 4},
  [519] = {.lex_state = 5, .external_lex_state = 4},
  [520] = {.lex_state = 5, .external_lex_state = 4},
  [521] = {.lex_state = 5, .external_lex_state = 4},
  [522] = {.lex_state = 0, .external_lex_state = 4},
  [523] = {.lex_state = 5, .external_lex_state = 4},
  [524] = {.lex_state = 0, .external_lex_state = 4},
  [525] = {.lex_state = 0, .external_lex_state = 4},
  [526] = {.lex_state = 5, .external_lex_state = 4},
  [527] = {.lex_state = 0, .external_lex_state = 4},
  [528] = {.lex_state = 0, .external_lex_state = 4},
  [529] = {.lex_state = 5, .external_lex_state = 4},
  [530] = {.lex_state = 0, .external_lex_state = 4},
  [531] = {.lex_state = 5, .external_lex_state = 4},
  [532] = {.lex_state = 5, .external_lex_state = 4},
  [533] = {.lex_state = 0, .external_lex_state = 4},
  [534] = {.lex_state = 0, .external_lex_state = 4},
  [535] = {.lex_state = 5, .external_lex_state = 4},
  [536] = {.lex_state = 0, .external_lex_state = 4},
  [537] = {.lex_state = 5, .external_lex_state = 4},
  [538] = {.lex_state = 5, .external_lex_state = 4},
  [539] = {.lex_state = 0, .external_lex_state = 4},
  [540] = {.lex_state = 18, .external_lex_state = 6},
  [541] = {.lex_state = 0, .external_lex_state = 4},
  [542] = {.lex_state = 0, .external_lex_state = 4},
  [543] = {.lex_state = 0, .external_lex_state = 4},
  [544] = {.lex_state = 2, .external_lex_state = 5},
  [545] = {.lex_state = 0, .external_lex_state = 4},
  [546] = {.lex_state = 0, .external_lex_state = 4},
  [547] = {.lex_state = 2, .external_lex_state = 4},
  [548] = {.lex_state = 0, .external_lex_state = 4},
  [549] = {.lex_state = 0, .external_lex_state = 4},
  [550] = {.lex_state = 0, .external_lex_state = 4},
  [551] = {.lex_state = 0, .external_lex_state = 4},
  [552] = {.lex_state = 18, .external_lex_state = 6},
  [553] = {.lex_state = 0, .external_lex_state = 5},
  [554] = {.lex_state = 0, .external_lex_state = 5},
  [555] = {.lex_state = 0, .external_lex_state = 5},
  [556] = {.lex_state = 5, .external_lex_state = 4},
  [557] = {.lex_state = 0, .external_lex_state = 4},
  [558] = {.lex_state = 0, .external_lex_state = 4},
  [559] = {.lex_state = 0, .external_lex_state = 4},
  [560] = {.lex_state = 0, .external_lex_state = 4},
  [561] = {.lex_state = 18, .external_lex_state = 6},
  [562] = {.lex_state = 0, .external_lex_state = 4},
  [563] = {.lex_state = 5, .external_lex_state = 4},
  [564] = {.lex_state = 0, .external_lex_state = 4},
  [565] = {.lex_state = 5, .external_lex_state = 4},
  [566] = {.lex_state = 5, .external_lex_state = 4},
  [567] = {.lex_state = 5, .external_lex_state = 4},
  [568] = {.lex_state = 5, .external_lex_state = 4},
  [569] = {.lex_state = 5, .external_lex_state = 4},
  [570] = {.lex_state = 19, .external_lex_state = 4},
  [571] = {.lex_state = 5, .external_lex_state = 4},
  [572] = {.lex_state = 5, .external_lex_state = 4},
  [573] = {.lex_state = 5, .external_lex_state = 4},
  [574] = {.lex_state = 5, .external_lex_state = 4},
  [575] = {.lex_state = 0, .external_lex_state = 4},
  [576] = {.lex_state = 0, .external_lex_state = 4},
  [577] = {.lex_state = 18, .external_lex_state = 6},
  [578] = {.lex_state = 18, .external_lex_state = 6},
  [579] = {.lex_state = 0, .external_lex_state = 4},
  [580] = {.lex_state = 0, .external_lex_state = 4},
  [581] = {.lex_state = 0, .external_lex_state = 5},
  [582] = {.lex_state = 18, .external_lex_state = 6},
  [583] = {.lex_state = 19, .external_lex_state = 4},
  [584] = {.lex_state = 9, .external_lex_state = 4},
  [585] = {.lex_state = 19, .external_lex_state = 4},
  [586] = {.lex_state = 0, .external_lex_state = 4},
  [587] = {.lex_state = 0, .external_lex_state = 5},
  [588] = {.lex_state = 18, .external_lex_state = 6},
  [589] = {.lex_state = 2, .external_lex_state = 4},
  [590] = {.lex_state = 0, .external_lex_state = 4},
  [591] = {.lex_state = 0, .external_lex_state = 4},
  [592] = {.lex_state = 0, .external_lex_state = 5},
  [593] = {.lex_state = 18, .external_lex_state = 6},
  [594] = {.lex_state = 18, .external_lex_state = 6},
  [595] = {.lex_state = 0, .external_lex_state = 5},
  [596] = {.lex_state = 0, .external_lex_state = 5},
  [597] = {.lex_state = 0, .external_lex_state = 5},
  [598] = {.lex_state = 0, .external_lex_state = 5},
  [599] = {.lex_state = 18, .external_lex_state = 6},
  [600] = {.lex_state = 0, .external_lex_state = 4},
  [601] = {.lex_state = 18, .external_lex_state = 6},
  [602] = {.lex_state = 0, .external_lex_state = 4},
  [603] = {.lex_state = 0, .external_lex_state = 5},
  [604] = {.lex_state = 0, .external_lex_state = 4},
  [605] = {.lex_state = 0, .external_lex_state = 4},
  [606] = {.lex_state = 18, .external_lex_state = 6},
  [607] = {.lex_state = 0, .external_lex_state = 5},
  [608] = {.lex_state = 18, .external_lex_state = 6},
  [609] = {.lex_state = 18, .external_lex_state = 6},
  [610] = {.lex_state = 0, .external_lex_state = 5},
  [611] = {.lex_state = 18, .external_lex_state = 6},
  [612] = {.lex_state = 0, .external_lex_state = 4},
  [613] = {.lex_state = 19, .external_lex_state = 4},
  [614] = {.lex_state = 2, .external_lex_state = 4},
  [615] = {.lex_state = 2, .external_lex_state = 5},
  [616] = {.lex_state = 19, .external_lex_state = 4},
  [617] = {.lex_state = 0, .external_lex_state = 5},
  [618] = {.lex_state = 2, .external_lex_state = 4},
  [619] = {.lex_state = 19, .external_lex_state = 4},
  [620] = {.lex_state = 19, .external_lex_state = 4},
  [621] = {.lex_state = 0, .external_lex_state = 5},
  [622] = {.lex_state = 0, .external_lex_state = 4},
  [623] = {.lex_state = 0, .external_lex_state = 4},
  [624] = {.lex_state = 2, .external_lex_state = 4},
  [625] = {.lex_state = 2, .external_lex_state = 4},
  [626] = {.lex_state = 0, .external_lex_state = 4},
  [627] = {.lex_state = 0, .external_lex_state = 5},
  [628] = {.lex_state = 19, .external_lex_state = 4},
  [629] = {.lex_state = 19, .external_lex_state = 4},
  [630] = {.lex_state = 5, .external_lex_state = 4},
  [631] = {.lex_state = 19, .external_lex_state = 4},
  [632] = {.lex_state = 0, .external_lex_state = 4},
  [633] = {.lex_state = 0, .external_lex_state = 4},
  [634] = {.lex_state = 0, .external_lex_state = 4},
  [635] = {.lex_state = 19, .external_lex_state = 4},
  [636] = {.lex_state = 2, .external_lex_state = 4},
  [637] = {.lex_state = 0, .external_lex_state = 5},
  [638] = {.lex_state = 0, .external_lex_state = 4},
  [639] = {.lex_state = 2, .external_lex_state = 4},
  [640] = {.lex_state = 2, .external_lex_state = 4},
  [641] = {.lex_state = 0, .external_lex_state = 5},
  [642] = {.lex_state = 2, .external_lex_state = 4},
  [643] = {.lex_state = 2, .external_lex_state = 4},
  [644] = {.lex_state = 0, .external_lex_state = 4},
  [645] = {.lex_state = 5, .external_lex_state = 4},
  [646] = {.lex_state = 1, .external_lex_state = 4},
  [647] = {.lex_state = 19, .external_lex_state = 4},
  [648] = {.lex_state = 2, .external_lex_state = 4},
  [649] = {.lex_state = 19, .external_lex_state = 4},
  [650] = {.lex_state = 19, .external_lex_state = 4},
  [651] = {.lex_state = 2, .external_lex_state = 4},
  [652] = {.lex_state = 19, .external_lex_state = 4},
  [653] = {.lex_state = 0, .external_lex_state = 4},
  [654] = {.lex_state = 0, .external_lex_state = 5},
  [655] = {.lex_state = 2, .external_lex_state = 4},
  [656] = {.lex_state = 2, .external_lex_state = 4},
  [657] = {.lex_state = 0, .external_lex_state = 5},
  [658] = {.lex_state = 2, .external_lex_state = 4},
  [659] = {.lex_state = 2, .external_lex_state = 4},
  [660] = {.lex_state = 2, .external_lex_state = 4},
  [661] = {.lex_state = 2, .external_lex_state = 4},
  [662] = {.lex_state = 2, .external_lex_state = 4},
  [663] = {.lex_state = 2, .external_lex_state = 4},
  [664] = {.lex_state = 2, .external_lex_state = 4},
  [665] = {.lex_state = 2, .external_lex_state = 4},
  [666] = {.lex_state = 2, .external_lex_state = 4},
  [667] = {.lex_state = 2, .external_lex_state = 4},
  [668] = {.lex_state = 2, .external_lex_state = 4},
  [669] = {.lex_state = 2, .external_lex_state = 4},
  [670] = {.lex_state = 2, .external_lex_state = 4},
  [671] = {.lex_state = 96, .external_lex_state = 7},
  [672] = {.lex_state = 0, .external_lex_state = 4},
  [673] = {.lex_state = 2, .external_lex_state = 4},
  [674] = {.lex_state = 2, .external_lex_state = 4},
  [675] = {.lex_state = 2, .external_lex_state = 4},
  [676] = {.lex_state = 2, .external_lex_state = 4},
  [677] = {.lex_state = 2, .external_lex_state = 4},
  [678] = {.lex_state = 2, .external_lex_state = 4},
  [679] = {.lex_state = 2, .external_lex_state = 4},
  [680] = {.lex_state = 2, .external_lex_state = 4},
  [681] = {.lex_state = 0, .external_lex_state = 4},
  [682] = {.lex_state = 2, .external_lex_state = 4},
  [683] = {.lex_state = 2, .external_lex_state = 4},
  [684] = {.lex_state = 2, .external_lex_state = 4},
  [685] = {.lex_state = 2, .external_lex_state = 4},
  [686] = {.lex_state = 2, .external_lex_state = 4},
  [687] = {.lex_state = 2, .external_lex_state = 4},
  [688] = {.lex_state = 2, .external_lex_state = 4},
  [689] = {.lex_state = 2, .external_lex_state = 4},
  [690] = {.lex_state = 1, .external_lex_state = 4},
  [691] = {.lex_state = 0, .external_lex_state = 4},
  [692] = {.lex_state = 2, .external_lex_state = 4},
  [693] = {.lex_state = 2, .external_lex_state = 4},
  [694] = {.lex_state = 0, .external_lex_state = 4},
  [695] = {.lex_state = 96, .external_lex_state = 7},
  [696] = {.lex_state = 15, .external_lex_state = 4},
  [697] = {.lex_state = 0, .external_lex_state = 4},
  [698] = {.lex_state = 0, .external_lex_state = 4},
  [699] = {.lex_state = 0, .external_lex_state = 4},
  [700] = {.lex_state = 0, .external_lex_state = 4},
  [701] = {.lex_state = 2, .external_lex_state = 4},
  [702] = {.lex_state = 0, .external_lex_state = 4},
  [703] = {.lex_state = 2, .external_lex_state = 4},
  [704] = {.lex_state = 2, .external_lex_state = 4},
  [705] = {.lex_state = 2, .external_lex_state = 4},
  [706] = {.lex_state = 0, .external_lex_state = 5},
  [707] = {.lex_state = 2, .external_lex_state = 4},
  [708] = {.lex_state = 0, .external_lex_state = 5},
  [709] = {.lex_state = 2, .external_lex_state = 4},
  [710] = {.lex_state = 2, .external_lex_state = 4},
  [711] = {.lex_state = 96, .external_lex_state = 7},
  [712] = {.lex_state = 0, .external_lex_state = 4},
  [713] = {.lex_state = 2, .external_lex_state = 4},
  [714] = {.lex_state = 2, .external_lex_state = 4},
  [715] = {.lex_state = 2, .external_lex_state = 4},
  [716] = {.lex_state = 2, .external_lex_state = 4},
  [717] = {.lex_state = 10, .external_lex_state = 4},
  [718] = {.lex_state = 10, .external_lex_state = 4},
  [719] = {.lex_state = 0, .external_lex_state = 4},
  [720] = {.lex_state = 0, .external_lex_state = 4},
  [721] = {.lex_state = 16, .external_lex_state = 4},
  [722] = {.lex_state = 10, .external_lex_state = 4},
  [723] = {.lex_state = 16, .external_lex_state = 4},
  [724] = {.lex_state = 0, .external_lex_state = 5},
  [725] = {.lex_state = 16, .external_lex_state = 4},
  [726] = {.lex_state = 10, .external_lex_state = 4},
  [727] = {.lex_state = 0, .external_lex_state = 4},
  [728] = {.lex_state = 16, .external_lex_state = 4},
  [729] = {.lex_state = 10, .external_lex_state = 4},
  [730] = {.lex_state = 0, .external_lex_state = 5},
  [731] = {.lex_state = 0, .external_lex_state = 5},
  [732] = {.lex_state = 16, .external_lex_state = 4},
  [733] = {.lex_state = 0, .external_lex_state = 4},
  [734] = {.lex_state = 10, .external_lex_state = 4},
  [735] = {.lex_state = 2, .external_lex_state = 4},
  [736] = {.lex_state = 0, .external_lex_state = 4},
  [737] = {.lex_state = 0, .external_lex_state = 5},
  [738] = {.lex_state = 0, .external_lex_state = 7},
  [739] = {.lex_state = 0, .external_lex_state = 4},
  [740] = {.lex_state = 0, .external_lex_state = 4},
  [741] = {.lex_state = 10, .external_lex_state = 4},
  [742] = {.lex_state = 0, .external_lex_state = 5},
  [743] = {.lex_state = 16, .external_lex_state = 4},
  [744] = {.lex_state = 2, .external_lex_state = 4},
  [745] = {.lex_state = 0, .external_lex_state = 7},
  [746] = {.lex_state = 16, .external_lex_state = 4},
  [747] = {.lex_state = 10, .external_lex_state = 4},
  [748] = {.lex_state = 16, .external_lex_state = 4},
  [749] = {.lex_state = 0, .external_lex_state = 5},
  [750] = {.lex_state = 0, .external_lex_state = 4},
  [751] = {.lex_state = 0, .external_lex_state = 5},
  [752] = {.lex_state = 0, .external_lex_state = 4},
  [753] = {.lex_state = 0, .external_lex_state = 4},
  [754] = {.lex_state = 0, .external_lex_state = 4},
  [755] = {.lex_state = 6, .external_lex_state = 4},
  [756] = {.lex_state = 0, .external_lex_state = 4},
  [757] = {.lex_state = 0, .external_lex_state = 4},
  [758] = {.lex_state = 5, .external_lex_state = 4},
  [759] = {.lex_state = 0, .external_lex_state = 4},
  [760] = {.lex_state = 16, .external_lex_state = 4},
  [761] = {.lex_state = 0, .external_lex_state = 4},
  [762] = {.lex_state = 0, .external_lex_state = 4},
  [763] = {.lex_state = 6, .external_lex_state = 4},
  [764] = {.lex_state = 79, .external_lex_state = 4},
  [765] = {.lex_state = 79, .external_lex_state = 4},
  [766] = {.lex_state = 0, .external_lex_state = 4},
  [767] = {.lex_state = 79, .external_lex_state = 4},
  [768] = {.lex_state = 10, .external_lex_state = 4},
  [769] = {.lex_state = 0, .external_lex_state = 4},
  [770] = {.lex_state = 0, .external_lex_state = 4},
  [771] = {.lex_state = 0, .external_lex_state = 4},
  [772] = {.lex_state = 0, .external_lex_state = 4},
  [773] = {.lex_state = 0, .external_lex_state = 4},
  [774] = {.lex_state = 0, .external_lex_state = 4},
  [775] = {.lex_state = 25, .external_lex_state = 4},
  [776] = {.lex_state = 0, .external_lex_state = 4},
  [777] = {.lex_state = 0, .external_lex_state = 4},
  [778] = {.lex_state = 0, .external_lex_state = 4},
  [779] = {.lex_state = 0, .external_lex_state = 4},
  [780] = {.lex_state = 0, .external_lex_state = 4},
  [781] = {.lex_state = 0, .external_lex_state = 4},
  [782] = {.lex_state = 0, .external_lex_state = 4},
  [783] = {.lex_state = 0, .external_lex_state = 4},
  [784] = {.lex_state = 0, .external_lex_state = 4},
  [785] = {.lex_state = 0, .external_lex_state = 4},
  [786] = {.lex_state = 0, .external_lex_state = 4},
  [787] = {.lex_state = 0, .external_lex_state = 4},
  [788] = {.lex_state = 0, .external_lex_state = 4},
  [789] = {.lex_state = 0, .external_lex_state = 5},
  [790] = {.lex_state = 96, .external_lex_state = 7},
  [791] = {.lex_state = 0, .external_lex_state = 8},
  [792] = {.lex_state = 0, .external_lex_state = 4},
  [793] = {.lex_state = 96, .external_lex_state = 7},
  [794] = {.lex_state = 0, .external_lex_state = 9},
  [795] = {.lex_state = 0, .external_lex_state = 8},
  [796] = {.lex_state = 96, .external_lex_state = 7},
  [797] = {.lex_state = 0, .external_lex_state = 4},
  [798] = {.lex_state = 0, .external_lex_state = 4},
  [799] = {.lex_state = 0, .external_lex_state = 4},
  [800] = {.lex_state = 0, .external_lex_state = 4},
  [801] = {.lex_state = 0, .external_lex_state = 4},
  [802] = {.lex_state = 0, .external_lex_state = 4},
  [803] = {.lex_state = 0, .external_lex_state = 4},
  [804] = {.lex_state = 0, .external_lex_state = 8},
  [805] = {.lex_state = 0, .external_lex_state = 4},
  [806] = {.lex_state = 0, .external_lex_state = 5},
  [807] = {.lex_state = 2, .external_lex_state = 4},
  [808] = {.lex_state = 5, .external_lex_state = 4},
  [809] = {.lex_state = 0, .external_lex_state = 4},
  [810] = {.lex_state = 0, .external_lex_state = 4},
  [811] = {.lex_state = 0, .external_lex_state = 4},
  [812] = {.lex_state = 0, .external_lex_state = 4},
  [813] = {.lex_state = 0, .external_lex_state = 4},
  [814] = {.lex_state = 0, .external_lex_state = 4},
  [815] = {.lex_state = 0, .external_lex_state = 4},
  [816] = {.lex_state = 0, .external_lex_state = 4},
  [817] = {.lex_state = 5, .external_lex_state = 4},
  [818] = {.lex_state = 5, .external_lex_state = 4},
  [819] = {.lex_state = 0, .external_lex_state = 4},
  [820] = {.lex_state = 0, .external_lex_state = 4},
  [821] = {.lex_state = 0, .external_lex_state = 4},
  [822] = {.lex_state = 0, .external_lex_state = 4},
  [823] = {.lex_state = 96, .external_lex_state = 7},
  [824] = {.lex_state = 0, .external_lex_state = 4},
  [825] = {.lex_state = 0, .external_lex_state = 4},
  [826] = {.lex_state = 2, .external_lex_state = 4},
  [827] = {.lex_state = 0, .external_lex_state = 4},
  [828] = {.lex_state = 0, .external_lex_state = 4},
  [829] = {.lex_state = 0, .external_lex_state = 4},
  [830] = {.lex_state = 26, .external_lex_state = 4},
  [831] = {.lex_state = 0, .external_lex_state = 4},
  [832] = {.lex_state = 0, .external_lex_state = 4},
  [833] = {.lex_state = 0, .external_lex_state = 4},
  [834] = {.lex_state = 5, .external_lex_state = 4},
  [835] = {.lex_state = 0, .external_lex_state = 4},
  [836] = {.lex_state = 0, .external_lex_state = 4},
  [837] = {.lex_state = 0, .external_lex_state = 4},
  [838] = {.lex_state = 0, .external_lex_state = 4},
  [839] = {.lex_state = 53, .external_lex_state = 4},
  [840] = {.lex_state = 0, .external_lex_state = 4},
  [841] = {.lex_state = 0, .external_lex_state = 4},
  [842] = {.lex_state = 0, .external_lex_state = 4},
  [843] = {.lex_state = 0, .external_lex_state = 4},
  [844] = {.lex_state = 0, .external_lex_state = 5},
  [845] = {.lex_state = 0, .external_lex_state = 8},
  [846] = {.lex_state = 0, .external_lex_state = 4},
  [847] = {.lex_state = 0, .external_lex_state = 4},
  [848] = {.lex_state = 0, .external_lex_state = 4},
  [849] = {.lex_state = 0, .external_lex_state = 4},
  [850] = {.lex_state = 0, .external_lex_state = 4},
  [851] = {.lex_state = 0, .external_lex_state = 5},
  [852] = {.lex_state = 0, .external_lex_state = 5},
  [853] = {.lex_state = 0, .external_lex_state = 4},
  [854] = {.lex_state = 0, .external_lex_state = 4},
  [855] = {.lex_state = 79, .external_lex_state = 4},
  [856] = {.lex_state = 0, .external_lex_state = 4},
  [857] = {.lex_state = 5, .external_lex_state = 4},
  [858] = {.lex_state = 0, .external_lex_state = 4},
  [859] = {.lex_state = 79, .external_lex_state = 4},
  [860] = {.lex_state = 0, .external_lex_state = 4},
  [861] = {.lex_state = 0, .external_lex_state = 4},
  [862] = {.lex_state = 0, .external_lex_state = 4},
  [863] = {.lex_state = 0, .external_lex_state = 5},
  [864] = {.lex_state = 0, .external_lex_state = 4},
  [865] = {.lex_state = 0, .external_lex_state = 9},
  [866] = {.lex_state = 0, .external_lex_state = 4},
  [867] = {.lex_state = 53, .external_lex_state = 4},
  [868] = {.lex_state = 5, .external_lex_state = 4},
  [869] = {.lex_state = 0, .external_lex_state = 4},
  [870] = {.lex_state = 0, .external_lex_state = 4},
  [871] = {.lex_state = 0, .external_lex_state = 4},
  [872] = {.lex_state = 5, .external_lex_state = 4},
  [873] = {.lex_state = 0, .external_lex_state = 4},
  [874] = {.lex_state = 0, .external_lex_state = 4},
  [875] = {.lex_state = 0, .external_lex_state = 4},
  [876] = {.lex_state = 5, .external_lex_state = 4},
  [877] = {.lex_state = 0, .external_lex_state = 4},
  [878] = {.lex_state = 0, .external_lex_state = 4},
  [879] = {.lex_state = 0, .external_lex_state = 4},
  [880] = {.lex_state = 5, .external_lex_state = 4},
  [881] = {.lex_state = 0, .external_lex_state = 4},
  [882] = {.lex_state = 0, .external_lex_state = 4},
  [883] = {.lex_state = 0, .external_lex_state = 4},
  [884] = {.lex_state = 0, .external_lex_state = 10},
  [885] = {.lex_state = 0, .external_lex_state = 4},
  [886] = {.lex_state = 5, .external_lex_state = 4},
  [887] = {.lex_state = 5, .external_lex_state = 4},
  [888] = {.lex_state = 0, .external_lex_state = 4},
  [889] = {.lex_state = 5, .external_lex_state = 4},
  [890] = {.lex_state = 5, .external_lex_state = 4},
  [891] = {.lex_state = 0, .external_lex_state = 4},
  [892] = {.lex_state = 0, .external_lex_state = 4},
  [893] = {.lex_state = 0, .external_lex_state = 4},
  [894] = {.lex_state = 0, .external_lex_state = 4},
  [895] = {.lex_state = 0, .external_lex_state = 4},
  [896] = {.lex_state = 5, .external_lex_state = 4},
  [897] = {.lex_state = 0, .external_lex_state = 4},
  [898] = {.lex_state = 0, .external_lex_state = 4},
  [899] = {.lex_state = 17, .external_lex_state = 4},
  [900] = {.lex_state = 11, .external_lex_state = 4},
  [901] = {.lex_state = 0, .external_lex_state = 4},
  [902] = {.lex_state = 0, .external_lex_state = 4},
  [903] = {.lex_state = 0, .external_lex_state = 4},
  [904] = {.lex_state = 0, .external_lex_state = 4},
  [905] = {.lex_state = 0, .external_lex_state = 10},
  [906] = {.lex_state = 0, .external_lex_state = 4},
  [907] = {.lex_state = 0, .external_lex_state = 4},
  [908] = {.lex_state = 0, .external_lex_state = 4},
  [909] = {.lex_state = 0, .external_lex_state = 4},
  [910] = {.lex_state = 5, .external_lex_state = 4},
  [911] = {.lex_state = 0, .external_lex_state = 4},
  [912] = {.lex_state = 0, .external_lex_state = 4},
  [913] = {.lex_state = 0, .external_lex_state = 4},
  [914] = {.lex_state = 0, .external_lex_state = 4},
  [915] = {.lex_state = 11, .external_lex_state = 4},
  [916] = {.lex_state = 17, .external_lex_state = 4},
  [917] = {.lex_state = 0, .external_lex_state = 4},
  [918] = {.lex_state = 0, .external_lex_state = 8},
  [919] = {.lex_state = 0, .external_lex_state = 4},
  [920] = {.lex_state = 0, .external_lex_state = 4},
  [921] = {.lex_state = 5, .external_lex_state = 4},
  [922] = {.lex_state = 0, .external_lex_state = 4},
  [923] = {.lex_state = 5, .external_lex_state = 4},
  [924] = {.lex_state = 5, .external_lex_state = 4},
  [925] = {.lex_state = 0, .external_lex_state = 4},
  [926] = {.lex_state = 5, .external_lex_state = 4},
  [927] = {.lex_state = 5, .external_lex_state = 4},
  [928] = {.lex_state = 0, .external_lex_state = 4},
  [929] = {.lex_state = 0, .external_lex_state = 4},
  [930] = {.lex_state = 0, .external_lex_state = 4},
  [931] = {.lex_state = 0, .external_lex_state = 4},
  [932] = {.lex_state = 5, .external_lex_state = 4},
  [933] = {.lex_state = 0, .external_lex_state = 4},
  [934] = {.lex_state = 0, .external_lex_state = 4},
  [935] = {.lex_state = 5, .external_lex_state = 4},
  [936] = {.lex_state = 5, .external_lex_state = 4},
  [937] = {.lex_state = 0, .external_lex_state = 4},
  [938] = {.lex_state = 0, .external_lex_state = 4},
  [939] = {.lex_state = 5, .external_lex_state = 4},
  [940] = {.lex_state = 0, .external_lex_state = 4},
  [941] = {.lex_state = 5, .external_lex_state = 4},
  [942] = {.lex_state = 0, .external_lex_state = 8},
  [943] = {.lex_state = 0, .external_lex_state = 4},
  [944] = {.lex_state = 0, .external_lex_state = 4},
  [945] = {.lex_state = 79, .external_lex_state = 4},
  [946] = {.lex_state = 0, .external_lex_state = 4},
  [947] = {.lex_state = 5, .external_lex_state = 4},
  [948] = {.lex_state = 0, .external_lex_state = 4},
  [949] = {.lex_state = 27, .external_lex_state = 4},
  [950] = {.lex_state = 0, .external_lex_state = 4},
  [951] = {.lex_state = 0, .external_lex_state = 8},
  [952] = {.lex_state = 0, .external_lex_state = 8},
  [953] = {.lex_state = 5, .external_lex_state = 4},
  [954] = {.lex_state = 57, .external_lex_state = 4},
  [955] = {.lex_state = 0, .external_lex_state = 4},
  [956] = {.lex_state = 5, .external_lex_state = 4},
  [957] = {.lex_state = 0, .external_lex_state = 4},
  [958] = {.lex_state = 5, .external_lex_state = 4},
  [959] = {.lex_state = 5, .external_lex_state = 4},
  [960] = {.lex_state = 5, .external_lex_state = 4},
  [961] = {.lex_state = 0, .external_lex_state = 4},
  [962] = {.lex_state = 5, .external_lex_state = 4},
  [963] = {.lex_state = 0, .external_lex_state = 4},
  [964] = {.lex_state = 5, .external_lex_state = 4},
  [965] = {.lex_state = 0, .external_lex_state = 4},
  [966] = {.lex_state = 2, .external_lex_state = 4},
  [967] = {.lex_state = 0, .external_lex_state = 4},
  [968] = {.lex_state = 0, .external_lex_state = 4},
  [969] = {.lex_state = 5, .external_lex_state = 4},
  [970] = {.lex_state = 0, .external_lex_state = 4},
  [971] = {.lex_state = 0, .external_lex_state = 4},
  [972] = {.lex_state = 0, .external_lex_state = 4},
  [973] = {.lex_state = 0, .external_lex_state = 4},
  [974] = {.lex_state = 0, .external_lex_state = 4},
  [975] = {.lex_state = 96, .external_lex_state = 4},
  [976] = {.lex_state = 0, .external_lex_state = 4},
  [977] = {.lex_state = 5, .external_lex_state = 4},
  [978] = {.lex_state = 96, .external_lex_state = 4},
  [979] = {.lex_state = 0, .external_lex_state = 4},
  [980] = {.lex_state = 0, .external_lex_state = 4},
  [981] = {.lex_state = 0, .external_lex_state = 4},
  [982] = {.lex_state = 0, .external_lex_state = 4},
  [983] = {.lex_state = 96, .external_lex_state = 4},
  [984] = {.lex_state = 5, .external_lex_state = 4},
  [985] = {.lex_state = 0, .external_lex_state = 4},
  [986] = {.lex_state = 5, .external_lex_state = 4},
  [987] = {.lex_state = 0, .external_lex_state = 4},
  [988] = {.lex_state = 96, .external_lex_state = 4},
  [989] = {.lex_state = 0, .external_lex_state = 4},
  [990] = {.lex_state = 0, .external_lex_state = 4},
  [991] = {.lex_state = 0, .external_lex_state = 4},
  [992] = {.lex_state = 0, .external_lex_state = 4},
  [993] = {.lex_state = 0, .external_lex_state = 4},
  [994] = {.lex_state = 0, .external_lex_state = 4},
  [995] = {.lex_state = 0, .external_lex_state = 4},
  [996] = {.lex_state = 0, .external_lex_state = 4},
  [997] = {.lex_state = 0, .external_lex_state = 4},
  [998] = {.lex_state = 0, .external_lex_state = 4},
  [999] = {.lex_state = 0, .external_lex_state = 4},
  [1000] = {.lex_state = 0, .external_lex_state = 4},
  [1001] = {.lex_state = 0, .external_lex_state = 4},
  [1002] = {.lex_state = 0, .external_lex_state = 4},
  [1003] = {.lex_state = 0, .external_lex_state = 4},
  [1004] = {.lex_state = 1, .external_lex_state = 4},
  [1005] = {.lex_state = 0, .external_lex_state = 4},
  [1006] = {.lex_state = 5, .external_lex_state = 4},
  [1007] = {.lex_state = 0, .external_lex_state = 4},
  [1008] = {.lex_state = 2, .external_lex_state = 4},
  [1009] = {.lex_state = 0, .external_lex_state = 4},
  [1010] = {.lex_state = 0, .external_lex_state = 4},
  [1011] = {.lex_state = 0, .external_lex_state = 4},
  [1012] = {.lex_state = 5, .external_lex_state = 4},
  [1013] = {.lex_state = 0, .external_lex_state = 4},
  [1014] = {.lex_state = 2, .external_lex_state = 4},
  [1015] = {.lex_state = 0, .external_lex_state = 4},
  [1016] = {.lex_state = 0, .external_lex_state = 4},
  [1017] = {.lex_state = 0, .external_lex_state = 4},
  [1018] = {.lex_state = 0, .external_lex_state = 4},
  [1019] = {.lex_state = 0, .external_lex_state = 11},
  [1020] = {.lex_state = 0, .external_lex_state = 4},
  [1021] = {.lex_state = 0, .external_lex_state = 4},
  [1022] = {.lex_state = 2, .external_lex_state = 4},
  [1023] = {.lex_state = 0, .external_lex_state = 4},
  [1024] = {.lex_state = 0, .external_lex_state = 4},
  [1025] = {.lex_state = 96, .external_lex_state = 4},
  [1026] = {.lex_state = 89, .external_lex_state = 4},
  [1027] = {.lex_state = 0, .external_lex_state = 4},
  [1028] = {.lex_state = 0, .external_lex_state = 4},
  [1029] = {.lex_state = 0, .external_lex_state = 4},
  [1030] = {.lex_state = 0, .external_lex_state = 4},
  [1031] = {.lex_state = 1, .external_lex_state = 4},
  [1032] = {.lex_state = 0, .external_lex_state = 4},
  [1033] = {.lex_state = 0, .external_lex_state = 4},
  [1034] = {.lex_state = 0, .external_lex_state = 4},
  [1035] = {.lex_state = 0, .external_lex_state = 4},
  [1036] = {.lex_state = 0, .external_lex_state = 4},
  [1037] = {.lex_state = 0, .external_lex_state = 4},
  [1038] = {.lex_state = 0, .external_lex_state = 4},
  [1039] = {.lex_state = 0, .external_lex_state = 4},
  [1040] = {.lex_state = 0, .external_lex_state = 4},
  [1041] = {.lex_state = 0, .external_lex_state = 4},
  [1042] = {.lex_state = 0, .external_lex_state = 4},
  [1043] = {.lex_state = 0, .external_lex_state = 4},
  [1044] = {.lex_state = 0, .external_lex_state = 4},
  [1045] = {.lex_state = 0, .external_lex_state = 4},
  [1046] = {.lex_state = 0, .external_lex_state = 5},
  [1047] = {.lex_state = 0, .external_lex_state = 4},
  [1048] = {.lex_state = 0, .external_lex_state = 4},
  [1049] = {.lex_state = 0, .external_lex_state = 4},
  [1050] = {.lex_state = 0, .external_lex_state = 4},
  [1051] = {.lex_state = 0, .external_lex_state = 4},
  [1052] = {.lex_state = 0, .external_lex_state = 12},
  [1053] = {.lex_state = 96, .external_lex_state = 4},
  [1054] = {.lex_state = 0, .external_lex_state = 4},
  [1055] = {.lex_state = 0, .external_lex_state = 4},
  [1056] = {.lex_state = 0, .external_lex_state = 11},
  [1057] = {.lex_state = 0, .external_lex_state = 4},
  [1058] = {.lex_state = 89, .external_lex_state = 4},
  [1059] = {.lex_state = 0, .external_lex_state = 4},
  [1060] = {.lex_state = 0, .external_lex_state = 12},
  [1061] = {.lex_state = 0, .external_lex_state = 4},
  [1062] = {.lex_state = 0, .external_lex_state = 4},
  [1063] = {.lex_state = 5, .external_lex_state = 4},
  [1064] = {.lex_state = 0, .external_lex_state = 5},
  [1065] = {.lex_state = 0, .external_lex_state = 4},
  [1066] = {.lex_state = 0, .external_lex_state = 4},
  [1067] = {.lex_state = 0, .external_lex_state = 4},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [sym__doctype] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [sym_entity] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_prefetch] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_after] = ACTIONS(1),
    [anon_sym_minimum] = ACTIONS(1),
    [anon_sym_ms] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_track] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_plural] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_context] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACK_AT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [sym__escape_sequence] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_BANG_DOT] = ACTIONS(1),
    [sym__closing_bracket] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__script_start_tag_name] = ACTIONS(1),
    [sym__style_start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym_erroneous_end_tag_name] = ACTIONS(1),
    [sym__implicit_end_tag] = ACTIONS(1),
    [sym_raw_text] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(1),
    [sym__interpolation_end] = ACTIONS(1),
    [sym_if_start] = ACTIONS(1),
    [sym_else_start] = ACTIONS(1),
    [sym_for_start] = ACTIONS(1),
    [sym_switch_start] = ACTIONS(1),
    [sym_case_start] = ACTIONS(1),
    [sym_default_start] = ACTIONS(1),
    [sym_defer_start] = ACTIONS(1),
    [sym_let_start] = ACTIONS(1),
    [sym_empty_start] = ACTIONS(1),
    [sym_placeholder_start] = ACTIONS(1),
    [sym_loading_start] = ACTIONS(1),
    [sym_error_start] = ACTIONS(1),
    [sym_else_if_start] = ACTIONS(1),
    [sym_at_sign] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(1051),
    [sym_doctype] = STATE(277),
    [sym__node] = STATE(277),
    [sym_element] = STATE(277),
    [sym_script_element] = STATE(277),
    [sym_style_element] = STATE(277),
    [sym_start_tag] = STATE(6),
    [sym_script_start_tag] = STATE(795),
    [sym_style_start_tag] = STATE(804),
    [sym_self_closing_tag] = STATE(278),
    [sym_erroneous_end_tag] = STATE(277),
    [sym__any_statement] = STATE(279),
    [sym__alternative_statement] = STATE(281),
    [sym_let_statement] = STATE(279),
    [sym_switch_statement] = STATE(279),
    [sym_defer_statement] = STATE(279),
    [sym_placeholder_statement] = STATE(286),
    [sym_loading_statement] = STATE(287),
    [sym_error_statement] = STATE(288),
    [sym_for_statement] = STATE(279),
    [sym_empty_statement] = STATE(290),
    [sym_if_statement] = STATE(279),
    [sym_else_if_statement] = STATE(291),
    [sym_else_statement] = STATE(292),
    [sym_icu_expression] = STATE(277),
    [sym_interpolation] = STATE(277),
    [aux_sym_document_repeat1] = STATE(12),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_LT_BANG] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(9),
    [anon_sym_LT_SLASH] = ACTIONS(11),
    [sym_entity] = ACTIONS(13),
    [sym_text] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(17),
    [sym_if_start] = ACTIONS(19),
    [sym_else_start] = ACTIONS(21),
    [sym_for_start] = ACTIONS(23),
    [sym_switch_start] = ACTIONS(25),
    [sym_defer_start] = ACTIONS(27),
    [sym_let_start] = ACTIONS(29),
    [sym_empty_start] = ACTIONS(31),
    [sym_placeholder_start] = ACTIONS(33),
    [sym_loading_start] = ACTIONS(35),
    [sym_error_start] = ACTIONS(37),
    [sym_else_if_start] = ACTIONS(39),
    [sym_at_sign] = ACTIONS(13),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(45), 1,
      anon_sym_LT_SLASH,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__implicit_end_tag,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    STATE(5), 1,
      sym_start_tag,
    STATE(9), 1,
      aux_sym_document_repeat1,
    STATE(324), 1,
      sym_end_tag,
    STATE(398), 1,
      sym_self_closing_tag,
    STATE(400), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    STATE(791), 1,
      sym_script_start_tag,
    STATE(845), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(399), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(397), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [117] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(77), 1,
      anon_sym_LT_SLASH,
    ACTIONS(79), 1,
      sym__implicit_end_tag,
    STATE(5), 1,
      sym_start_tag,
    STATE(9), 1,
      aux_sym_document_repeat1,
    STATE(384), 1,
      sym_end_tag,
    STATE(398), 1,
      sym_self_closing_tag,
    STATE(400), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    STATE(791), 1,
      sym_script_start_tag,
    STATE(845), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(399), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(397), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [234] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LT_BANG,
    ACTIONS(86), 1,
      anon_sym_LT,
    ACTIONS(89), 1,
      anon_sym_LT_SLASH,
    ACTIONS(95), 1,
      anon_sym_LBRACE,
    ACTIONS(98), 1,
      sym__interpolation_start,
    ACTIONS(101), 1,
      sym_if_start,
    ACTIONS(104), 1,
      sym_else_start,
    ACTIONS(107), 1,
      sym_for_start,
    ACTIONS(110), 1,
      sym_switch_start,
    ACTIONS(113), 1,
      sym_defer_start,
    ACTIONS(116), 1,
      sym_let_start,
    ACTIONS(119), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(125), 1,
      sym_loading_start,
    ACTIONS(128), 1,
      sym_error_start,
    ACTIONS(131), 1,
      sym_else_if_start,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(81), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
    ACTIONS(92), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [349] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(77), 1,
      anon_sym_LT_SLASH,
    ACTIONS(134), 1,
      sym__implicit_end_tag,
    STATE(3), 1,
      aux_sym_document_repeat1,
    STATE(5), 1,
      sym_start_tag,
    STATE(398), 1,
      sym_self_closing_tag,
    STATE(400), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    STATE(407), 1,
      sym_end_tag,
    STATE(791), 1,
      sym_script_start_tag,
    STATE(845), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(399), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(397), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [466] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(45), 1,
      anon_sym_LT_SLASH,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(136), 1,
      sym__implicit_end_tag,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(5), 1,
      sym_start_tag,
    STATE(304), 1,
      sym_end_tag,
    STATE(398), 1,
      sym_self_closing_tag,
    STATE(400), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    STATE(791), 1,
      sym_script_start_tag,
    STATE(845), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(399), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(397), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [583] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(138), 1,
      anon_sym_RBRACE,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [697] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(140), 1,
      anon_sym_RBRACE,
    STATE(6), 1,
      sym_start_tag,
    STATE(13), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [811] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      sym__implicit_end_tag,
    ACTIONS(142), 1,
      anon_sym_LT_BANG,
    ACTIONS(145), 1,
      anon_sym_LT,
    ACTIONS(148), 1,
      anon_sym_LT_SLASH,
    ACTIONS(154), 1,
      anon_sym_LBRACE,
    ACTIONS(157), 1,
      sym__interpolation_start,
    ACTIONS(160), 1,
      sym_if_start,
    ACTIONS(163), 1,
      sym_else_start,
    ACTIONS(166), 1,
      sym_for_start,
    ACTIONS(169), 1,
      sym_switch_start,
    ACTIONS(172), 1,
      sym_defer_start,
    ACTIONS(175), 1,
      sym_let_start,
    ACTIONS(178), 1,
      sym_empty_start,
    ACTIONS(181), 1,
      sym_placeholder_start,
    ACTIONS(184), 1,
      sym_loading_start,
    ACTIONS(187), 1,
      sym_error_start,
    ACTIONS(190), 1,
      sym_else_if_start,
    STATE(5), 1,
      sym_start_tag,
    STATE(9), 1,
      aux_sym_document_repeat1,
    STATE(398), 1,
      sym_self_closing_tag,
    STATE(400), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    STATE(791), 1,
      sym_script_start_tag,
    STATE(845), 1,
      sym_style_start_tag,
    ACTIONS(151), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(399), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(397), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [925] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(193), 1,
      anon_sym_RBRACE,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1039] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(195), 1,
      anon_sym_RBRACE,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1153] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(197), 1,
      ts_builtin_sym_end,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1267] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(199), 1,
      anon_sym_RBRACE,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1381] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(201), 1,
      anon_sym_RBRACE,
    STATE(6), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1495] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(203), 1,
      anon_sym_RBRACE,
    STATE(6), 1,
      sym_start_tag,
    STATE(11), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    STATE(6), 1,
      sym_start_tag,
    STATE(7), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    STATE(795), 1,
      sym_script_start_tag,
    STATE(804), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1720] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    STATE(122), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(199), 1,
      sym_pipe_sequence,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1772] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(221), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1826] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    STATE(122), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(199), 1,
      sym_pipe_sequence,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(221), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(223), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(225), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(231), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(223), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(225), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2003] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_BANG,
    ACTIONS(243), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(239), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(217), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2060] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_BANG,
    ACTIONS(243), 1,
      anon_sym_QMARK_DOT,
    STATE(202), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(231), 1,
      sym_pipe_sequence,
    ACTIONS(239), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2113] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_BANG,
    ACTIONS(243), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(245), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2166] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_BANG,
    ACTIONS(243), 1,
      anon_sym_QMARK_DOT,
    STATE(202), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(231), 1,
      sym_pipe_sequence,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(245), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2219] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_BANG,
    ACTIONS(243), 1,
      anon_sym_QMARK_DOT,
    STATE(202), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(231), 1,
      sym_pipe_sequence,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2270] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(247), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2327] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    STATE(122), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(199), 1,
      sym_pipe_sequence,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(247), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 16,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(251), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(255), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2494] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_BANG,
    ACTIONS(243), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(263), 1,
      anon_sym_PIPE,
    STATE(225), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(231), 1,
      sym_pipe_sequence,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(261), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(229), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(231), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(275), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(281), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(283), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2742] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    STATE(122), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(199), 1,
      sym_pipe_sequence,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(285), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 15,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2832] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(229), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 10,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(231), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(255), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(285), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3052] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_BANG,
    ACTIONS(243), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(299), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(261), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(303), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(251), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(307), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(311), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(267), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(313), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(315), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(231), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(307), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(267), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(229), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(231), 12,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3510] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(319), 1,
      anon_sym_LT,
    ACTIONS(321), 1,
      sym_else_start,
    ACTIONS(324), 1,
      sym_empty_start,
    ACTIONS(327), 1,
      sym_placeholder_start,
    ACTIONS(330), 1,
      sym_loading_start,
    ACTIONS(333), 1,
      sym_error_start,
    ACTIONS(336), 1,
      sym_else_if_start,
    STATE(57), 1,
      aux_sym_if_statement_repeat1,
    STATE(282), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    ACTIONS(317), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3575] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(299), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(339), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(303), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3669] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(343), 1,
      anon_sym_LT,
    STATE(57), 1,
      aux_sym_if_statement_repeat1,
    STATE(282), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    ACTIONS(341), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(311), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3771] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(347), 1,
      anon_sym_LT,
    STATE(60), 1,
      aux_sym_if_statement_repeat1,
    STATE(282), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    ACTIONS(345), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_BANG,
    ACTIONS(243), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(313), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(315), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 1,
      anon_sym_BANG,
    ACTIONS(243), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(281), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(283), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(275), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4037] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(349), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(232), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(339), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(353), 1,
      anon_sym_LT,
    STATE(73), 1,
      aux_sym_if_statement_repeat1,
    STATE(282), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    ACTIONS(351), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [4266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(357), 1,
      anon_sym_LT,
    STATE(57), 1,
      aux_sym_if_statement_repeat1,
    STATE(282), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(290), 1,
      sym_empty_statement,
    STATE(291), 1,
      sym_else_if_statement,
    STATE(292), 1,
      sym_else_statement,
    ACTIONS(355), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [4331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 9,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 1,
      anon_sym_QMARK,
    ACTIONS(229), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(231), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4408] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(349), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(232), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(359), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4460] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      anon_sym_let,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_BANG,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(377), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(331), 1,
      sym_binary_expression,
    STATE(638), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(879), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(564), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(76), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      anon_sym_let,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_BANG,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(377), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(331), 1,
      sym_binary_expression,
    STATE(638), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(944), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(564), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(76), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4592] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(343), 1,
      anon_sym_LT,
    STATE(82), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    ACTIONS(341), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4656] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(385), 1,
      sym_identifier,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(504), 1,
      sym__double_quote,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(770), 1,
      sym_assignment_expression,
    STATE(771), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(699), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(265), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(229), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(231), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4764] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(319), 1,
      anon_sym_LT,
    ACTIONS(389), 1,
      sym_else_start,
    ACTIONS(392), 1,
      sym_empty_start,
    ACTIONS(395), 1,
      sym_placeholder_start,
    ACTIONS(398), 1,
      sym_loading_start,
    ACTIONS(401), 1,
      sym_error_start,
    ACTIONS(404), 1,
      sym_else_if_start,
    STATE(82), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    ACTIONS(317), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4828] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(347), 1,
      anon_sym_LT,
    STATE(79), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    ACTIONS(345), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4892] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(357), 1,
      anon_sym_LT,
    STATE(82), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    ACTIONS(355), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4956] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(353), 1,
      anon_sym_LT,
    STATE(84), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym__alternative_statement,
    STATE(401), 1,
      sym_placeholder_statement,
    STATE(402), 1,
      sym_loading_statement,
    STATE(403), 1,
      sym_error_statement,
    STATE(404), 1,
      sym_empty_statement,
    STATE(405), 1,
      sym_else_if_statement,
    STATE(406), 1,
      sym_else_statement,
    ACTIONS(351), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [5020] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(385), 1,
      sym_identifier,
    ACTIONS(387), 1,
      sym_number,
    ACTIONS(407), 1,
      anon_sym_DQUOTE,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(516), 1,
      sym__double_quote,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(756), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(761), 1,
      sym_assignment_expression,
    STATE(697), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5088] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(299), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(359), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(409), 1,
      anon_sym_EQ,
    ACTIONS(229), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(231), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5183] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    STATE(311), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(387), 1,
      sym_pipe_sequence,
    ACTIONS(415), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5232] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    STATE(122), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(199), 1,
      sym_pipe_sequence,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5281] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    STATE(311), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(387), 1,
      sym_pipe_sequence,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5330] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(385), 1,
      sym_identifier,
    ACTIONS(387), 1,
      sym_number,
    ACTIONS(425), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      anon_sym_SEMI,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(920), 1,
      sym_assignment_expression,
    STATE(783), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5395] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5448] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5501] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(430), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5550] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    STATE(311), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(387), 1,
      sym_pipe_sequence,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(430), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5599] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(415), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(219), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    STATE(311), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(387), 1,
      sym_pipe_sequence,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5699] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(349), 1,
      anon_sym_PIPE,
    ACTIONS(432), 1,
      anon_sym_PLUS,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(232), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(339), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5751] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(434), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1023), 1,
      sym_concatenation_expression,
    STATE(814), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(99), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(436), 1,
      anon_sym_LPAREN,
    ACTIONS(223), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(225), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5849] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(446), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5891] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(299), 1,
      anon_sym_PIPE,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(219), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(448), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(111), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(452), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6021] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(299), 1,
      anon_sym_PIPE,
    ACTIONS(454), 1,
      anon_sym_RPAREN,
    ACTIONS(456), 1,
      anon_sym_COMMA,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(468), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(842), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(172), 1,
      sym_pipe_arguments,
    ACTIONS(458), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(460), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6111] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(825), 1,
      sym_if_condition,
    STATE(773), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    STATE(104), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(472), 1,
      anon_sym_PIPE,
    STATE(110), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(468), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_COLON,
    STATE(111), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(475), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(477), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6287] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(482), 1,
      anon_sym_PIPE,
    STATE(380), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(387), 1,
      sym_pipe_sequence,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(448), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 11,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6337] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(864), 1,
      sym_if_condition,
    STATE(773), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6399] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_BANG,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(498), 1,
      sym_number,
    STATE(293), 1,
      sym_expression,
    STATE(411), 1,
      sym_binary_expression,
    STATE(724), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(1046), 1,
      sym_concatenation_expression,
    STATE(806), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(119), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6461] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(434), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1059), 1,
      sym_concatenation_expression,
    STATE(792), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(99), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(446), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6565] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_BANG,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(498), 1,
      sym_number,
    STATE(293), 1,
      sym_expression,
    STATE(411), 1,
      sym_binary_expression,
    STATE(724), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(1064), 1,
      sym_concatenation_expression,
    STATE(851), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(119), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6627] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(819), 1,
      sym_if_condition,
    STATE(773), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6689] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(482), 1,
      anon_sym_PIPE,
    ACTIONS(500), 1,
      anon_sym_PLUS,
    STATE(380), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(387), 1,
      sym_pipe_sequence,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(448), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 10,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6741] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(861), 1,
      sym_if_condition,
    STATE(773), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(436), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(231), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(110), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(502), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(504), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6875] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(516), 1,
      anon_sym_BANG,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(520), 1,
      sym_number,
    STATE(147), 1,
      sym_expression,
    STATE(244), 1,
      sym_binary_expression,
    STATE(574), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(630), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(33), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6934] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(524), 1,
      sym_number,
    STATE(192), 1,
      sym_group,
    STATE(293), 1,
      sym_expression,
    STATE(312), 1,
      sym_binary_expression,
    STATE(383), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(375), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(96), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6995] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(516), 1,
      anon_sym_BANG,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(520), 1,
      sym_number,
    STATE(81), 1,
      sym_group,
    STATE(147), 1,
      sym_expression,
    STATE(244), 1,
      sym_binary_expression,
    STATE(574), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(645), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(33), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7056] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(753), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(229), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(231), 12,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(229), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(231), 12,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(681), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7248] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(528), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(233), 1,
      sym_binary_expression,
    STATE(542), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(557), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(39), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(532), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(180), 1,
      sym_binary_expression,
    STATE(539), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(533), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(29), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7366] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(532), 1,
      sym_number,
    STATE(34), 1,
      sym_group,
    STATE(105), 1,
      sym_expression,
    STATE(180), 1,
      sym_binary_expression,
    STATE(539), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(591), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(29), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(443), 1,
      sym__binary_op,
    ACTIONS(538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(534), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(536), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_COLON,
    STATE(240), 1,
      sym_pipe_arguments,
    ACTIONS(458), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(460), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(542), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7579] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      sym_number,
    STATE(204), 1,
      sym_group,
    STATE(283), 1,
      sym_binary_expression,
    STATE(293), 1,
      sym_expression,
    STATE(641), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(637), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(89), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7640] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(815), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(443), 1,
      sym__binary_op,
    ACTIONS(538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(534), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(536), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(546), 1,
      anon_sym_PIPE,
    STATE(140), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(468), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7777] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(801), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(443), 1,
      sym__binary_op,
    ACTIONS(549), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(534), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(536), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(553), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7943] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(528), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(233), 1,
      sym_binary_expression,
    STATE(542), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(549), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(39), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(443), 1,
      sym__binary_op,
    ACTIONS(444), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(534), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(536), 10,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8076] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(555), 1,
      anon_sym_BANG,
    ACTIONS(557), 1,
      sym_number,
    STATE(133), 1,
      sym_binary_expression,
    STATE(147), 1,
      sym_expression,
    STATE(526), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(529), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(24), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_QMARK_QMARK,
    STATE(205), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(265), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(229), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(231), 14,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(275), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(565), 1,
      anon_sym_QMARK,
    ACTIONS(561), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(563), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8312] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(567), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(330), 1,
      sym_binary_expression,
    STATE(586), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(712), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(90), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(281), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(283), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8404] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(528), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(233), 1,
      sym_binary_expression,
    STATE(542), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(541), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(39), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(251), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8496] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    ACTIONS(571), 1,
      sym_number,
    STATE(142), 1,
      sym_binary_expression,
    STATE(147), 1,
      sym_expression,
    STATE(238), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(196), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(26), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COLON,
    STATE(111), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(452), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8592] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(575), 1,
      sym_number,
    STATE(102), 1,
      sym_binary_expression,
    STATE(105), 1,
      sym_expression,
    STATE(146), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(152), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8684] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    ACTIONS(571), 1,
      sym_number,
    STATE(142), 1,
      sym_binary_expression,
    STATE(147), 1,
      sym_expression,
    STATE(238), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(239), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(26), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_COLON,
    STATE(170), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(452), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(573), 1,
      anon_sym_COLON,
    STATE(159), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 16,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8860] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(313), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(315), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(555), 1,
      anon_sym_BANG,
    ACTIONS(557), 1,
      sym_number,
    STATE(133), 1,
      sym_binary_expression,
    STATE(147), 1,
      sym_expression,
    STATE(526), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(510), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(24), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8960] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(555), 1,
      anon_sym_BANG,
    ACTIONS(557), 1,
      sym_number,
    STATE(56), 1,
      sym_group,
    STATE(133), 1,
      sym_binary_expression,
    STATE(147), 1,
      sym_expression,
    STATE(526), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(535), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(24), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9021] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(853), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      anon_sym_COLON,
    STATE(170), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(475), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(477), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(582), 1,
      sym_number,
    STATE(293), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(587), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(706), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(91), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(586), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9209] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(575), 1,
      sym_number,
    STATE(102), 1,
      sym_binary_expression,
    STATE(105), 1,
      sym_expression,
    STATE(146), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(164), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9268] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(567), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(330), 1,
      sym_binary_expression,
    STATE(586), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(632), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(90), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9327] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      sym_number,
    STATE(283), 1,
      sym_binary_expression,
    STATE(293), 1,
      sym_expression,
    STATE(641), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(654), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(89), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9386] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(75), 1,
      sym_group,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(672), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9447] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(582), 1,
      sym_number,
    STATE(293), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(587), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(617), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(91), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9506] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    ACTIONS(571), 1,
      sym_number,
    STATE(55), 1,
      sym_group,
    STATE(142), 1,
      sym_binary_expression,
    STATE(147), 1,
      sym_expression,
    STATE(238), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(230), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(26), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(532), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(180), 1,
      sym_binary_expression,
    STATE(539), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(536), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(29), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9626] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(542), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(307), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9700] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(858), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(311), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9792] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      sym_number,
    STATE(283), 1,
      sym_binary_expression,
    STATE(293), 1,
      sym_expression,
    STATE(641), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(595), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(89), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(750), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9910] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(524), 1,
      sym_number,
    STATE(293), 1,
      sym_expression,
    STATE(312), 1,
      sym_binary_expression,
    STATE(383), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(343), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(96), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COLON,
    STATE(172), 1,
      sym_pipe_arguments,
    ACTIONS(458), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(460), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10039] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(528), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(233), 1,
      sym_binary_expression,
    STATE(542), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(604), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(39), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(835), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(267), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(757), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10288] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(567), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(330), 1,
      sym_binary_expression,
    STATE(586), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(605), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(90), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10380] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(577), 1,
      anon_sym_COLON,
    STATE(163), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10419] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(575), 1,
      sym_number,
    STATE(51), 1,
      sym_group,
    STATE(102), 1,
      sym_binary_expression,
    STATE(105), 1,
      sym_expression,
    STATE(146), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(200), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10480] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(532), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(180), 1,
      sym_binary_expression,
    STATE(539), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(559), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(29), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(592), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(565), 1,
      anon_sym_QMARK,
    ACTIONS(267), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(532), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(180), 1,
      sym_binary_expression,
    STATE(539), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(579), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(29), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(140), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(502), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(504), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(240), 1,
      sym_pipe_arguments,
    ACTIONS(458), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(460), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(229), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(231), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(170), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(452), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(582), 1,
      sym_number,
    STATE(293), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(587), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(581), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(91), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(805), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10928] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(387), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(247), 1,
      sym_binary_expression,
    STATE(590), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(809), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(68), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10987] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(582), 1,
      sym_number,
    STATE(221), 1,
      sym_group,
    STATE(293), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(587), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(708), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(91), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(443), 1,
      sym__binary_op,
    ACTIONS(549), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(534), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(536), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11089] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_BANG,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(377), 1,
      sym_number,
    STATE(75), 1,
      sym_group,
    STATE(105), 1,
      sym_expression,
    STATE(331), 1,
      sym_binary_expression,
    STATE(638), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(740), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(76), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11150] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(575), 1,
      sym_number,
    STATE(102), 1,
      sym_binary_expression,
    STATE(105), 1,
      sym_expression,
    STATE(146), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(345), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(19), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(582), 1,
      sym_number,
    STATE(127), 1,
      sym_group,
    STATE(293), 1,
      sym_expression,
    STATE(334), 1,
      sym_binary_expression,
    STATE(587), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(598), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(91), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(303), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11303] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(532), 1,
      sym_number,
    STATE(43), 1,
      sym_group,
    STATE(105), 1,
      sym_expression,
    STATE(180), 1,
      sym_binary_expression,
    STATE(539), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(525), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(29), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(255), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11397] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_BANG,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(594), 1,
      sym_number,
    STATE(229), 1,
      sym_group,
    STATE(293), 1,
      sym_expression,
    STATE(411), 1,
      sym_binary_expression,
    STATE(724), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(852), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(112), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11458] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(567), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(150), 1,
      sym_group,
    STATE(330), 1,
      sym_binary_expression,
    STATE(586), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(700), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(90), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11552] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(528), 1,
      sym_number,
    STATE(43), 1,
      sym_group,
    STATE(105), 1,
      sym_expression,
    STATE(233), 1,
      sym_binary_expression,
    STATE(542), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(548), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(39), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(265), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(229), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(231), 14,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11650] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(567), 1,
      sym_number,
    STATE(105), 1,
      sym_expression,
    STATE(128), 1,
      sym_group,
    STATE(330), 1,
      sym_binary_expression,
    STATE(586), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(600), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(90), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11711] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(528), 1,
      sym_number,
    STATE(34), 1,
      sym_group,
    STATE(105), 1,
      sym_expression,
    STATE(233), 1,
      sym_binary_expression,
    STATE(542), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(602), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(39), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11772] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(524), 1,
      sym_number,
    STATE(293), 1,
      sym_expression,
    STATE(312), 1,
      sym_binary_expression,
    STATE(383), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(280), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(96), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_PIPE,
    STATE(228), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(502), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(504), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 1,
      anon_sym_PIPE,
    STATE(226), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(468), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      anon_sym_PIPE,
    STATE(228), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(468), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 1,
      anon_sym_QMARK,
    ACTIONS(265), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(229), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(231), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(602), 1,
      anon_sym_QMARK,
    ACTIONS(267), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(592), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_PIPE,
    STATE(226), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(502), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(504), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(604), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12151] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(604), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(553), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(602), 1,
      anon_sym_QMARK,
    ACTIONS(561), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(563), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(586), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(443), 1,
      sym__binary_op,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(606), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(534), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(536), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12430] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(608), 1,
      anon_sym_RPAREN,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(612), 1,
      sym_number,
    STATE(412), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(828), 1,
      sym_unary_expression,
    STATE(1041), 1,
      sym_arguments,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12489] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(612), 1,
      sym_number,
    ACTIONS(614), 1,
      anon_sym_RPAREN,
    STATE(412), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(828), 1,
      sym_unary_expression,
    STATE(980), 1,
      sym_arguments,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12548] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(443), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(606), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(440), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(534), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(536), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12587] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(612), 1,
      sym_number,
    ACTIONS(616), 1,
      anon_sym_RPAREN,
    STATE(412), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(828), 1,
      sym_unary_expression,
    STATE(996), 1,
      sym_arguments,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12646] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(612), 1,
      sym_number,
    ACTIONS(618), 1,
      anon_sym_RPAREN,
    STATE(412), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(828), 1,
      sym_unary_expression,
    STATE(1045), 1,
      sym_arguments,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12705] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(620), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12743] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(620), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12781] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(622), 1,
      sym_number,
    STATE(276), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(612), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(93), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12837] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(516), 1,
      anon_sym_BANG,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(624), 1,
      sym_number,
    STATE(241), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(563), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(46), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12893] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(555), 1,
      anon_sym_BANG,
    ACTIONS(626), 1,
      sym_number,
    STATE(139), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(523), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(23), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(516), 1,
      anon_sym_BANG,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(624), 1,
      sym_number,
    STATE(241), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(563), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(46), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(628), 1,
      sym_number,
    STATE(248), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(580), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(58), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13061] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_BANG,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(630), 1,
      sym_number,
    STATE(136), 1,
      sym_conditional_expression,
    STATE(337), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(623), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(87), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_BANG,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(632), 1,
      sym_number,
    STATE(364), 1,
      sym_conditional_expression,
    STATE(410), 1,
      sym_binary_expression,
    STATE(488), 1,
      sym_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(742), 1,
      sym_unary_expression,
    STATE(103), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_BANG,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(632), 1,
      sym_number,
    STATE(364), 1,
      sym_conditional_expression,
    STATE(410), 1,
      sym_binary_expression,
    STATE(488), 1,
      sym_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(742), 1,
      sym_unary_expression,
    STATE(103), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(622), 1,
      sym_number,
    STATE(276), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(612), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(93), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_BANG,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(630), 1,
      sym_number,
    STATE(136), 1,
      sym_conditional_expression,
    STATE(337), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(623), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(87), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(628), 1,
      sym_number,
    STATE(248), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(580), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(58), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    ACTIONS(634), 1,
      sym_number,
    STATE(210), 1,
      sym_binary_expression,
    STATE(235), 1,
      sym_conditional_expression,
    STATE(236), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(25), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13453] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(636), 1,
      sym_number,
    STATE(136), 1,
      sym_conditional_expression,
    STATE(234), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(546), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(45), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(555), 1,
      anon_sym_BANG,
    ACTIONS(626), 1,
      sym_number,
    STATE(139), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(523), 1,
      sym_unary_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(23), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13565] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(638), 1,
      sym_number,
    STATE(135), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(527), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(28), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(638), 1,
      sym_number,
    STATE(135), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(527), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(28), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13677] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(640), 1,
      sym_number,
    STATE(295), 1,
      sym_binary_expression,
    STATE(364), 1,
      sym_conditional_expression,
    STATE(488), 1,
      sym_expression,
    STATE(657), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(97), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(636), 1,
      sym_number,
    STATE(136), 1,
      sym_conditional_expression,
    STATE(234), 1,
      sym_binary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(546), 1,
      sym_unary_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(45), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(640), 1,
      sym_number,
    STATE(295), 1,
      sym_binary_expression,
    STATE(364), 1,
      sym_conditional_expression,
    STATE(488), 1,
      sym_expression,
    STATE(657), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(97), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(642), 1,
      sym_number,
    STATE(332), 1,
      sym_binary_expression,
    STATE(364), 1,
      sym_conditional_expression,
    STATE(488), 1,
      sym_expression,
    STATE(597), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(94), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(644), 1,
      sym_number,
    STATE(285), 1,
      sym_binary_expression,
    STATE(342), 1,
      sym_unary_expression,
    STATE(364), 1,
      sym_conditional_expression,
    STATE(488), 1,
      sym_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(95), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13957] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(644), 1,
      sym_number,
    STATE(285), 1,
      sym_binary_expression,
    STATE(342), 1,
      sym_unary_expression,
    STATE(364), 1,
      sym_conditional_expression,
    STATE(488), 1,
      sym_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(95), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14013] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(642), 1,
      sym_number,
    STATE(332), 1,
      sym_binary_expression,
    STATE(364), 1,
      sym_conditional_expression,
    STATE(488), 1,
      sym_expression,
    STATE(597), 1,
      sym_unary_expression,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(94), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14069] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(646), 1,
      sym_number,
    STATE(116), 1,
      sym_binary_expression,
    STATE(136), 1,
      sym_conditional_expression,
    STATE(190), 1,
      sym_unary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(646), 1,
      sym_number,
    STATE(116), 1,
      sym_binary_expression,
    STATE(136), 1,
      sym_conditional_expression,
    STATE(190), 1,
      sym_unary_expression,
    STATE(486), 1,
      sym_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    ACTIONS(634), 1,
      sym_number,
    STATE(210), 1,
      sym_binary_expression,
    STATE(235), 1,
      sym_conditional_expression,
    STATE(236), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym_expression,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(25), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 1,
      anon_sym_COLON,
    STATE(346), 1,
      sym_pipe_arguments,
    ACTIONS(458), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(460), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14270] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(650), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 1,
      anon_sym_LT,
    ACTIONS(652), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_LT,
    ACTIONS(656), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(662), 1,
      anon_sym_LT,
    ACTIONS(660), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      anon_sym_COLON,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    STATE(307), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 1,
      anon_sym_LT,
    ACTIONS(668), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_LT,
    ACTIONS(672), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14487] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(680), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(440), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_PIPE,
    STATE(284), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(468), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14557] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(685), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_LT,
    ACTIONS(687), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 1,
      anon_sym_LT,
    ACTIONS(691), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_LT,
    ACTIONS(695), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LT,
    ACTIONS(699), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      anon_sym_LT,
    ACTIONS(703), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_LT,
    ACTIONS(707), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LT,
    ACTIONS(711), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(440), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_LT,
    ACTIONS(715), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(680), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 1,
      anon_sym_LT,
    ACTIONS(719), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      anon_sym_LT,
    ACTIONS(723), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LT,
    ACTIONS(727), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LT,
    ACTIONS(731), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LT,
    ACTIONS(735), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LT,
    ACTIONS(739), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LT,
    ACTIONS(743), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    STATE(308), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LT,
    ACTIONS(747), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LT,
    ACTIONS(751), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LT,
    ACTIONS(755), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      anon_sym_COLON,
    STATE(328), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(452), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(328), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(452), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LT,
    ACTIONS(759), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(346), 1,
      sym_pipe_arguments,
    ACTIONS(458), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(460), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(284), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(502), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(504), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15376] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(685), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(440), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_LT,
    ACTIONS(763), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LT,
    ACTIONS(767), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 1,
      anon_sym_LT,
    ACTIONS(771), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 1,
      anon_sym_LT,
    ACTIONS(775), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      anon_sym_LT,
    ACTIONS(779), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LT,
    ACTIONS(783), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 1,
      anon_sym_LT,
    ACTIONS(787), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_LT,
    ACTIONS(791), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 1,
      anon_sym_LT,
    ACTIONS(795), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LT,
    ACTIONS(799), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_LT,
    ACTIONS(803), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_LT,
    ACTIONS(803), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_LT,
    ACTIONS(807), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_LT,
    ACTIONS(811), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_LT,
    ACTIONS(815), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 1,
      anon_sym_COLON,
    STATE(328), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(475), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(477), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 1,
      anon_sym_LT,
    ACTIONS(822), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15910] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(650), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(440), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15947] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(826), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15984] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(828), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 1,
      anon_sym_LT,
    ACTIONS(830), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [16050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(828), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(440), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LT,
    ACTIONS(834), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [16116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_LT,
    ACTIONS(838), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [16145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(826), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LT,
    ACTIONS(842), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LT,
    ACTIONS(767), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(553), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16266] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(846), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(802), 2,
      sym_expression,
      sym_unary_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(430), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(848), 1,
      anon_sym_QMARK,
    ACTIONS(561), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(563), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16376] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(846), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(850), 2,
      sym_expression,
      sym_unary_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16424] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(565), 1,
      anon_sym_QMARK,
    ACTIONS(573), 1,
      anon_sym_COLON,
    STATE(159), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(586), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16488] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(846), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(937), 2,
      sym_expression,
      sym_unary_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16536] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 1,
      anon_sym_BANG,
    ACTIONS(850), 1,
      anon_sym_SQUOTE,
    ACTIONS(852), 1,
      anon_sym_DQUOTE,
    ACTIONS(854), 1,
      anon_sym_LBRACE,
    ACTIONS(856), 1,
      anon_sym_LPAREN,
    ACTIONS(858), 1,
      anon_sym_LBRACK,
    ACTIONS(860), 1,
      sym_identifier,
    ACTIONS(862), 1,
      sym_number,
    STATE(722), 1,
      sym__double_quote,
    STATE(723), 1,
      sym__single_quote,
    STATE(497), 2,
      sym_expression,
      sym_unary_expression,
    STATE(447), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16584] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(846), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(836), 2,
      sym_expression,
      sym_unary_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16632] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_BANG,
    ACTIONS(850), 1,
      anon_sym_SQUOTE,
    ACTIONS(852), 1,
      anon_sym_DQUOTE,
    ACTIONS(854), 1,
      anon_sym_LBRACE,
    ACTIONS(856), 1,
      anon_sym_LPAREN,
    ACTIONS(858), 1,
      anon_sym_LBRACK,
    ACTIONS(860), 1,
      sym_identifier,
    ACTIONS(864), 1,
      sym_number,
    STATE(722), 1,
      sym__double_quote,
    STATE(723), 1,
      sym__single_quote,
    STATE(497), 2,
      sym_expression,
      sym_unary_expression,
    STATE(434), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_LT,
    ACTIONS(807), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16708] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(846), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(816), 2,
      sym_expression,
      sym_unary_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      anon_sym_LT,
    ACTIONS(779), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16784] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(569), 1,
      anon_sym_BANG,
    ACTIONS(866), 1,
      sym_number,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(237), 2,
      sym_expression,
      sym_unary_expression,
    STATE(27), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(494), 1,
      anon_sym_BANG,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(868), 1,
      sym_number,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(340), 2,
      sym_expression,
      sym_unary_expression,
    STATE(505), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 1,
      anon_sym_LT,
    ACTIONS(719), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_LT,
    ACTIONS(715), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LT,
    ACTIONS(743), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16964] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(383), 1,
      anon_sym_BANG,
    ACTIONS(870), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(497), 2,
      sym_expression,
      sym_unary_expression,
    STATE(477), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LT,
    ACTIONS(699), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17040] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_BANG,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(872), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(143), 2,
      sym_expression,
      sym_unary_expression,
    STATE(499), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_LT,
    ACTIONS(672), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LT,
    ACTIONS(739), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(219), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LT,
    ACTIONS(735), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_LT,
    ACTIONS(791), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LT,
    ACTIONS(755), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17284] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(530), 1,
      anon_sym_BANG,
    ACTIONS(874), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(497), 2,
      sym_expression,
      sym_unary_expression,
    STATE(17), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 1,
      anon_sym_PIPE,
    STATE(370), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(468), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LT,
    ACTIONS(834), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_LT,
    ACTIONS(838), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 1,
      anon_sym_LT,
    ACTIONS(822), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 1,
      anon_sym_LT,
    ACTIONS(830), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(848), 1,
      anon_sym_QMARK,
    ACTIONS(267), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(881), 1,
      anon_sym_LT,
    ACTIONS(879), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17536] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_BANG,
    ACTIONS(874), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(143), 2,
      sym_expression,
      sym_unary_expression,
    STATE(17), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17584] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_BANG,
    ACTIONS(883), 1,
      sym_number,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(340), 2,
      sym_expression,
      sym_unary_expression,
    STATE(98), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17632] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(610), 1,
      anon_sym_BANG,
    ACTIONS(846), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(497), 2,
      sym_expression,
      sym_unary_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(482), 1,
      anon_sym_PIPE,
    STATE(370), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(502), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(504), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_LT,
    ACTIONS(815), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_LT,
    ACTIONS(811), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(430), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_LT,
    ACTIONS(803), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_LT,
    ACTIONS(803), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LT,
    ACTIONS(799), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(592), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 1,
      anon_sym_LT,
    ACTIONS(795), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 1,
      anon_sym_LT,
    ACTIONS(787), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LT,
    ACTIONS(783), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 1,
      anon_sym_LT,
    ACTIONS(775), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 1,
      anon_sym_LT,
    ACTIONS(771), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      anon_sym_LT,
    ACTIONS(723), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_LT,
    ACTIONS(763), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LT,
    ACTIONS(759), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LT,
    ACTIONS(751), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 1,
      anon_sym_LT,
    ACTIONS(652), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_LT,
    ACTIONS(656), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(662), 1,
      anon_sym_LT,
    ACTIONS(660), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 1,
      anon_sym_LT,
    ACTIONS(668), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_LT,
    ACTIONS(687), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 1,
      anon_sym_LT,
    ACTIONS(691), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_LT,
    ACTIONS(695), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 1,
      anon_sym_LT,
    ACTIONS(703), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_LT,
    ACTIONS(707), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LT,
    ACTIONS(711), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LT,
    ACTIONS(747), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LT,
    ACTIONS(727), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LT,
    ACTIONS(731), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [18526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(219), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(885), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(440), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(885), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18596] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 1,
      anon_sym_RPAREN,
    ACTIONS(456), 1,
      anon_sym_COMMA,
    STATE(465), 1,
      sym__binary_op,
    STATE(842), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18631] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_SQUOTE,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(891), 1,
      sym_number,
    STATE(696), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1002), 1,
      sym_static_member_expression,
    STATE(716), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(744), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [18677] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(846), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1049), 1,
      sym_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18721] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(893), 1,
      sym_identifier,
    STATE(656), 1,
      sym_member_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1000), 1,
      sym_binding_name,
    STATE(744), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18767] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      sym_number,
    STATE(690), 1,
      sym_member_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1004), 1,
      sym_binding_name,
    STATE(735), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18813] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(893), 1,
      sym_identifier,
    STATE(656), 1,
      sym_member_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1005), 1,
      sym_binding_name,
    STATE(744), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18859] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_SQUOTE,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(899), 1,
      sym_identifier,
    STATE(696), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1057), 1,
      sym_static_member_expression,
    STATE(693), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(744), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [18905] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(846), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(995), 1,
      sym_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18949] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(901), 1,
      sym_number,
    STATE(720), 1,
      sym_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(508), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18993] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(893), 1,
      sym_identifier,
    STATE(656), 1,
      sym_member_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(998), 1,
      sym_binding_name,
    STATE(744), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [19039] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_SQUOTE,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(903), 1,
      sym_identifier,
    STATE(696), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(965), 1,
      sym_static_member_expression,
    STATE(673), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(744), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [19085] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_SQUOTE,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(905), 1,
      sym_identifier,
    STATE(696), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1011), 1,
      sym_static_member_expression,
    STATE(666), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(744), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [19131] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_number,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(789), 1,
      sym_expression,
    STATE(544), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19175] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_SQUOTE,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(909), 1,
      sym_identifier,
    STATE(696), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(976), 1,
      sym_static_member_expression,
    STATE(713), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(744), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [19221] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_SQUOTE,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(911), 1,
      sym_identifier,
    STATE(696), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(994), 1,
      sym_static_member_expression,
    STATE(689), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(744), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [19267] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_SQUOTE,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(913), 1,
      sym_identifier,
    STATE(696), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1062), 1,
      sym_static_member_expression,
    STATE(675), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(744), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [19313] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      sym_number,
    STATE(690), 1,
      sym_member_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1031), 1,
      sym_binding_name,
    STATE(735), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [19359] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(893), 1,
      sym_identifier,
    STATE(656), 1,
      sym_member_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1032), 1,
      sym_binding_name,
    STATE(744), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [19405] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(893), 1,
      sym_identifier,
    STATE(656), 1,
      sym_member_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1035), 1,
      sym_binding_name,
    STATE(744), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [19451] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(915), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(800), 1,
      sym_expression,
    STATE(547), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19495] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(893), 1,
      sym_identifier,
    STATE(656), 1,
      sym_member_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(997), 1,
      sym_binding_name,
    STATE(744), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [19541] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(846), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1013), 1,
      sym_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19585] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_LBRACK,
    ACTIONS(919), 1,
      anon_sym_BANG,
    ACTIONS(923), 1,
      anon_sym_QMARK_DOT,
    STATE(506), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(538), 1,
      sym_pipe_sequence,
    ACTIONS(205), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(921), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [19623] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_SQUOTE,
    ACTIONS(891), 1,
      sym_number,
    ACTIONS(925), 1,
      sym_identifier,
    STATE(696), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1067), 1,
      sym_static_member_expression,
    STATE(677), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(744), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [19669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_COLON,
    STATE(172), 1,
      sym_pipe_arguments,
    ACTIONS(458), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(460), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19699] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(901), 1,
      sym_number,
    STATE(719), 1,
      sym_expression,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(508), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19743] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(929), 1,
      sym_number,
    STATE(701), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(703), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19786] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(931), 1,
      sym_number,
    STATE(707), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(704), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19829] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(933), 1,
      sym_number,
    STATE(709), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(710), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_LPAREN,
    ACTIONS(223), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [19899] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(937), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(41), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19940] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(939), 1,
      sym_number,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(63), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(231), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20008] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(941), 1,
      sym_number,
    STATE(715), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(714), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20051] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_SQUOTE,
    ACTIONS(852), 1,
      anon_sym_DQUOTE,
    ACTIONS(854), 1,
      anon_sym_LBRACE,
    ACTIONS(856), 1,
      anon_sym_LPAREN,
    ACTIONS(858), 1,
      anon_sym_LBRACK,
    ACTIONS(860), 1,
      sym_identifier,
    ACTIONS(943), 1,
      sym_number,
    STATE(722), 1,
      sym__double_quote,
    STATE(723), 1,
      sym__single_quote,
    STATE(495), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20092] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(917), 1,
      anon_sym_LBRACK,
    ACTIONS(919), 1,
      anon_sym_BANG,
    ACTIONS(923), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(945), 1,
      anon_sym_PIPE,
    STATE(531), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(538), 1,
      sym_pipe_sequence,
    ACTIONS(921), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [20131] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(947), 1,
      sym_number,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(166), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20172] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(949), 1,
      sym_number,
    STATE(659), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(678), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20215] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_SQUOTE,
    ACTIONS(508), 1,
      anon_sym_DQUOTE,
    ACTIONS(510), 1,
      anon_sym_LBRACE,
    ACTIONS(512), 1,
      anon_sym_LPAREN,
    ACTIONS(514), 1,
      anon_sym_LBRACK,
    ACTIONS(518), 1,
      sym_identifier,
    ACTIONS(951), 1,
      sym_number,
    STATE(718), 1,
      sym__double_quote,
    STATE(748), 1,
      sym__single_quote,
    STATE(64), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20256] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(953), 1,
      sym_number,
    STATE(667), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(705), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20299] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(955), 1,
      sym_number,
    STATE(665), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(669), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20342] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(957), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(624), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20383] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(293), 10,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [20416] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(959), 1,
      sym_number,
    STATE(692), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(658), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20459] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(961), 1,
      sym_number,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(615), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20500] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(963), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(625), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20541] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(965), 1,
      sym_number,
    STATE(687), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(688), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20584] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(967), 1,
      sym_number,
    STATE(661), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(676), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20627] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(969), 1,
      sym_number,
    STATE(683), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(680), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20670] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(971), 1,
      sym_number,
    STATE(664), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(663), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20713] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(973), 1,
      sym_number,
    STATE(686), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(682), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20756] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(975), 1,
      sym_number,
    STATE(679), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(674), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20799] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(977), 1,
      sym_number,
    STATE(670), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(668), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20842] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(979), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(52), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20883] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(981), 1,
      sym_number,
    STATE(685), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(684), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20926] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(983), 1,
      sym_number,
    STATE(660), 1,
      sym_group,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(662), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_PIPE,
    STATE(470), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(502), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(504), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20998] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(985), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(454), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [21039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_PIPE,
    STATE(470), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(468), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [21068] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(990), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(642), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [21109] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_SQUOTE,
    ACTIONS(486), 1,
      anon_sym_DQUOTE,
    ACTIONS(488), 1,
      anon_sym_LBRACE,
    ACTIONS(490), 1,
      anon_sym_LPAREN,
    ACTIONS(492), 1,
      anon_sym_LBRACK,
    ACTIONS(496), 1,
      sym_identifier,
    ACTIONS(992), 1,
      sym_number,
    STATE(725), 1,
      sym__single_quote,
    STATE(726), 1,
      sym__double_quote,
    STATE(165), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [21150] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(994), 1,
      sym_number,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(648), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [21191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(443), 1,
      sym__binary_op,
    ACTIONS(534), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(536), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [21217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(255), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(281), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(283), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21265] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(996), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(543), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(279), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(289), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21351] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1000), 1,
      sym_attribute_name,
    ACTIONS(1003), 1,
      anon_sym_LPAREN,
    ACTIONS(1006), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_LBRACK,
    ACTIONS(1012), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1015), 1,
      anon_sym_LBRACK_AT,
    STATE(608), 1,
      sym__normal_attribute,
    ACTIONS(998), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(480), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(609), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(297), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21415] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 1,
      anon_sym_GT,
    ACTIONS(1020), 1,
      anon_sym_SLASH_GT,
    ACTIONS(1022), 1,
      sym_attribute_name,
    ACTIONS(1024), 1,
      anon_sym_LPAREN,
    ACTIONS(1026), 1,
      anon_sym_STAR,
    ACTIONS(1028), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_LBRACK_AT,
    STATE(608), 1,
      sym__normal_attribute,
    STATE(487), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(609), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(251), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(259), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21505] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 1,
      anon_sym_GT,
    ACTIONS(1022), 1,
      sym_attribute_name,
    ACTIONS(1024), 1,
      anon_sym_LPAREN,
    ACTIONS(1026), 1,
      anon_sym_STAR,
    ACTIONS(1028), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1034), 1,
      anon_sym_SLASH_GT,
    STATE(608), 1,
      sym__normal_attribute,
    STATE(491), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(609), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(465), 1,
      sym__binary_op,
    ACTIONS(438), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [21573] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      sym_attribute_name,
    ACTIONS(1024), 1,
      anon_sym_LPAREN,
    ACTIONS(1026), 1,
      anon_sym_STAR,
    ACTIONS(1028), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1036), 1,
      anon_sym_GT,
    ACTIONS(1038), 1,
      anon_sym_SLASH_GT,
    STATE(608), 1,
      sym__normal_attribute,
    STATE(480), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(609), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(448), 1,
      sym__binary_op,
    ACTIONS(676), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(678), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [21641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(303), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(311), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21689] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      sym_attribute_name,
    ACTIONS(1024), 1,
      anon_sym_LPAREN,
    ACTIONS(1026), 1,
      anon_sym_STAR,
    ACTIONS(1028), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1036), 1,
      anon_sym_GT,
    ACTIONS(1040), 1,
      anon_sym_SLASH_GT,
    STATE(608), 1,
      sym__normal_attribute,
    STATE(480), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(609), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(307), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(271), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(275), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21803] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_LBRACK,
    ACTIONS(919), 1,
      anon_sym_BANG,
    ACTIONS(923), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(921), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(293), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21835] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 1,
      anon_sym_GT,
    ACTIONS(1044), 1,
      sym_attribute_name,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(1048), 1,
      anon_sym_STAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1052), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1054), 1,
      anon_sym_LBRACK_AT,
    STATE(629), 1,
      sym__normal_attribute,
    STATE(503), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(635), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(553), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21920] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1056), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(576), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21957] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 1,
      sym_attribute_name,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(1048), 1,
      anon_sym_STAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1052), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1054), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1058), 1,
      anon_sym_GT,
    STATE(629), 1,
      sym__normal_attribute,
    STATE(502), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(635), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21996] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 1,
      sym_attribute_name,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(1048), 1,
      anon_sym_STAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1052), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1054), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1060), 1,
      anon_sym_GT,
    STATE(629), 1,
      sym__normal_attribute,
    STATE(496), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(635), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [22035] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 1,
      sym_attribute_name,
    ACTIONS(1046), 1,
      anon_sym_LPAREN,
    ACTIONS(1048), 1,
      anon_sym_STAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1052), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1054), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1062), 1,
      anon_sym_GT,
    STATE(629), 1,
      sym__normal_attribute,
    STATE(503), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(635), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [22074] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 1,
      anon_sym_GT,
    ACTIONS(1064), 1,
      sym_attribute_name,
    ACTIONS(1067), 1,
      anon_sym_LPAREN,
    ACTIONS(1070), 1,
      anon_sym_STAR,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1076), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_LBRACK_AT,
    STATE(629), 1,
      sym__normal_attribute,
    STATE(503), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(635), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [22113] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DQUOTE,
    STATE(35), 1,
      sym__double_quote,
    STATE(747), 1,
      aux_sym_string_repeat1,
    ACTIONS(1086), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(1082), 8,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22140] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1088), 1,
      anon_sym_PIPE,
    STATE(387), 1,
      sym_pipe_sequence,
    STATE(627), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(512), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(502), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(504), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_QMARK_QMARK,
    STATE(520), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22221] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1092), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(694), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [22253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 1,
      anon_sym_COLON,
    STATE(509), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(475), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(477), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1097), 1,
      anon_sym_COLON,
    STATE(511), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 1,
      anon_sym_COLON,
    STATE(509), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      anon_sym_QMARK,
    ACTIONS(1099), 1,
      anon_sym_PIPE,
    STATE(512), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(518), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 9,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    STATE(513), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22397] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1104), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(702), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [22429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DQUOTE,
    STATE(35), 1,
      sym__double_quote,
    STATE(747), 1,
      aux_sym_string_repeat1,
    ACTIONS(1086), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(1082), 7,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 1,
      anon_sym_COLON,
    STATE(521), 1,
      sym_pipe_arguments,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(460), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(518), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(475), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(477), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(521), 1,
      sym_pipe_arguments,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(460), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(509), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(586), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 1,
      anon_sym_COLON,
    STATE(172), 1,
      sym_pipe_arguments,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(460), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(239), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [22610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    STATE(530), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 1,
      anon_sym_PIPE,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1113), 1,
      anon_sym_QMARK,
    ACTIONS(265), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(440), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [22677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(247), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [22698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_COLON,
    STATE(528), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(475), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(477), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_PIPE,
    ACTIONS(1090), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1118), 1,
      anon_sym_QMARK,
    ACTIONS(563), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(528), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_QMARK,
    ACTIONS(945), 1,
      anon_sym_PIPE,
    STATE(537), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(504), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(470), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1120), 1,
      anon_sym_COLON,
    STATE(534), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_COLON,
    STATE(518), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 1,
      anon_sym_PIPE,
    ACTIONS(1090), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1118), 1,
      anon_sym_QMARK,
    ACTIONS(265), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_PIPE,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1113), 1,
      anon_sym_QMARK,
    ACTIONS(563), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      anon_sym_QMARK,
    ACTIONS(1122), 1,
      anon_sym_PIPE,
    STATE(537), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(592), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(440), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [22964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym__binding_assignment,
    ACTIONS(1127), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1125), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1131), 1,
      anon_sym_COLON,
    STATE(550), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(440), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_QMARK,
    ACTIONS(996), 1,
      anon_sym_PIPE,
    STATE(545), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(504), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23052] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1133), 1,
      anon_sym_PIPE,
    STATE(387), 1,
      sym_pipe_sequence,
    STATE(749), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(207), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [23082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      anon_sym_QMARK,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    STATE(545), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(285), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1138), 1,
      anon_sym_PIPE,
    STATE(199), 1,
      sym_pipe_sequence,
    STATE(774), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(207), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [23154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 1,
      anon_sym_PIPE,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1140), 1,
      anon_sym_QMARK,
    ACTIONS(265), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(561), 1,
      anon_sym_PIPE,
    ACTIONS(1140), 1,
      anon_sym_QMARK,
    ACTIONS(563), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_COLON,
    STATE(528), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 1,
      anon_sym_COLON,
    STATE(172), 1,
      sym_pipe_arguments,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(460), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 1,
      anon_sym_EQ,
    ACTIONS(1146), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1144), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    STATE(555), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 1,
      anon_sym_COLON,
    STATE(554), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(475), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(477), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(554), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23322] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1153), 1,
      anon_sym_RBRACE,
    ACTIONS(1155), 1,
      sym_identifier,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1017), 1,
      sym_string,
    STATE(573), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1157), 1,
      anon_sym_COLON,
    ACTIONS(1159), 1,
      anon_sym_QMARK,
    STATE(634), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [23374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(575), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1161), 1,
      anon_sym_COLON,
    ACTIONS(1163), 1,
      anon_sym_QMARK,
    STATE(626), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    STATE(558), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_EQ,
    ACTIONS(1167), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1165), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      anon_sym_QMARK,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    STATE(562), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(261), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [23496] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1174), 1,
      anon_sym_DQUOTE,
    ACTIONS(1176), 1,
      anon_sym_SEMI,
    ACTIONS(1178), 1,
      anon_sym_as,
    ACTIONS(1180), 1,
      anon_sym_QMARK,
    STATE(727), 1,
      sym__alias,
    STATE(777), 1,
      sym__then_template_expression,
    STATE(849), 1,
      sym__else_template_expression,
    STATE(967), 1,
      sym__context_expression,
  [23527] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1182), 1,
      anon_sym_RBRACE,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1017), 1,
      sym_string,
    STATE(556), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23556] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1184), 1,
      anon_sym_RBRACE,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1017), 1,
      sym_string,
    STATE(573), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23585] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1186), 1,
      anon_sym_RBRACE,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1017), 1,
      sym_string,
    STATE(568), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1188), 1,
      anon_sym_RBRACE,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1017), 1,
      sym_string,
    STATE(573), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_RBRACE,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1017), 1,
      sym_string,
    STATE(566), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1192), 1,
      anon_sym_EQ,
    STATE(631), 1,
      sym__binding_assignment,
    ACTIONS(1125), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23693] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1194), 1,
      anon_sym_RBRACE,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1017), 1,
      sym_string,
    STATE(573), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23722] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_SQUOTE,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1196), 1,
      anon_sym_RBRACE,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1017), 1,
      sym_string,
    STATE(571), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23751] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_SQUOTE,
    ACTIONS(1201), 1,
      anon_sym_DQUOTE,
    ACTIONS(1204), 1,
      anon_sym_RBRACE,
    ACTIONS(1206), 1,
      sym_identifier,
    STATE(728), 1,
      sym__single_quote,
    STATE(729), 1,
      sym__double_quote,
    STATE(1017), 1,
      sym_string,
    STATE(573), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    ACTIONS(261), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(440), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [23799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_COLON,
    STATE(575), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(475), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(477), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_QMARK,
    ACTIONS(1056), 1,
      anon_sym_PIPE,
    STATE(562), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(504), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1212), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1216), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1163), 1,
      anon_sym_QMARK,
    ACTIONS(563), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(339), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [23909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_PIPE,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1220), 1,
      anon_sym_QMARK,
    ACTIONS(563), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1222), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_LBRACK,
    ACTIONS(1226), 1,
      anon_sym_EQ,
    ACTIONS(1165), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23963] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_as,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1234), 1,
      anon_sym_COLON,
    ACTIONS(1236), 1,
      sym_identifier,
    STATE(840), 1,
      sym__alias,
    ACTIONS(1228), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [23987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 1,
      anon_sym_LBRACK,
    ACTIONS(1238), 1,
      anon_sym_EQ,
    ACTIONS(1144), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(440), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [24023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(440), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [24041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1240), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1244), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    ACTIONS(339), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(440), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [24095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1163), 1,
      anon_sym_QMARK,
    ACTIONS(265), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [24113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 1,
      anon_sym_COLON,
    STATE(592), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(475), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(477), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1249), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1253), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1257), 1,
      anon_sym_COLON,
    STATE(607), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 3,
      sym__interpolation_end,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_COLON,
    STATE(346), 1,
      sym_pipe_arguments,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(460), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [24225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 1,
      anon_sym_PIPE,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1220), 1,
      anon_sym_QMARK,
    ACTIONS(265), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1261), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 1,
      anon_sym_PIPE,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1265), 1,
      anon_sym_QMARK,
    ACTIONS(265), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1267), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1159), 1,
      anon_sym_QMARK,
    ACTIONS(265), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(592), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1159), 1,
      anon_sym_QMARK,
    ACTIONS(563), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_PIPE,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1265), 1,
      anon_sym_QMARK,
    ACTIONS(563), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1271), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_COLON,
    STATE(592), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(450), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1275), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1275), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    STATE(603), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(462), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(464), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1279), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [24493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_LBRACK,
    ACTIONS(1261), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1283), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_LBRACK,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(419), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(417), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(1285), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
  [24548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1287), 1,
      anon_sym_COLON,
    ACTIONS(1289), 1,
      anon_sym_QMARK,
    STATE(731), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1291), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    ACTIONS(1279), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      anon_sym_QMARK,
    ACTIONS(1293), 1,
      anon_sym_PIPE,
    STATE(621), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      anon_sym_COLON,
    STATE(622), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(477), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [24669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(359), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [24686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(1299), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [24707] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(1301), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [24728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_COLON,
    STATE(622), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(452), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [24745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_QMARK,
    ACTIONS(1088), 1,
      anon_sym_PIPE,
    STATE(621), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(504), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1267), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      anon_sym_LBRACK,
    ACTIONS(1275), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1305), 1,
      anon_sym_COMMA,
    ACTIONS(1307), 1,
      anon_sym_QMARK,
    ACTIONS(1303), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [24813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1216), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1309), 1,
      anon_sym_COLON,
    ACTIONS(1311), 1,
      anon_sym_QMARK,
    STATE(739), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_COLON,
    STATE(633), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(477), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [24866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_COLON,
    STATE(633), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(452), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [24883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      anon_sym_LBRACK,
    ACTIONS(1275), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1316), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 1,
      anon_sym_PIPE,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1318), 1,
      anon_sym_QMARK,
    ACTIONS(265), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    ACTIONS(359), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(440), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [24953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1320), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1322), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(444), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(440), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [25008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(1324), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [25029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1326), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 1,
      anon_sym_COLON,
    STATE(172), 1,
      sym_pipe_arguments,
    ACTIONS(460), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [25065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1307), 1,
      anon_sym_QMARK,
    ACTIONS(265), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_identifier,
  [25082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1244), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [25116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(1285), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
  [25137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LBRACK,
    ACTIONS(1240), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [25152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_LBRACK,
    ACTIONS(1253), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [25167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1330), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 1,
      anon_sym_LBRACK,
    ACTIONS(1212), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [25201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 1,
      anon_sym_COLON,
    STATE(172), 1,
      sym_pipe_arguments,
    ACTIONS(460), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [25218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_PIPE,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1318), 1,
      anon_sym_QMARK,
    ACTIONS(563), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(233), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1244), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(415), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [25290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1336), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1338), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1340), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1340), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1344), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1344), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1346), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1283), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1348), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1346), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      anon_sym_RBRACE,
    ACTIONS(1354), 1,
      sym_case_start,
    ACTIONS(1356), 1,
      sym_default_start,
    STATE(711), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [25536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(265), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [25552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1320), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1360), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1334), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1330), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1338), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1360), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1362), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1364), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [25712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1366), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1362), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1368), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1368), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1366), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1370), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1370), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [25836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1326), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1244), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 1,
      anon_sym_PIPE,
    STATE(691), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [25884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1336), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1322), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_PIPE,
    STATE(691), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(504), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [25932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      sym_case_start,
    ACTIONS(1356), 1,
      sym_default_start,
    ACTIONS(1375), 1,
      anon_sym_RBRACE,
    STATE(711), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [25950] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_SQUOTE,
    ACTIONS(1377), 1,
      sym_identifier,
    ACTIONS(1379), 1,
      sym__escape_sequence,
    ACTIONS(1381), 1,
      aux_sym_string_token2,
    STATE(35), 1,
      sym__single_quote,
    STATE(746), 1,
      aux_sym_string_repeat2,
  [25972] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1383), 1,
      anon_sym_DQUOTE,
    STATE(650), 1,
      sym__double_quote,
    STATE(788), 1,
      aux_sym__binding_assignment_repeat1,
  [25994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_PIPE,
    STATE(698), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [26010] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1388), 1,
      anon_sym_DQUOTE,
    STATE(594), 1,
      sym__double_quote,
    STATE(752), 1,
      aux_sym__binding_assignment_repeat1,
  [26032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1311), 1,
      anon_sym_QMARK,
    ACTIONS(265), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [26048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1390), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [26064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 1,
      anon_sym_PIPE,
    STATE(698), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(504), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [26080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1390), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [26100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1392), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [26120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1348), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [26140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1289), 1,
      anon_sym_QMARK,
    ACTIONS(563), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [26156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1392), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [26172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1289), 1,
      anon_sym_QMARK,
    ACTIONS(265), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [26188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1394), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [26204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1394), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [26224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 1,
      anon_sym_RBRACE,
    ACTIONS(1398), 1,
      sym_case_start,
    ACTIONS(1401), 1,
      sym_default_start,
    STATE(711), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [26242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1311), 1,
      anon_sym_QMARK,
    ACTIONS(563), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [26258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1316), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [26274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1404), 1,
      anon_sym_COLON,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [26294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1404), 1,
      anon_sym_COLON,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [26310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_BANG,
    ACTIONS(1291), 1,
      anon_sym_RBRACK,
    ACTIONS(231), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [26326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_DQUOTE,
    ACTIONS(1408), 1,
      sym__escape_sequence,
    ACTIONS(1410), 1,
      aux_sym_string_token1,
    STATE(490), 1,
      sym__double_quote,
    STATE(768), 1,
      aux_sym_string_repeat1,
  [26345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      anon_sym_DQUOTE,
    ACTIONS(1414), 1,
      sym__escape_sequence,
    ACTIONS(1416), 1,
      aux_sym_string_token1,
    STATE(69), 1,
      sym__double_quote,
    STATE(741), 1,
      aux_sym_string_repeat1,
  [26364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_as,
    STATE(803), 1,
      sym__alias,
    ACTIONS(1418), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_as,
    STATE(812), 1,
      sym__alias,
    ACTIONS(1420), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_SQUOTE,
    ACTIONS(1422), 1,
      sym__escape_sequence,
    ACTIONS(1424), 1,
      aux_sym_string_token2,
    STATE(490), 1,
      sym__single_quote,
    STATE(760), 1,
      aux_sym_string_repeat2,
  [26413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 1,
      anon_sym_DQUOTE,
    ACTIONS(1428), 1,
      sym__escape_sequence,
    ACTIONS(1430), 1,
      aux_sym_string_token1,
    STATE(493), 1,
      sym__double_quote,
    STATE(717), 1,
      aux_sym_string_repeat1,
  [26432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 1,
      anon_sym_SQUOTE,
    ACTIONS(1432), 1,
      sym__escape_sequence,
    ACTIONS(1434), 1,
      aux_sym_string_token2,
    STATE(493), 1,
      sym__single_quote,
    STATE(721), 1,
      aux_sym_string_repeat2,
  [26451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    ACTIONS(440), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(448), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_SQUOTE,
    ACTIONS(1438), 1,
      sym__escape_sequence,
    ACTIONS(1440), 1,
      aux_sym_string_token2,
    STATE(161), 1,
      sym__single_quote,
    STATE(732), 1,
      aux_sym_string_repeat2,
  [26485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_DQUOTE,
    ACTIONS(1442), 1,
      sym__escape_sequence,
    ACTIONS(1444), 1,
      aux_sym_string_token1,
    STATE(161), 1,
      sym__double_quote,
    STATE(734), 1,
      aux_sym_string_repeat1,
  [26504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1176), 1,
      anon_sym_SEMI,
    ACTIONS(1446), 1,
      anon_sym_DQUOTE,
    STATE(785), 1,
      sym__then_template_expression,
    STATE(832), 1,
      sym__else_template_expression,
    STATE(981), 1,
      sym__context_expression,
  [26523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_SQUOTE,
    ACTIONS(1379), 1,
      sym__escape_sequence,
    ACTIONS(1381), 1,
      aux_sym_string_token2,
    STATE(35), 1,
      sym__single_quote,
    STATE(746), 1,
      aux_sym_string_repeat2,
  [26542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DQUOTE,
    ACTIONS(1086), 1,
      aux_sym_string_token1,
    ACTIONS(1448), 1,
      sym__escape_sequence,
    STATE(35), 1,
      sym__double_quote,
    STATE(747), 1,
      aux_sym_string_repeat1,
  [26561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      anon_sym_COLON,
    STATE(730), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(477), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [26576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_COLON,
    STATE(730), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(452), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [26591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      sym__escape_sequence,
    ACTIONS(1424), 1,
      aux_sym_string_token2,
    ACTIONS(1453), 1,
      anon_sym_SQUOTE,
    STATE(183), 1,
      sym__single_quote,
    STATE(760), 1,
      aux_sym_string_repeat2,
  [26610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_COLON,
    STATE(172), 1,
      sym_pipe_arguments,
    ACTIONS(460), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [26625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      sym__escape_sequence,
    ACTIONS(1410), 1,
      aux_sym_string_token1,
    ACTIONS(1453), 1,
      anon_sym_DQUOTE,
    STATE(183), 1,
      sym__double_quote,
    STATE(768), 1,
      aux_sym_string_repeat1,
  [26644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(1457), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(241), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [26661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_COLON,
    STATE(736), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(477), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [26676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      anon_sym_COLON,
    STATE(346), 1,
      sym_pipe_arguments,
    ACTIONS(460), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [26691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      sym_case_start,
    ACTIONS(1356), 1,
      sym_default_start,
    STATE(695), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [26706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_COLON,
    STATE(736), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(452), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [26721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1180), 1,
      anon_sym_QMARK,
    ACTIONS(265), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
  [26736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      sym__escape_sequence,
    ACTIONS(1410), 1,
      aux_sym_string_token1,
    ACTIONS(1464), 1,
      anon_sym_DQUOTE,
    STATE(61), 1,
      sym__double_quote,
    STATE(768), 1,
      aux_sym_string_repeat1,
  [26755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(219), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(448), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      sym__escape_sequence,
    ACTIONS(1424), 1,
      aux_sym_string_token2,
    ACTIONS(1464), 1,
      anon_sym_SQUOTE,
    STATE(61), 1,
      sym__single_quote,
    STATE(760), 1,
      aux_sym_string_repeat2,
  [26789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(215), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(213), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [26806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      sym_case_start,
    ACTIONS(1356), 1,
      sym_default_start,
    STATE(671), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [26821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      sym__escape_sequence,
    ACTIONS(1424), 1,
      aux_sym_string_token2,
    ACTIONS(1466), 1,
      anon_sym_SQUOTE,
    STATE(50), 1,
      sym__single_quote,
    STATE(760), 1,
      aux_sym_string_repeat2,
  [26840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      sym__escape_sequence,
    ACTIONS(1410), 1,
      aux_sym_string_token1,
    ACTIONS(1466), 1,
      anon_sym_DQUOTE,
    STATE(50), 1,
      sym__double_quote,
    STATE(768), 1,
      aux_sym_string_repeat1,
  [26859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      anon_sym_SQUOTE,
    ACTIONS(1468), 1,
      sym__escape_sequence,
    ACTIONS(1470), 1,
      aux_sym_string_token2,
    STATE(69), 1,
      sym__single_quote,
    STATE(743), 1,
      aux_sym_string_repeat2,
  [26878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_PIPE,
    STATE(751), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(504), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
  [26892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1472), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [26906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_PIPE,
    STATE(751), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
  [26920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    STATE(577), 1,
      sym__double_quote,
    STATE(843), 1,
      aux_sym__binding_assignment_repeat1,
  [26936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1301), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [26950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_prefetch,
    ACTIONS(1481), 1,
      anon_sym_when,
    ACTIONS(1483), 1,
      anon_sym_on,
    STATE(922), 1,
      sym_defer_trigger_condition,
  [26966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      sym_attribute_value,
    ACTIONS(1487), 1,
      anon_sym_SQUOTE,
    ACTIONS(1489), 1,
      anon_sym_DQUOTE,
    STATE(582), 1,
      sym_quoted_attribute_value,
  [26982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(1383), 1,
      anon_sym_DQUOTE,
    STATE(650), 1,
      sym__double_quote,
    STATE(843), 1,
      aux_sym__binding_assignment_repeat1,
  [26998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1299), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [27012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [27022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1493), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [27036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_SQUOTE,
    ACTIONS(1499), 1,
      sym__escape_sequence,
    ACTIONS(1502), 1,
      aux_sym_string_token2,
    STATE(760), 1,
      aux_sym_string_repeat2,
  [27052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(1383), 1,
      anon_sym_DQUOTE,
    STATE(650), 1,
      sym__double_quote,
    STATE(788), 1,
      aux_sym__binding_assignment_repeat1,
  [27068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_LPAREN,
    STATE(363), 1,
      sym_statement_block,
    STATE(878), 1,
      sym_loading_condition,
  [27084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 1,
      sym_attribute_value,
    ACTIONS(1511), 1,
      anon_sym_SQUOTE,
    ACTIONS(1513), 1,
      anon_sym_DQUOTE,
    STATE(647), 1,
      sym_quoted_attribute_value,
  [27100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_RBRACE,
    ACTIONS(1517), 1,
      sym_icu_category,
    STATE(767), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [27114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 1,
      sym_icu_category,
    ACTIONS(1519), 1,
      anon_sym_RBRACE,
    STATE(767), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [27128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_COMMA,
    STATE(769), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1521), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [27142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_RBRACE,
    ACTIONS(1525), 1,
      sym_icu_category,
    STATE(767), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [27156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_DQUOTE,
    ACTIONS(1530), 1,
      sym__escape_sequence,
    ACTIONS(1533), 1,
      aux_sym_string_token1,
    STATE(768), 1,
      aux_sym_string_repeat1,
  [27172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_COMMA,
    STATE(769), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1536), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [27186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(1388), 1,
      anon_sym_DQUOTE,
    STATE(594), 1,
      sym__double_quote,
    STATE(752), 1,
      aux_sym__binding_assignment_repeat1,
  [27202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(1388), 1,
      anon_sym_DQUOTE,
    STATE(594), 1,
      sym__double_quote,
    STATE(843), 1,
      aux_sym__binding_assignment_repeat1,
  [27218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_DQUOTE,
    STATE(786), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1543), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1545), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [27246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 1,
      anon_sym_PIPE,
    STATE(776), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(504), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
  [27260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_then,
    ACTIONS(1549), 1,
      anon_sym_else,
    ACTIONS(1551), 1,
      anon_sym_context,
    ACTIONS(1553), 1,
      sym_identifier,
  [27276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 1,
      anon_sym_PIPE,
    STATE(776), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
  [27290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_DQUOTE,
    ACTIONS(1560), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym__else_template_expression,
    STATE(982), 1,
      sym__context_expression,
  [27306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_prefetch,
    ACTIONS(1481), 1,
      anon_sym_when,
    ACTIONS(1483), 1,
      anon_sym_on,
    STATE(824), 1,
      sym_defer_trigger_condition,
  [27322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 1,
      anon_sym_LPAREN,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(301), 1,
      sym_statement_block,
    STATE(903), 1,
      sym_loading_condition,
  [27338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_DQUOTE,
    STATE(780), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1566), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    ACTIONS(1569), 1,
      anon_sym_LPAREN,
    STATE(299), 1,
      sym_statement_block,
    STATE(901), 1,
      sym_placeholder_minimum,
  [27368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    ACTIONS(1569), 1,
      anon_sym_LPAREN,
    STATE(409), 1,
      sym_statement_block,
    STATE(877), 1,
      sym_placeholder_minimum,
  [27384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1571), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [27398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    ACTIONS(1573), 1,
      anon_sym_LPAREN,
    STATE(393), 1,
      sym_statement_block,
    STATE(875), 1,
      sym_defer_trigger,
  [27414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_SEMI,
    ACTIONS(1575), 1,
      anon_sym_DQUOTE,
    STATE(797), 1,
      sym__else_template_expression,
    STATE(1024), 1,
      sym__context_expression,
  [27430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_DQUOTE,
    STATE(780), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1543), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    ACTIONS(1573), 1,
      anon_sym_LPAREN,
    STATE(297), 1,
      sym_statement_block,
    STATE(898), 1,
      sym_defer_trigger,
  [27460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_SEMI,
    ACTIONS(1579), 1,
      anon_sym_DQUOTE,
    STATE(652), 1,
      sym__double_quote,
    STATE(843), 1,
      aux_sym__binding_assignment_repeat1,
  [27476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 1,
      anon_sym_PLUS,
    ACTIONS(1583), 1,
      sym__interpolation_end,
    STATE(844), 1,
      aux_sym_concatenation_expression_repeat1,
  [27489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [27498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1589), 1,
      sym_raw_text,
    STATE(396), 1,
      sym_end_tag,
  [27511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
  [27524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [27533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 1,
      sym__start_tag_name,
    ACTIONS(1595), 1,
      sym__script_start_tag_name,
    ACTIONS(1597), 1,
      sym__style_start_tag_name,
  [27546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1601), 1,
      sym_raw_text,
    STATE(305), 1,
      sym_end_tag,
  [27559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [27568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_DQUOTE,
    ACTIONS(1605), 1,
      anon_sym_SEMI,
    STATE(1050), 1,
      sym__context_expression,
  [27581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 1,
      anon_sym_COMMA,
    ACTIONS(1607), 1,
      anon_sym_PLUS,
    STATE(798), 1,
      aux_sym_concatenation_expression_repeat1,
  [27594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_COMMA,
    ACTIONS(1612), 1,
      anon_sym_PLUS,
    STATE(798), 1,
      aux_sym_concatenation_expression_repeat1,
  [27607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 1,
      anon_sym_COMMA,
    ACTIONS(1612), 1,
      anon_sym_PLUS,
    STATE(799), 1,
      aux_sym_concatenation_expression_repeat1,
  [27620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1614), 1,
      anon_sym_RPAREN,
  [27633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(1618), 1,
      anon_sym_RBRACK,
    STATE(810), 1,
      aux_sym_array_repeat1,
  [27646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1622), 1,
      sym_raw_text,
    STATE(309), 1,
      sym_end_tag,
  [27668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1624), 1,
      anon_sym_DQUOTE,
  [27681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1626), 1,
      anon_sym_QMARK,
    ACTIONS(1628), 1,
      sym__interpolation_end,
  [27694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(971), 1,
      sym_icu_clause,
    ACTIONS(1630), 2,
      anon_sym_plural,
      anon_sym_select,
  [27705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      anon_sym_LBRACK,
    ACTIONS(1634), 1,
      sym_identifier,
    STATE(492), 1,
      sym_call_expression,
  [27718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1636), 1,
      anon_sym_DQUOTE,
  [27731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(1638), 1,
      anon_sym_RBRACK,
    STATE(841), 1,
      aux_sym_array_repeat1,
  [27744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(991), 1,
      sym_timed_expression,
    ACTIONS(1640), 2,
      anon_sym_after,
      anon_sym_minimum,
  [27755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(948), 1,
      sym_timed_expression,
    ACTIONS(1640), 2,
      anon_sym_after,
      anon_sym_minimum,
  [27775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1644), 1,
      anon_sym_COMMA,
  [27788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
  [27801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(1648), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      aux_sym_array_repeat1,
  [27814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACK,
    ACTIONS(1652), 1,
      sym_identifier,
    STATE(181), 1,
      sym_call_expression,
  [27827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LBRACK,
    ACTIONS(1656), 1,
      sym_identifier,
    STATE(49), 1,
      sym_call_expression,
  [27840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_SEMI,
    ACTIONS(1660), 1,
      anon_sym_RPAREN,
    STATE(968), 1,
      sym_if_reference,
  [27853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_SEMI,
    ACTIONS(1664), 1,
      anon_sym_RPAREN,
    STATE(1015), 1,
      sym_for_references,
  [27866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [27893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_SEMI,
    ACTIONS(1672), 1,
      anon_sym_RPAREN,
    STATE(837), 1,
      aux_sym_defer_trigger_repeat1,
  [27906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_SEMI,
    ACTIONS(1674), 1,
      anon_sym_RPAREN,
    STATE(990), 1,
      sym_if_reference,
  [27919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1010), 1,
      sym_icu_clause,
    ACTIONS(1630), 2,
      anon_sym_plural,
      anon_sym_select,
  [27930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(1676), 1,
      anon_sym_RBRACK,
    STATE(841), 1,
      aux_sym_array_repeat1,
  [27943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 1,
      anon_sym_RPAREN,
    ACTIONS(456), 1,
      anon_sym_COMMA,
    STATE(842), 1,
      aux_sym_arguments_repeat1,
  [27956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_SEMI,
    ACTIONS(1678), 1,
      anon_sym_DQUOTE,
    STATE(1030), 1,
      sym__context_expression,
  [27969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_else,
    ACTIONS(1551), 1,
      anon_sym_context,
    ACTIONS(1553), 1,
      sym_identifier,
  [27982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(1680), 1,
      anon_sym_RBRACK,
    STATE(841), 1,
      aux_sym_array_repeat1,
  [27995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_DQUOTE,
    ACTIONS(1605), 1,
      anon_sym_SEMI,
    STATE(1028), 1,
      sym__context_expression,
  [28008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [28017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LBRACK,
    ACTIONS(1686), 1,
      sym_identifier,
    STATE(54), 1,
      sym_call_expression,
  [28030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      anon_sym_RPAREN,
  [28043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(1690), 1,
      anon_sym_RBRACK,
    STATE(854), 1,
      aux_sym_array_repeat1,
  [28056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_SEMI,
    ACTIONS(1692), 1,
      anon_sym_RPAREN,
    STATE(847), 1,
      aux_sym_defer_trigger_repeat1,
  [28069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1009), 1,
      sym_timed_expression,
    ACTIONS(1640), 2,
      anon_sym_after,
      anon_sym_minimum,
  [28080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_let,
    ACTIONS(1696), 1,
      sym_identifier,
    STATE(821), 1,
      sym_structural_assignment,
  [28093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [28102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_COMMA,
    ACTIONS(1703), 1,
      anon_sym_RBRACK,
    STATE(841), 1,
      aux_sym_array_repeat1,
  [28115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 1,
      anon_sym_COMMA,
    ACTIONS(1705), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      aux_sym_arguments_repeat1,
  [28128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_DQUOTE,
    ACTIONS(1707), 1,
      anon_sym_SEMI,
    STATE(843), 1,
      aux_sym__binding_assignment_repeat1,
  [28141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 1,
      anon_sym_PLUS,
    ACTIONS(1610), 1,
      sym__interpolation_end,
    STATE(863), 1,
      aux_sym_concatenation_expression_repeat1,
  [28154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1710), 1,
      sym_raw_text,
    STATE(395), 1,
      sym_end_tag,
  [28167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_SEMI,
    ACTIONS(1714), 1,
      anon_sym_RPAREN,
    STATE(866), 1,
      aux_sym_for_references_repeat1,
  [28180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_SEMI,
    ACTIONS(1719), 1,
      anon_sym_RPAREN,
    STATE(847), 1,
      aux_sym_defer_trigger_repeat1,
  [28193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 1,
      anon_sym_SEMI,
    ACTIONS(1724), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      aux_sym_for_references_repeat1,
  [28206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_DQUOTE,
    ACTIONS(1605), 1,
      anon_sym_SEMI,
    STATE(993), 1,
      sym__context_expression,
  [28219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(1726), 1,
      anon_sym_RBRACK,
    STATE(831), 1,
      aux_sym_array_repeat1,
  [28232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1626), 1,
      anon_sym_QMARK,
    ACTIONS(1728), 1,
      sym__interpolation_end,
  [28245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 1,
      sym__interpolation_end,
    ACTIONS(666), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1626), 1,
      anon_sym_QMARK,
  [28258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
  [28271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(1732), 1,
      anon_sym_RBRACK,
    STATE(841), 1,
      aux_sym_array_repeat1,
  [28284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 1,
      sym_icu_category,
    STATE(764), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [28295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 1,
      anon_sym_RPAREN,
    ACTIONS(1734), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      aux_sym_arguments_repeat1,
  [28308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      sym_identifier,
    ACTIONS(1684), 1,
      anon_sym_LBRACK,
    STATE(49), 1,
      sym_call_expression,
  [28321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1358), 1,
      anon_sym_QMARK,
    ACTIONS(1737), 1,
      anon_sym_RPAREN,
  [28334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 1,
      sym_icu_category,
    STATE(765), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [28345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1739), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [28354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_SEMI,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    STATE(1043), 1,
      sym_if_reference,
  [28367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_SEMI,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    STATE(1042), 1,
      sym_for_references,
  [28380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 1,
      sym__interpolation_end,
    ACTIONS(1745), 1,
      anon_sym_PLUS,
    STATE(863), 1,
      aux_sym_concatenation_expression_repeat1,
  [28393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_SEMI,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1040), 1,
      sym_if_reference,
  [28406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 1,
      sym__script_start_tag_name,
    ACTIONS(1597), 1,
      sym__style_start_tag_name,
    ACTIONS(1750), 1,
      sym__start_tag_name,
  [28419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_SEMI,
    ACTIONS(1752), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      aux_sym_for_references_repeat1,
  [28432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_let,
    ACTIONS(1696), 1,
      sym_identifier,
    STATE(772), 1,
      sym_structural_assignment,
  [28445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 1,
      sym_identifier,
    STATE(187), 1,
      sym_pipe_call,
  [28455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1756), 1,
      anon_sym_let,
    STATE(846), 1,
      sym_for_reference,
  [28465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(296), 1,
      sym_statement_block,
  [28475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(85), 1,
      sym_statement_block,
  [28485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_assignment_expression,
  [28495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(298), 1,
      sym_statement_block,
  [28505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(367), 1,
      sym_statement_block,
  [28515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(392), 1,
      sym_statement_block,
  [28525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1760), 1,
      sym_identifier,
    STATE(368), 1,
      sym_pipe_call,
  [28535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(390), 1,
      sym_statement_block,
  [28545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_statement_block,
  [28555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_DQUOTE,
    STATE(588), 1,
      sym__double_quote,
  [28565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      sym_identifier,
    STATE(1061), 1,
      sym_assignment_expression,
  [28575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(408), 1,
      sym_statement_block,
  [28585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [28593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(302), 1,
      sym_statement_block,
  [28603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1766), 1,
      sym__end_tag_name,
    ACTIONS(1768), 1,
      sym_erroneous_end_tag_name,
  [28613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(356), 1,
      sym_statement_block,
  [28623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1770), 1,
      sym_identifier,
    STATE(532), 1,
      sym_pipe_call,
  [28633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      sym_identifier,
    STATE(860), 1,
      sym_assignment_expression,
  [28643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_LT_SLASH,
    STATE(382), 1,
      sym_end_tag,
  [28653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      sym_identifier,
    STATE(492), 1,
      sym_call_expression,
  [28663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 1,
      sym_identifier,
    STATE(187), 1,
      sym_pipe_call,
  [28673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_DQUOTE,
    STATE(80), 1,
      sym__double_quote,
  [28683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_switch_body,
  [28693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(83), 1,
      sym_statement_block,
  [28703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(360), 1,
      sym_statement_block,
  [28713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_LT_SLASH,
    STATE(381), 1,
      sym_end_tag,
  [28723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 1,
      sym_identifier,
    STATE(820), 1,
      sym_for_declaration,
  [28733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(357), 1,
      sym_statement_block,
  [28743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_statement_block,
  [28753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_SQUOTE,
    ACTIONS(1782), 1,
      aux_sym_quoted_attribute_value_token1,
  [28763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_DQUOTE,
    ACTIONS(1784), 1,
      aux_sym_quoted_attribute_value_token2,
  [28773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_statement_block,
  [28783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_DQUOTE,
    STATE(86), 1,
      sym__double_quote,
  [28793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_statement_block,
  [28803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1788), 1,
      anon_sym_LBRACE,
    STATE(790), 1,
      sym_statement_block,
  [28813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 1,
      sym_erroneous_end_tag_name,
    ACTIONS(1790), 1,
      sym__end_tag_name,
  [28823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1756), 1,
      anon_sym_let,
    STATE(882), 1,
      sym_for_reference,
  [28833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_LT_SLASH,
    STATE(326), 1,
      sym_end_tag,
  [28843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_LT_SLASH,
    STATE(327), 1,
      sym_end_tag,
  [28853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1792), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [28861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      sym_identifier,
    STATE(187), 1,
      sym_pipe_call,
  [28871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 1,
      anon_sym_EQ,
    STATE(601), 1,
      sym__binding_assignment,
  [28881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 1,
      anon_sym_EQ,
    STATE(606), 1,
      sym__binding_assignment,
  [28891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_DQUOTE,
    STATE(77), 1,
      sym__double_quote,
  [28901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym__binding_assignment,
  [28911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1798), 1,
      anon_sym_DQUOTE,
    ACTIONS(1800), 1,
      aux_sym_quoted_attribute_value_token2,
  [28921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1798), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      aux_sym_quoted_attribute_value_token1,
  [28931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_statement_block,
  [28941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [28949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [28957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [28965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1808), 1,
      sym_identifier,
    STATE(368), 1,
      sym_pipe_call,
  [28975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1810), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [28983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      sym_identifier,
    STATE(49), 1,
      sym_call_expression,
  [28993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 1,
      sym_identifier,
    STATE(227), 1,
      sym_pipe_call,
  [29003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(289), 1,
      sym_statement_block,
  [29013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1814), 1,
      sym_identifier,
    STATE(532), 1,
      sym_pipe_call,
  [29023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      sym_identifier,
    STATE(759), 1,
      sym_assignment_expression,
  [29033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1788), 1,
      anon_sym_LBRACE,
    STATE(823), 1,
      sym_statement_block,
  [29043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1192), 1,
      anon_sym_EQ,
    STATE(619), 1,
      sym__binding_assignment,
  [29053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(62), 1,
      sym_statement_block,
  [29063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1192), 1,
      anon_sym_EQ,
    STATE(620), 1,
      sym__binding_assignment,
  [29073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 1,
      sym_identifier,
    STATE(181), 1,
      sym_call_expression,
  [29083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_SQUOTE,
    STATE(1018), 1,
      sym__single_quote,
  [29093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_statement_block,
  [29103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_identifier,
    STATE(227), 1,
      sym_pipe_call,
  [29113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 2,
      anon_sym_EQ,
      sym_identifier,
  [29121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [29129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1192), 1,
      anon_sym_EQ,
    STATE(628), 1,
      sym__binding_assignment,
  [29139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      sym_identifier,
    STATE(187), 1,
      sym_pipe_call,
  [29149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    STATE(365), 1,
      sym_statement_block,
  [29159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      sym_identifier,
    STATE(187), 1,
      sym_pipe_call,
  [29169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [29177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1828), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [29185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_DQUOTE,
    STATE(649), 1,
      sym__double_quote,
  [29195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_RBRACE,
    ACTIONS(1834), 1,
      sym_icu_category,
  [29205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_when,
    ACTIONS(1838), 1,
      anon_sym_on,
  [29215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 1,
      sym_identifier,
    STATE(187), 1,
      sym_pipe_call,
  [29225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_SEMI,
    ACTIONS(1844), 1,
      anon_sym_RPAREN,
  [29235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_context,
    ACTIONS(1553), 1,
      sym_identifier,
  [29245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(300), 1,
      sym_statement_block,
  [29255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [29263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1848), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [29271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      sym_identifier,
    STATE(368), 1,
      sym_pipe_call,
  [29281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 2,
      anon_sym_ms,
      anon_sym_s,
  [29289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DQUOTE,
    STATE(78), 1,
      sym__double_quote,
  [29299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 1,
      sym_identifier,
    STATE(187), 1,
      sym_pipe_call,
  [29309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym_statement_block,
  [29319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(187), 1,
      sym_pipe_call,
  [29329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 1,
      sym_identifier,
    STATE(862), 1,
      sym_for_declaration,
  [29339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 1,
      sym_identifier,
    STATE(54), 1,
      sym_call_expression,
  [29349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_switch_body,
  [29359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      sym_identifier,
    STATE(368), 1,
      sym_pipe_call,
  [29369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_statement_block,
  [29379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1864), 1,
      sym_identifier,
  [29386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_RBRACK,
  [29393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LBRACK,
  [29400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_DQUOTE,
  [29407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1868), 1,
      anon_sym_RPAREN,
  [29414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      sym_identifier,
  [29421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1872), 1,
      sym__doctype,
  [29428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1874), 1,
      anon_sym_COMMA,
  [29435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1876), 1,
      anon_sym_as,
  [29442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_LBRACE,
  [29449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 1,
      anon_sym_COLON,
  [29456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_GT,
  [29463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      anon_sym_RBRACK,
  [29470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      sym_identifier,
  [29477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1886), 1,
      anon_sym_GT,
  [29484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_COLON,
  [29491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_RPAREN,
  [29498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_DQUOTE,
  [29505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
  [29512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_GT,
  [29519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1898), 1,
      sym_identifier,
  [29526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LBRACE,
  [29533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      sym_identifier,
  [29540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
  [29547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_GT,
  [29554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_LBRACE,
  [29561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_RPAREN,
  [29568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_RPAREN,
  [29575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      sym_number,
  [29582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
  [29589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 1,
      anon_sym_RBRACK,
  [29596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_RPAREN,
  [29603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_RPAREN,
  [29610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 1,
      anon_sym_RPAREN,
  [29617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_RBRACK,
  [29624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 1,
      anon_sym_of,
  [29631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      anon_sym_RBRACK,
  [29638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_DQUOTE,
  [29645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_RBRACK,
  [29652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_SQUOTE,
  [29659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 1,
      anon_sym_RPAREN_RBRACK,
  [29666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1932), 1,
      anon_sym_RBRACK,
  [29673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      sym_identifier,
  [29680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1936), 1,
      anon_sym_COMMA,
  [29687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LBRACK,
  [29694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_RPAREN,
  [29701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1940), 1,
      anon_sym_COMMA,
  [29708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_RBRACK,
  [29715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      sym_identifier,
  [29722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_SEMI,
  [29729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACK,
  [29736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1946), 1,
      anon_sym_RPAREN,
  [29743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
  [29750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      anon_sym_COLON,
  [29757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_RBRACK,
  [29764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1790), 1,
      sym__end_tag_name,
  [29771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_RPAREN,
  [29778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 1,
      anon_sym_track,
  [29785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      anon_sym_LBRACK,
  [29792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_COMMA,
  [29799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_DQUOTE,
  [29806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1960), 1,
      anon_sym_GT,
  [29813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      aux_sym_doctype_token1,
  [29820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_LPAREN,
  [29827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_DQUOTE,
  [29834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_LBRACE,
  [29841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
  [29848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_RPAREN_RBRACK,
  [29855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 1,
      anon_sym_RBRACK,
  [29862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_SEMI,
  [29869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_EQ,
  [29876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_RPAREN,
  [29883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
  [29890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_LPAREN,
  [29897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_LPAREN,
  [29904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_LPAREN,
  [29911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1988), 1,
      anon_sym_RPAREN,
  [29918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_RPAREN,
  [29925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_RPAREN,
  [29932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1994), 1,
      anon_sym_RPAREN,
  [29939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1996), 1,
      anon_sym_SQUOTE,
  [29946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1998), 1,
      anon_sym_RPAREN,
  [29953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      sym__interpolation_end,
  [29960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1996), 1,
      anon_sym_DQUOTE,
  [29967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
  [29974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_RPAREN,
  [29981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_DQUOTE,
  [29988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      ts_builtin_sym_end,
  [29995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2008), 1,
      sym_erroneous_end_tag_name,
  [30002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_GT,
  [30009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2012), 1,
      sym__doctype,
  [30016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_LPAREN,
  [30023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1766), 1,
      sym__end_tag_name,
  [30030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      anon_sym_RBRACK,
  [30037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2016), 1,
      aux_sym_doctype_token1,
  [30044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
  [30051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 1,
      sym_erroneous_end_tag_name,
  [30058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_SEMI,
  [30065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      anon_sym_RBRACK,
  [30072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      sym_identifier,
  [30079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      sym__interpolation_end,
  [30086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_LPAREN,
  [30093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
  [30100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 1,
      anon_sym_RBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 117,
  [SMALL_STATE(4)] = 234,
  [SMALL_STATE(5)] = 349,
  [SMALL_STATE(6)] = 466,
  [SMALL_STATE(7)] = 583,
  [SMALL_STATE(8)] = 697,
  [SMALL_STATE(9)] = 811,
  [SMALL_STATE(10)] = 925,
  [SMALL_STATE(11)] = 1039,
  [SMALL_STATE(12)] = 1153,
  [SMALL_STATE(13)] = 1267,
  [SMALL_STATE(14)] = 1381,
  [SMALL_STATE(15)] = 1495,
  [SMALL_STATE(16)] = 1609,
  [SMALL_STATE(17)] = 1720,
  [SMALL_STATE(18)] = 1772,
  [SMALL_STATE(19)] = 1826,
  [SMALL_STATE(20)] = 1880,
  [SMALL_STATE(21)] = 1921,
  [SMALL_STATE(22)] = 1962,
  [SMALL_STATE(23)] = 2003,
  [SMALL_STATE(24)] = 2060,
  [SMALL_STATE(25)] = 2113,
  [SMALL_STATE(26)] = 2166,
  [SMALL_STATE(27)] = 2219,
  [SMALL_STATE(28)] = 2270,
  [SMALL_STATE(29)] = 2327,
  [SMALL_STATE(30)] = 2380,
  [SMALL_STATE(31)] = 2418,
  [SMALL_STATE(32)] = 2456,
  [SMALL_STATE(33)] = 2494,
  [SMALL_STATE(34)] = 2548,
  [SMALL_STATE(35)] = 2590,
  [SMALL_STATE(36)] = 2628,
  [SMALL_STATE(37)] = 2666,
  [SMALL_STATE(38)] = 2704,
  [SMALL_STATE(39)] = 2742,
  [SMALL_STATE(40)] = 2794,
  [SMALL_STATE(41)] = 2832,
  [SMALL_STATE(42)] = 2878,
  [SMALL_STATE(43)] = 2916,
  [SMALL_STATE(44)] = 2958,
  [SMALL_STATE(45)] = 2996,
  [SMALL_STATE(46)] = 3052,
  [SMALL_STATE(47)] = 3110,
  [SMALL_STATE(48)] = 3148,
  [SMALL_STATE(49)] = 3186,
  [SMALL_STATE(50)] = 3224,
  [SMALL_STATE(51)] = 3262,
  [SMALL_STATE(52)] = 3304,
  [SMALL_STATE(53)] = 3350,
  [SMALL_STATE(54)] = 3390,
  [SMALL_STATE(55)] = 3428,
  [SMALL_STATE(56)] = 3469,
  [SMALL_STATE(57)] = 3510,
  [SMALL_STATE(58)] = 3575,
  [SMALL_STATE(59)] = 3632,
  [SMALL_STATE(60)] = 3669,
  [SMALL_STATE(61)] = 3734,
  [SMALL_STATE(62)] = 3771,
  [SMALL_STATE(63)] = 3836,
  [SMALL_STATE(64)] = 3881,
  [SMALL_STATE(65)] = 3926,
  [SMALL_STATE(66)] = 3963,
  [SMALL_STATE(67)] = 4000,
  [SMALL_STATE(68)] = 4037,
  [SMALL_STATE(69)] = 4090,
  [SMALL_STATE(70)] = 4127,
  [SMALL_STATE(71)] = 4164,
  [SMALL_STATE(72)] = 4201,
  [SMALL_STATE(73)] = 4266,
  [SMALL_STATE(74)] = 4331,
  [SMALL_STATE(75)] = 4368,
  [SMALL_STATE(76)] = 4408,
  [SMALL_STATE(77)] = 4460,
  [SMALL_STATE(78)] = 4526,
  [SMALL_STATE(79)] = 4592,
  [SMALL_STATE(80)] = 4656,
  [SMALL_STATE(81)] = 4724,
  [SMALL_STATE(82)] = 4764,
  [SMALL_STATE(83)] = 4828,
  [SMALL_STATE(84)] = 4892,
  [SMALL_STATE(85)] = 4956,
  [SMALL_STATE(86)] = 5020,
  [SMALL_STATE(87)] = 5088,
  [SMALL_STATE(88)] = 5144,
  [SMALL_STATE(89)] = 5183,
  [SMALL_STATE(90)] = 5232,
  [SMALL_STATE(91)] = 5281,
  [SMALL_STATE(92)] = 5330,
  [SMALL_STATE(93)] = 5395,
  [SMALL_STATE(94)] = 5448,
  [SMALL_STATE(95)] = 5501,
  [SMALL_STATE(96)] = 5550,
  [SMALL_STATE(97)] = 5599,
  [SMALL_STATE(98)] = 5652,
  [SMALL_STATE(99)] = 5699,
  [SMALL_STATE(100)] = 5751,
  [SMALL_STATE(101)] = 5813,
  [SMALL_STATE(102)] = 5849,
  [SMALL_STATE(103)] = 5891,
  [SMALL_STATE(104)] = 5945,
  [SMALL_STATE(105)] = 5981,
  [SMALL_STATE(106)] = 6021,
  [SMALL_STATE(107)] = 6075,
  [SMALL_STATE(108)] = 6111,
  [SMALL_STATE(109)] = 6173,
  [SMALL_STATE(110)] = 6211,
  [SMALL_STATE(111)] = 6249,
  [SMALL_STATE(112)] = 6287,
  [SMALL_STATE(113)] = 6337,
  [SMALL_STATE(114)] = 6399,
  [SMALL_STATE(115)] = 6461,
  [SMALL_STATE(116)] = 6523,
  [SMALL_STATE(117)] = 6565,
  [SMALL_STATE(118)] = 6627,
  [SMALL_STATE(119)] = 6689,
  [SMALL_STATE(120)] = 6741,
  [SMALL_STATE(121)] = 6803,
  [SMALL_STATE(122)] = 6839,
  [SMALL_STATE(123)] = 6875,
  [SMALL_STATE(124)] = 6934,
  [SMALL_STATE(125)] = 6995,
  [SMALL_STATE(126)] = 7056,
  [SMALL_STATE(127)] = 7115,
  [SMALL_STATE(128)] = 7152,
  [SMALL_STATE(129)] = 7189,
  [SMALL_STATE(130)] = 7248,
  [SMALL_STATE(131)] = 7307,
  [SMALL_STATE(132)] = 7366,
  [SMALL_STATE(133)] = 7427,
  [SMALL_STATE(134)] = 7468,
  [SMALL_STATE(135)] = 7505,
  [SMALL_STATE(136)] = 7546,
  [SMALL_STATE(137)] = 7579,
  [SMALL_STATE(138)] = 7640,
  [SMALL_STATE(139)] = 7699,
  [SMALL_STATE(140)] = 7740,
  [SMALL_STATE(141)] = 7777,
  [SMALL_STATE(142)] = 7836,
  [SMALL_STATE(143)] = 7877,
  [SMALL_STATE(144)] = 7910,
  [SMALL_STATE(145)] = 7943,
  [SMALL_STATE(146)] = 8002,
  [SMALL_STATE(147)] = 8037,
  [SMALL_STATE(148)] = 8076,
  [SMALL_STATE(149)] = 8135,
  [SMALL_STATE(150)] = 8172,
  [SMALL_STATE(151)] = 8209,
  [SMALL_STATE(152)] = 8242,
  [SMALL_STATE(153)] = 8279,
  [SMALL_STATE(154)] = 8312,
  [SMALL_STATE(155)] = 8371,
  [SMALL_STATE(156)] = 8404,
  [SMALL_STATE(157)] = 8463,
  [SMALL_STATE(158)] = 8496,
  [SMALL_STATE(159)] = 8555,
  [SMALL_STATE(160)] = 8592,
  [SMALL_STATE(161)] = 8651,
  [SMALL_STATE(162)] = 8684,
  [SMALL_STATE(163)] = 8743,
  [SMALL_STATE(164)] = 8780,
  [SMALL_STATE(165)] = 8819,
  [SMALL_STATE(166)] = 8860,
  [SMALL_STATE(167)] = 8901,
  [SMALL_STATE(168)] = 8960,
  [SMALL_STATE(169)] = 9021,
  [SMALL_STATE(170)] = 9080,
  [SMALL_STATE(171)] = 9117,
  [SMALL_STATE(172)] = 9176,
  [SMALL_STATE(173)] = 9209,
  [SMALL_STATE(174)] = 9268,
  [SMALL_STATE(175)] = 9327,
  [SMALL_STATE(176)] = 9386,
  [SMALL_STATE(177)] = 9447,
  [SMALL_STATE(178)] = 9506,
  [SMALL_STATE(179)] = 9567,
  [SMALL_STATE(180)] = 9626,
  [SMALL_STATE(181)] = 9667,
  [SMALL_STATE(182)] = 9700,
  [SMALL_STATE(183)] = 9759,
  [SMALL_STATE(184)] = 9792,
  [SMALL_STATE(185)] = 9851,
  [SMALL_STATE(186)] = 9910,
  [SMALL_STATE(187)] = 9969,
  [SMALL_STATE(188)] = 10002,
  [SMALL_STATE(189)] = 10039,
  [SMALL_STATE(190)] = 10098,
  [SMALL_STATE(191)] = 10133,
  [SMALL_STATE(192)] = 10192,
  [SMALL_STATE(193)] = 10229,
  [SMALL_STATE(194)] = 10288,
  [SMALL_STATE(195)] = 10347,
  [SMALL_STATE(196)] = 10380,
  [SMALL_STATE(197)] = 10419,
  [SMALL_STATE(198)] = 10480,
  [SMALL_STATE(199)] = 10539,
  [SMALL_STATE(200)] = 10572,
  [SMALL_STATE(201)] = 10609,
  [SMALL_STATE(202)] = 10668,
  [SMALL_STATE(203)] = 10703,
  [SMALL_STATE(204)] = 10738,
  [SMALL_STATE(205)] = 10775,
  [SMALL_STATE(206)] = 10810,
  [SMALL_STATE(207)] = 10869,
  [SMALL_STATE(208)] = 10928,
  [SMALL_STATE(209)] = 10987,
  [SMALL_STATE(210)] = 11048,
  [SMALL_STATE(211)] = 11089,
  [SMALL_STATE(212)] = 11150,
  [SMALL_STATE(213)] = 11209,
  [SMALL_STATE(214)] = 11270,
  [SMALL_STATE(215)] = 11303,
  [SMALL_STATE(216)] = 11364,
  [SMALL_STATE(217)] = 11397,
  [SMALL_STATE(218)] = 11458,
  [SMALL_STATE(219)] = 11519,
  [SMALL_STATE(220)] = 11552,
  [SMALL_STATE(221)] = 11613,
  [SMALL_STATE(222)] = 11650,
  [SMALL_STATE(223)] = 11711,
  [SMALL_STATE(224)] = 11772,
  [SMALL_STATE(225)] = 11831,
  [SMALL_STATE(226)] = 11867,
  [SMALL_STATE(227)] = 11903,
  [SMALL_STATE(228)] = 11935,
  [SMALL_STATE(229)] = 11971,
  [SMALL_STATE(230)] = 12007,
  [SMALL_STATE(231)] = 12043,
  [SMALL_STATE(232)] = 12075,
  [SMALL_STATE(233)] = 12111,
  [SMALL_STATE(234)] = 12151,
  [SMALL_STATE(235)] = 12191,
  [SMALL_STATE(236)] = 12223,
  [SMALL_STATE(237)] = 12257,
  [SMALL_STATE(238)] = 12289,
  [SMALL_STATE(239)] = 12323,
  [SMALL_STATE(240)] = 12359,
  [SMALL_STATE(241)] = 12391,
  [SMALL_STATE(242)] = 12430,
  [SMALL_STATE(243)] = 12489,
  [SMALL_STATE(244)] = 12548,
  [SMALL_STATE(245)] = 12587,
  [SMALL_STATE(246)] = 12646,
  [SMALL_STATE(247)] = 12705,
  [SMALL_STATE(248)] = 12743,
  [SMALL_STATE(249)] = 12781,
  [SMALL_STATE(250)] = 12837,
  [SMALL_STATE(251)] = 12893,
  [SMALL_STATE(252)] = 12949,
  [SMALL_STATE(253)] = 13005,
  [SMALL_STATE(254)] = 13061,
  [SMALL_STATE(255)] = 13117,
  [SMALL_STATE(256)] = 13173,
  [SMALL_STATE(257)] = 13229,
  [SMALL_STATE(258)] = 13285,
  [SMALL_STATE(259)] = 13341,
  [SMALL_STATE(260)] = 13397,
  [SMALL_STATE(261)] = 13453,
  [SMALL_STATE(262)] = 13509,
  [SMALL_STATE(263)] = 13565,
  [SMALL_STATE(264)] = 13621,
  [SMALL_STATE(265)] = 13677,
  [SMALL_STATE(266)] = 13733,
  [SMALL_STATE(267)] = 13789,
  [SMALL_STATE(268)] = 13845,
  [SMALL_STATE(269)] = 13901,
  [SMALL_STATE(270)] = 13957,
  [SMALL_STATE(271)] = 14013,
  [SMALL_STATE(272)] = 14069,
  [SMALL_STATE(273)] = 14125,
  [SMALL_STATE(274)] = 14181,
  [SMALL_STATE(275)] = 14237,
  [SMALL_STATE(276)] = 14270,
  [SMALL_STATE(277)] = 14307,
  [SMALL_STATE(278)] = 14336,
  [SMALL_STATE(279)] = 14365,
  [SMALL_STATE(280)] = 14394,
  [SMALL_STATE(281)] = 14429,
  [SMALL_STATE(282)] = 14458,
  [SMALL_STATE(283)] = 14487,
  [SMALL_STATE(284)] = 14524,
  [SMALL_STATE(285)] = 14557,
  [SMALL_STATE(286)] = 14594,
  [SMALL_STATE(287)] = 14623,
  [SMALL_STATE(288)] = 14652,
  [SMALL_STATE(289)] = 14681,
  [SMALL_STATE(290)] = 14710,
  [SMALL_STATE(291)] = 14739,
  [SMALL_STATE(292)] = 14768,
  [SMALL_STATE(293)] = 14797,
  [SMALL_STATE(294)] = 14832,
  [SMALL_STATE(295)] = 14861,
  [SMALL_STATE(296)] = 14898,
  [SMALL_STATE(297)] = 14927,
  [SMALL_STATE(298)] = 14956,
  [SMALL_STATE(299)] = 14985,
  [SMALL_STATE(300)] = 15014,
  [SMALL_STATE(301)] = 15043,
  [SMALL_STATE(302)] = 15072,
  [SMALL_STATE(303)] = 15101,
  [SMALL_STATE(304)] = 15134,
  [SMALL_STATE(305)] = 15163,
  [SMALL_STATE(306)] = 15192,
  [SMALL_STATE(307)] = 15221,
  [SMALL_STATE(308)] = 15254,
  [SMALL_STATE(309)] = 15285,
  [SMALL_STATE(310)] = 15314,
  [SMALL_STATE(311)] = 15345,
  [SMALL_STATE(312)] = 15376,
  [SMALL_STATE(313)] = 15413,
  [SMALL_STATE(314)] = 15442,
  [SMALL_STATE(315)] = 15471,
  [SMALL_STATE(316)] = 15500,
  [SMALL_STATE(317)] = 15529,
  [SMALL_STATE(318)] = 15558,
  [SMALL_STATE(319)] = 15587,
  [SMALL_STATE(320)] = 15616,
  [SMALL_STATE(321)] = 15645,
  [SMALL_STATE(322)] = 15674,
  [SMALL_STATE(323)] = 15703,
  [SMALL_STATE(324)] = 15732,
  [SMALL_STATE(325)] = 15761,
  [SMALL_STATE(326)] = 15790,
  [SMALL_STATE(327)] = 15819,
  [SMALL_STATE(328)] = 15848,
  [SMALL_STATE(329)] = 15881,
  [SMALL_STATE(330)] = 15910,
  [SMALL_STATE(331)] = 15947,
  [SMALL_STATE(332)] = 15984,
  [SMALL_STATE(333)] = 16021,
  [SMALL_STATE(334)] = 16050,
  [SMALL_STATE(335)] = 16087,
  [SMALL_STATE(336)] = 16116,
  [SMALL_STATE(337)] = 16145,
  [SMALL_STATE(338)] = 16182,
  [SMALL_STATE(339)] = 16210,
  [SMALL_STATE(340)] = 16238,
  [SMALL_STATE(341)] = 16266,
  [SMALL_STATE(342)] = 16314,
  [SMALL_STATE(343)] = 16344,
  [SMALL_STATE(344)] = 16376,
  [SMALL_STATE(345)] = 16424,
  [SMALL_STATE(346)] = 16460,
  [SMALL_STATE(347)] = 16488,
  [SMALL_STATE(348)] = 16536,
  [SMALL_STATE(349)] = 16584,
  [SMALL_STATE(350)] = 16632,
  [SMALL_STATE(351)] = 16680,
  [SMALL_STATE(352)] = 16708,
  [SMALL_STATE(353)] = 16756,
  [SMALL_STATE(354)] = 16784,
  [SMALL_STATE(355)] = 16832,
  [SMALL_STATE(356)] = 16880,
  [SMALL_STATE(357)] = 16908,
  [SMALL_STATE(358)] = 16936,
  [SMALL_STATE(359)] = 16964,
  [SMALL_STATE(360)] = 17012,
  [SMALL_STATE(361)] = 17040,
  [SMALL_STATE(362)] = 17088,
  [SMALL_STATE(363)] = 17116,
  [SMALL_STATE(364)] = 17144,
  [SMALL_STATE(365)] = 17172,
  [SMALL_STATE(366)] = 17200,
  [SMALL_STATE(367)] = 17228,
  [SMALL_STATE(368)] = 17256,
  [SMALL_STATE(369)] = 17284,
  [SMALL_STATE(370)] = 17332,
  [SMALL_STATE(371)] = 17364,
  [SMALL_STATE(372)] = 17392,
  [SMALL_STATE(373)] = 17420,
  [SMALL_STATE(374)] = 17448,
  [SMALL_STATE(375)] = 17476,
  [SMALL_STATE(376)] = 17508,
  [SMALL_STATE(377)] = 17536,
  [SMALL_STATE(378)] = 17584,
  [SMALL_STATE(379)] = 17632,
  [SMALL_STATE(380)] = 17680,
  [SMALL_STATE(381)] = 17712,
  [SMALL_STATE(382)] = 17740,
  [SMALL_STATE(383)] = 17768,
  [SMALL_STATE(384)] = 17798,
  [SMALL_STATE(385)] = 17826,
  [SMALL_STATE(386)] = 17854,
  [SMALL_STATE(387)] = 17882,
  [SMALL_STATE(388)] = 17910,
  [SMALL_STATE(389)] = 17938,
  [SMALL_STATE(390)] = 17966,
  [SMALL_STATE(391)] = 17994,
  [SMALL_STATE(392)] = 18022,
  [SMALL_STATE(393)] = 18050,
  [SMALL_STATE(394)] = 18078,
  [SMALL_STATE(395)] = 18106,
  [SMALL_STATE(396)] = 18134,
  [SMALL_STATE(397)] = 18162,
  [SMALL_STATE(398)] = 18190,
  [SMALL_STATE(399)] = 18218,
  [SMALL_STATE(400)] = 18246,
  [SMALL_STATE(401)] = 18274,
  [SMALL_STATE(402)] = 18302,
  [SMALL_STATE(403)] = 18330,
  [SMALL_STATE(404)] = 18358,
  [SMALL_STATE(405)] = 18386,
  [SMALL_STATE(406)] = 18414,
  [SMALL_STATE(407)] = 18442,
  [SMALL_STATE(408)] = 18470,
  [SMALL_STATE(409)] = 18498,
  [SMALL_STATE(410)] = 18526,
  [SMALL_STATE(411)] = 18561,
  [SMALL_STATE(412)] = 18596,
  [SMALL_STATE(413)] = 18631,
  [SMALL_STATE(414)] = 18677,
  [SMALL_STATE(415)] = 18721,
  [SMALL_STATE(416)] = 18767,
  [SMALL_STATE(417)] = 18813,
  [SMALL_STATE(418)] = 18859,
  [SMALL_STATE(419)] = 18905,
  [SMALL_STATE(420)] = 18949,
  [SMALL_STATE(421)] = 18993,
  [SMALL_STATE(422)] = 19039,
  [SMALL_STATE(423)] = 19085,
  [SMALL_STATE(424)] = 19131,
  [SMALL_STATE(425)] = 19175,
  [SMALL_STATE(426)] = 19221,
  [SMALL_STATE(427)] = 19267,
  [SMALL_STATE(428)] = 19313,
  [SMALL_STATE(429)] = 19359,
  [SMALL_STATE(430)] = 19405,
  [SMALL_STATE(431)] = 19451,
  [SMALL_STATE(432)] = 19495,
  [SMALL_STATE(433)] = 19541,
  [SMALL_STATE(434)] = 19585,
  [SMALL_STATE(435)] = 19623,
  [SMALL_STATE(436)] = 19669,
  [SMALL_STATE(437)] = 19699,
  [SMALL_STATE(438)] = 19743,
  [SMALL_STATE(439)] = 19786,
  [SMALL_STATE(440)] = 19829,
  [SMALL_STATE(441)] = 19872,
  [SMALL_STATE(442)] = 19899,
  [SMALL_STATE(443)] = 19940,
  [SMALL_STATE(444)] = 19981,
  [SMALL_STATE(445)] = 20008,
  [SMALL_STATE(446)] = 20051,
  [SMALL_STATE(447)] = 20092,
  [SMALL_STATE(448)] = 20131,
  [SMALL_STATE(449)] = 20172,
  [SMALL_STATE(450)] = 20215,
  [SMALL_STATE(451)] = 20256,
  [SMALL_STATE(452)] = 20299,
  [SMALL_STATE(453)] = 20342,
  [SMALL_STATE(454)] = 20383,
  [SMALL_STATE(455)] = 20416,
  [SMALL_STATE(456)] = 20459,
  [SMALL_STATE(457)] = 20500,
  [SMALL_STATE(458)] = 20541,
  [SMALL_STATE(459)] = 20584,
  [SMALL_STATE(460)] = 20627,
  [SMALL_STATE(461)] = 20670,
  [SMALL_STATE(462)] = 20713,
  [SMALL_STATE(463)] = 20756,
  [SMALL_STATE(464)] = 20799,
  [SMALL_STATE(465)] = 20842,
  [SMALL_STATE(466)] = 20883,
  [SMALL_STATE(467)] = 20926,
  [SMALL_STATE(468)] = 20969,
  [SMALL_STATE(469)] = 20998,
  [SMALL_STATE(470)] = 21039,
  [SMALL_STATE(471)] = 21068,
  [SMALL_STATE(472)] = 21109,
  [SMALL_STATE(473)] = 21150,
  [SMALL_STATE(474)] = 21191,
  [SMALL_STATE(475)] = 21217,
  [SMALL_STATE(476)] = 21241,
  [SMALL_STATE(477)] = 21265,
  [SMALL_STATE(478)] = 21303,
  [SMALL_STATE(479)] = 21327,
  [SMALL_STATE(480)] = 21351,
  [SMALL_STATE(481)] = 21391,
  [SMALL_STATE(482)] = 21415,
  [SMALL_STATE(483)] = 21457,
  [SMALL_STATE(484)] = 21481,
  [SMALL_STATE(485)] = 21505,
  [SMALL_STATE(486)] = 21547,
  [SMALL_STATE(487)] = 21573,
  [SMALL_STATE(488)] = 21615,
  [SMALL_STATE(489)] = 21641,
  [SMALL_STATE(490)] = 21665,
  [SMALL_STATE(491)] = 21689,
  [SMALL_STATE(492)] = 21731,
  [SMALL_STATE(493)] = 21755,
  [SMALL_STATE(494)] = 21779,
  [SMALL_STATE(495)] = 21803,
  [SMALL_STATE(496)] = 21835,
  [SMALL_STATE(497)] = 21874,
  [SMALL_STATE(498)] = 21897,
  [SMALL_STATE(499)] = 21920,
  [SMALL_STATE(500)] = 21957,
  [SMALL_STATE(501)] = 21996,
  [SMALL_STATE(502)] = 22035,
  [SMALL_STATE(503)] = 22074,
  [SMALL_STATE(504)] = 22113,
  [SMALL_STATE(505)] = 22140,
  [SMALL_STATE(506)] = 22175,
  [SMALL_STATE(507)] = 22197,
  [SMALL_STATE(508)] = 22221,
  [SMALL_STATE(509)] = 22253,
  [SMALL_STATE(510)] = 22277,
  [SMALL_STATE(511)] = 22303,
  [SMALL_STATE(512)] = 22327,
  [SMALL_STATE(513)] = 22351,
  [SMALL_STATE(514)] = 22373,
  [SMALL_STATE(515)] = 22397,
  [SMALL_STATE(516)] = 22429,
  [SMALL_STATE(517)] = 22455,
  [SMALL_STATE(518)] = 22479,
  [SMALL_STATE(519)] = 22503,
  [SMALL_STATE(520)] = 22525,
  [SMALL_STATE(521)] = 22547,
  [SMALL_STATE(522)] = 22566,
  [SMALL_STATE(523)] = 22589,
  [SMALL_STATE(524)] = 22610,
  [SMALL_STATE(525)] = 22633,
  [SMALL_STATE(526)] = 22656,
  [SMALL_STATE(527)] = 22677,
  [SMALL_STATE(528)] = 22698,
  [SMALL_STATE(529)] = 22721,
  [SMALL_STATE(530)] = 22744,
  [SMALL_STATE(531)] = 22765,
  [SMALL_STATE(532)] = 22788,
  [SMALL_STATE(533)] = 22807,
  [SMALL_STATE(534)] = 22832,
  [SMALL_STATE(535)] = 22855,
  [SMALL_STATE(536)] = 22878,
  [SMALL_STATE(537)] = 22901,
  [SMALL_STATE(538)] = 22924,
  [SMALL_STATE(539)] = 22943,
  [SMALL_STATE(540)] = 22964,
  [SMALL_STATE(541)] = 22986,
  [SMALL_STATE(542)] = 23010,
  [SMALL_STATE(543)] = 23030,
  [SMALL_STATE(544)] = 23052,
  [SMALL_STATE(545)] = 23082,
  [SMALL_STATE(546)] = 23104,
  [SMALL_STATE(547)] = 23124,
  [SMALL_STATE(548)] = 23154,
  [SMALL_STATE(549)] = 23176,
  [SMALL_STATE(550)] = 23198,
  [SMALL_STATE(551)] = 23220,
  [SMALL_STATE(552)] = 23242,
  [SMALL_STATE(553)] = 23261,
  [SMALL_STATE(554)] = 23282,
  [SMALL_STATE(555)] = 23303,
  [SMALL_STATE(556)] = 23322,
  [SMALL_STATE(557)] = 23351,
  [SMALL_STATE(558)] = 23374,
  [SMALL_STATE(559)] = 23393,
  [SMALL_STATE(560)] = 23416,
  [SMALL_STATE(561)] = 23437,
  [SMALL_STATE(562)] = 23456,
  [SMALL_STATE(563)] = 23477,
  [SMALL_STATE(564)] = 23496,
  [SMALL_STATE(565)] = 23527,
  [SMALL_STATE(566)] = 23556,
  [SMALL_STATE(567)] = 23585,
  [SMALL_STATE(568)] = 23614,
  [SMALL_STATE(569)] = 23643,
  [SMALL_STATE(570)] = 23672,
  [SMALL_STATE(571)] = 23693,
  [SMALL_STATE(572)] = 23722,
  [SMALL_STATE(573)] = 23751,
  [SMALL_STATE(574)] = 23780,
  [SMALL_STATE(575)] = 23799,
  [SMALL_STATE(576)] = 23820,
  [SMALL_STATE(577)] = 23841,
  [SMALL_STATE(578)] = 23857,
  [SMALL_STATE(579)] = 23873,
  [SMALL_STATE(580)] = 23891,
  [SMALL_STATE(581)] = 23909,
  [SMALL_STATE(582)] = 23929,
  [SMALL_STATE(583)] = 23945,
  [SMALL_STATE(584)] = 23963,
  [SMALL_STATE(585)] = 23987,
  [SMALL_STATE(586)] = 24005,
  [SMALL_STATE(587)] = 24023,
  [SMALL_STATE(588)] = 24041,
  [SMALL_STATE(589)] = 24057,
  [SMALL_STATE(590)] = 24077,
  [SMALL_STATE(591)] = 24095,
  [SMALL_STATE(592)] = 24113,
  [SMALL_STATE(593)] = 24133,
  [SMALL_STATE(594)] = 24149,
  [SMALL_STATE(595)] = 24165,
  [SMALL_STATE(596)] = 24187,
  [SMALL_STATE(597)] = 24207,
  [SMALL_STATE(598)] = 24225,
  [SMALL_STATE(599)] = 24245,
  [SMALL_STATE(600)] = 24261,
  [SMALL_STATE(601)] = 24281,
  [SMALL_STATE(602)] = 24297,
  [SMALL_STATE(603)] = 24315,
  [SMALL_STATE(604)] = 24333,
  [SMALL_STATE(605)] = 24351,
  [SMALL_STATE(606)] = 24371,
  [SMALL_STATE(607)] = 24387,
  [SMALL_STATE(608)] = 24407,
  [SMALL_STATE(609)] = 24423,
  [SMALL_STATE(610)] = 24439,
  [SMALL_STATE(611)] = 24459,
  [SMALL_STATE(612)] = 24475,
  [SMALL_STATE(613)] = 24493,
  [SMALL_STATE(614)] = 24508,
  [SMALL_STATE(615)] = 24527,
  [SMALL_STATE(616)] = 24548,
  [SMALL_STATE(617)] = 24563,
  [SMALL_STATE(618)] = 24584,
  [SMALL_STATE(619)] = 24603,
  [SMALL_STATE(620)] = 24618,
  [SMALL_STATE(621)] = 24633,
  [SMALL_STATE(622)] = 24652,
  [SMALL_STATE(623)] = 24669,
  [SMALL_STATE(624)] = 24686,
  [SMALL_STATE(625)] = 24707,
  [SMALL_STATE(626)] = 24728,
  [SMALL_STATE(627)] = 24745,
  [SMALL_STATE(628)] = 24764,
  [SMALL_STATE(629)] = 24779,
  [SMALL_STATE(630)] = 24794,
  [SMALL_STATE(631)] = 24813,
  [SMALL_STATE(632)] = 24828,
  [SMALL_STATE(633)] = 24849,
  [SMALL_STATE(634)] = 24866,
  [SMALL_STATE(635)] = 24883,
  [SMALL_STATE(636)] = 24898,
  [SMALL_STATE(637)] = 24917,
  [SMALL_STATE(638)] = 24936,
  [SMALL_STATE(639)] = 24953,
  [SMALL_STATE(640)] = 24972,
  [SMALL_STATE(641)] = 24991,
  [SMALL_STATE(642)] = 25008,
  [SMALL_STATE(643)] = 25029,
  [SMALL_STATE(644)] = 25048,
  [SMALL_STATE(645)] = 25065,
  [SMALL_STATE(646)] = 25082,
  [SMALL_STATE(647)] = 25101,
  [SMALL_STATE(648)] = 25116,
  [SMALL_STATE(649)] = 25137,
  [SMALL_STATE(650)] = 25152,
  [SMALL_STATE(651)] = 25167,
  [SMALL_STATE(652)] = 25186,
  [SMALL_STATE(653)] = 25201,
  [SMALL_STATE(654)] = 25218,
  [SMALL_STATE(655)] = 25237,
  [SMALL_STATE(656)] = 25256,
  [SMALL_STATE(657)] = 25273,
  [SMALL_STATE(658)] = 25290,
  [SMALL_STATE(659)] = 25310,
  [SMALL_STATE(660)] = 25326,
  [SMALL_STATE(661)] = 25342,
  [SMALL_STATE(662)] = 25358,
  [SMALL_STATE(663)] = 25378,
  [SMALL_STATE(664)] = 25398,
  [SMALL_STATE(665)] = 25414,
  [SMALL_STATE(666)] = 25430,
  [SMALL_STATE(667)] = 25446,
  [SMALL_STATE(668)] = 25462,
  [SMALL_STATE(669)] = 25482,
  [SMALL_STATE(670)] = 25502,
  [SMALL_STATE(671)] = 25518,
  [SMALL_STATE(672)] = 25536,
  [SMALL_STATE(673)] = 25552,
  [SMALL_STATE(674)] = 25568,
  [SMALL_STATE(675)] = 25588,
  [SMALL_STATE(676)] = 25604,
  [SMALL_STATE(677)] = 25624,
  [SMALL_STATE(678)] = 25640,
  [SMALL_STATE(679)] = 25660,
  [SMALL_STATE(680)] = 25676,
  [SMALL_STATE(681)] = 25696,
  [SMALL_STATE(682)] = 25712,
  [SMALL_STATE(683)] = 25732,
  [SMALL_STATE(684)] = 25748,
  [SMALL_STATE(685)] = 25768,
  [SMALL_STATE(686)] = 25784,
  [SMALL_STATE(687)] = 25800,
  [SMALL_STATE(688)] = 25816,
  [SMALL_STATE(689)] = 25836,
  [SMALL_STATE(690)] = 25852,
  [SMALL_STATE(691)] = 25868,
  [SMALL_STATE(692)] = 25884,
  [SMALL_STATE(693)] = 25900,
  [SMALL_STATE(694)] = 25916,
  [SMALL_STATE(695)] = 25932,
  [SMALL_STATE(696)] = 25950,
  [SMALL_STATE(697)] = 25972,
  [SMALL_STATE(698)] = 25994,
  [SMALL_STATE(699)] = 26010,
  [SMALL_STATE(700)] = 26032,
  [SMALL_STATE(701)] = 26048,
  [SMALL_STATE(702)] = 26064,
  [SMALL_STATE(703)] = 26080,
  [SMALL_STATE(704)] = 26100,
  [SMALL_STATE(705)] = 26120,
  [SMALL_STATE(706)] = 26140,
  [SMALL_STATE(707)] = 26156,
  [SMALL_STATE(708)] = 26172,
  [SMALL_STATE(709)] = 26188,
  [SMALL_STATE(710)] = 26204,
  [SMALL_STATE(711)] = 26224,
  [SMALL_STATE(712)] = 26242,
  [SMALL_STATE(713)] = 26258,
  [SMALL_STATE(714)] = 26274,
  [SMALL_STATE(715)] = 26294,
  [SMALL_STATE(716)] = 26310,
  [SMALL_STATE(717)] = 26326,
  [SMALL_STATE(718)] = 26345,
  [SMALL_STATE(719)] = 26364,
  [SMALL_STATE(720)] = 26379,
  [SMALL_STATE(721)] = 26394,
  [SMALL_STATE(722)] = 26413,
  [SMALL_STATE(723)] = 26432,
  [SMALL_STATE(724)] = 26451,
  [SMALL_STATE(725)] = 26466,
  [SMALL_STATE(726)] = 26485,
  [SMALL_STATE(727)] = 26504,
  [SMALL_STATE(728)] = 26523,
  [SMALL_STATE(729)] = 26542,
  [SMALL_STATE(730)] = 26561,
  [SMALL_STATE(731)] = 26576,
  [SMALL_STATE(732)] = 26591,
  [SMALL_STATE(733)] = 26610,
  [SMALL_STATE(734)] = 26625,
  [SMALL_STATE(735)] = 26644,
  [SMALL_STATE(736)] = 26661,
  [SMALL_STATE(737)] = 26676,
  [SMALL_STATE(738)] = 26691,
  [SMALL_STATE(739)] = 26706,
  [SMALL_STATE(740)] = 26721,
  [SMALL_STATE(741)] = 26736,
  [SMALL_STATE(742)] = 26755,
  [SMALL_STATE(743)] = 26770,
  [SMALL_STATE(744)] = 26789,
  [SMALL_STATE(745)] = 26806,
  [SMALL_STATE(746)] = 26821,
  [SMALL_STATE(747)] = 26840,
  [SMALL_STATE(748)] = 26859,
  [SMALL_STATE(749)] = 26878,
  [SMALL_STATE(750)] = 26892,
  [SMALL_STATE(751)] = 26906,
  [SMALL_STATE(752)] = 26920,
  [SMALL_STATE(753)] = 26936,
  [SMALL_STATE(754)] = 26950,
  [SMALL_STATE(755)] = 26966,
  [SMALL_STATE(756)] = 26982,
  [SMALL_STATE(757)] = 26998,
  [SMALL_STATE(758)] = 27012,
  [SMALL_STATE(759)] = 27022,
  [SMALL_STATE(760)] = 27036,
  [SMALL_STATE(761)] = 27052,
  [SMALL_STATE(762)] = 27068,
  [SMALL_STATE(763)] = 27084,
  [SMALL_STATE(764)] = 27100,
  [SMALL_STATE(765)] = 27114,
  [SMALL_STATE(766)] = 27128,
  [SMALL_STATE(767)] = 27142,
  [SMALL_STATE(768)] = 27156,
  [SMALL_STATE(769)] = 27172,
  [SMALL_STATE(770)] = 27186,
  [SMALL_STATE(771)] = 27202,
  [SMALL_STATE(772)] = 27218,
  [SMALL_STATE(773)] = 27232,
  [SMALL_STATE(774)] = 27246,
  [SMALL_STATE(775)] = 27260,
  [SMALL_STATE(776)] = 27276,
  [SMALL_STATE(777)] = 27290,
  [SMALL_STATE(778)] = 27306,
  [SMALL_STATE(779)] = 27322,
  [SMALL_STATE(780)] = 27338,
  [SMALL_STATE(781)] = 27352,
  [SMALL_STATE(782)] = 27368,
  [SMALL_STATE(783)] = 27384,
  [SMALL_STATE(784)] = 27398,
  [SMALL_STATE(785)] = 27414,
  [SMALL_STATE(786)] = 27430,
  [SMALL_STATE(787)] = 27444,
  [SMALL_STATE(788)] = 27460,
  [SMALL_STATE(789)] = 27476,
  [SMALL_STATE(790)] = 27489,
  [SMALL_STATE(791)] = 27498,
  [SMALL_STATE(792)] = 27511,
  [SMALL_STATE(793)] = 27524,
  [SMALL_STATE(794)] = 27533,
  [SMALL_STATE(795)] = 27546,
  [SMALL_STATE(796)] = 27559,
  [SMALL_STATE(797)] = 27568,
  [SMALL_STATE(798)] = 27581,
  [SMALL_STATE(799)] = 27594,
  [SMALL_STATE(800)] = 27607,
  [SMALL_STATE(801)] = 27620,
  [SMALL_STATE(802)] = 27633,
  [SMALL_STATE(803)] = 27646,
  [SMALL_STATE(804)] = 27655,
  [SMALL_STATE(805)] = 27668,
  [SMALL_STATE(806)] = 27681,
  [SMALL_STATE(807)] = 27694,
  [SMALL_STATE(808)] = 27705,
  [SMALL_STATE(809)] = 27718,
  [SMALL_STATE(810)] = 27731,
  [SMALL_STATE(811)] = 27744,
  [SMALL_STATE(812)] = 27755,
  [SMALL_STATE(813)] = 27764,
  [SMALL_STATE(814)] = 27775,
  [SMALL_STATE(815)] = 27788,
  [SMALL_STATE(816)] = 27801,
  [SMALL_STATE(817)] = 27814,
  [SMALL_STATE(818)] = 27827,
  [SMALL_STATE(819)] = 27840,
  [SMALL_STATE(820)] = 27853,
  [SMALL_STATE(821)] = 27866,
  [SMALL_STATE(822)] = 27875,
  [SMALL_STATE(823)] = 27884,
  [SMALL_STATE(824)] = 27893,
  [SMALL_STATE(825)] = 27906,
  [SMALL_STATE(826)] = 27919,
  [SMALL_STATE(827)] = 27930,
  [SMALL_STATE(828)] = 27943,
  [SMALL_STATE(829)] = 27956,
  [SMALL_STATE(830)] = 27969,
  [SMALL_STATE(831)] = 27982,
  [SMALL_STATE(832)] = 27995,
  [SMALL_STATE(833)] = 28008,
  [SMALL_STATE(834)] = 28017,
  [SMALL_STATE(835)] = 28030,
  [SMALL_STATE(836)] = 28043,
  [SMALL_STATE(837)] = 28056,
  [SMALL_STATE(838)] = 28069,
  [SMALL_STATE(839)] = 28080,
  [SMALL_STATE(840)] = 28093,
  [SMALL_STATE(841)] = 28102,
  [SMALL_STATE(842)] = 28115,
  [SMALL_STATE(843)] = 28128,
  [SMALL_STATE(844)] = 28141,
  [SMALL_STATE(845)] = 28154,
  [SMALL_STATE(846)] = 28167,
  [SMALL_STATE(847)] = 28180,
  [SMALL_STATE(848)] = 28193,
  [SMALL_STATE(849)] = 28206,
  [SMALL_STATE(850)] = 28219,
  [SMALL_STATE(851)] = 28232,
  [SMALL_STATE(852)] = 28245,
  [SMALL_STATE(853)] = 28258,
  [SMALL_STATE(854)] = 28271,
  [SMALL_STATE(855)] = 28284,
  [SMALL_STATE(856)] = 28295,
  [SMALL_STATE(857)] = 28308,
  [SMALL_STATE(858)] = 28321,
  [SMALL_STATE(859)] = 28334,
  [SMALL_STATE(860)] = 28345,
  [SMALL_STATE(861)] = 28354,
  [SMALL_STATE(862)] = 28367,
  [SMALL_STATE(863)] = 28380,
  [SMALL_STATE(864)] = 28393,
  [SMALL_STATE(865)] = 28406,
  [SMALL_STATE(866)] = 28419,
  [SMALL_STATE(867)] = 28432,
  [SMALL_STATE(868)] = 28445,
  [SMALL_STATE(869)] = 28455,
  [SMALL_STATE(870)] = 28465,
  [SMALL_STATE(871)] = 28475,
  [SMALL_STATE(872)] = 28485,
  [SMALL_STATE(873)] = 28495,
  [SMALL_STATE(874)] = 28505,
  [SMALL_STATE(875)] = 28515,
  [SMALL_STATE(876)] = 28525,
  [SMALL_STATE(877)] = 28535,
  [SMALL_STATE(878)] = 28545,
  [SMALL_STATE(879)] = 28555,
  [SMALL_STATE(880)] = 28565,
  [SMALL_STATE(881)] = 28575,
  [SMALL_STATE(882)] = 28585,
  [SMALL_STATE(883)] = 28593,
  [SMALL_STATE(884)] = 28603,
  [SMALL_STATE(885)] = 28613,
  [SMALL_STATE(886)] = 28623,
  [SMALL_STATE(887)] = 28633,
  [SMALL_STATE(888)] = 28643,
  [SMALL_STATE(889)] = 28653,
  [SMALL_STATE(890)] = 28663,
  [SMALL_STATE(891)] = 28673,
  [SMALL_STATE(892)] = 28683,
  [SMALL_STATE(893)] = 28693,
  [SMALL_STATE(894)] = 28703,
  [SMALL_STATE(895)] = 28713,
  [SMALL_STATE(896)] = 28723,
  [SMALL_STATE(897)] = 28733,
  [SMALL_STATE(898)] = 28743,
  [SMALL_STATE(899)] = 28753,
  [SMALL_STATE(900)] = 28763,
  [SMALL_STATE(901)] = 28773,
  [SMALL_STATE(902)] = 28783,
  [SMALL_STATE(903)] = 28793,
  [SMALL_STATE(904)] = 28803,
  [SMALL_STATE(905)] = 28813,
  [SMALL_STATE(906)] = 28823,
  [SMALL_STATE(907)] = 28833,
  [SMALL_STATE(908)] = 28843,
  [SMALL_STATE(909)] = 28853,
  [SMALL_STATE(910)] = 28861,
  [SMALL_STATE(911)] = 28871,
  [SMALL_STATE(912)] = 28881,
  [SMALL_STATE(913)] = 28891,
  [SMALL_STATE(914)] = 28901,
  [SMALL_STATE(915)] = 28911,
  [SMALL_STATE(916)] = 28921,
  [SMALL_STATE(917)] = 28931,
  [SMALL_STATE(918)] = 28941,
  [SMALL_STATE(919)] = 28949,
  [SMALL_STATE(920)] = 28957,
  [SMALL_STATE(921)] = 28965,
  [SMALL_STATE(922)] = 28975,
  [SMALL_STATE(923)] = 28983,
  [SMALL_STATE(924)] = 28993,
  [SMALL_STATE(925)] = 29003,
  [SMALL_STATE(926)] = 29013,
  [SMALL_STATE(927)] = 29023,
  [SMALL_STATE(928)] = 29033,
  [SMALL_STATE(929)] = 29043,
  [SMALL_STATE(930)] = 29053,
  [SMALL_STATE(931)] = 29063,
  [SMALL_STATE(932)] = 29073,
  [SMALL_STATE(933)] = 29083,
  [SMALL_STATE(934)] = 29093,
  [SMALL_STATE(935)] = 29103,
  [SMALL_STATE(936)] = 29113,
  [SMALL_STATE(937)] = 29121,
  [SMALL_STATE(938)] = 29129,
  [SMALL_STATE(939)] = 29139,
  [SMALL_STATE(940)] = 29149,
  [SMALL_STATE(941)] = 29159,
  [SMALL_STATE(942)] = 29169,
  [SMALL_STATE(943)] = 29177,
  [SMALL_STATE(944)] = 29185,
  [SMALL_STATE(945)] = 29195,
  [SMALL_STATE(946)] = 29205,
  [SMALL_STATE(947)] = 29215,
  [SMALL_STATE(948)] = 29225,
  [SMALL_STATE(949)] = 29235,
  [SMALL_STATE(950)] = 29245,
  [SMALL_STATE(951)] = 29255,
  [SMALL_STATE(952)] = 29263,
  [SMALL_STATE(953)] = 29271,
  [SMALL_STATE(954)] = 29281,
  [SMALL_STATE(955)] = 29289,
  [SMALL_STATE(956)] = 29299,
  [SMALL_STATE(957)] = 29309,
  [SMALL_STATE(958)] = 29319,
  [SMALL_STATE(959)] = 29329,
  [SMALL_STATE(960)] = 29339,
  [SMALL_STATE(961)] = 29349,
  [SMALL_STATE(962)] = 29359,
  [SMALL_STATE(963)] = 29369,
  [SMALL_STATE(964)] = 29379,
  [SMALL_STATE(965)] = 29386,
  [SMALL_STATE(966)] = 29393,
  [SMALL_STATE(967)] = 29400,
  [SMALL_STATE(968)] = 29407,
  [SMALL_STATE(969)] = 29414,
  [SMALL_STATE(970)] = 29421,
  [SMALL_STATE(971)] = 29428,
  [SMALL_STATE(972)] = 29435,
  [SMALL_STATE(973)] = 29442,
  [SMALL_STATE(974)] = 29449,
  [SMALL_STATE(975)] = 29456,
  [SMALL_STATE(976)] = 29463,
  [SMALL_STATE(977)] = 29470,
  [SMALL_STATE(978)] = 29477,
  [SMALL_STATE(979)] = 29484,
  [SMALL_STATE(980)] = 29491,
  [SMALL_STATE(981)] = 29498,
  [SMALL_STATE(982)] = 29505,
  [SMALL_STATE(983)] = 29512,
  [SMALL_STATE(984)] = 29519,
  [SMALL_STATE(985)] = 29526,
  [SMALL_STATE(986)] = 29533,
  [SMALL_STATE(987)] = 29540,
  [SMALL_STATE(988)] = 29547,
  [SMALL_STATE(989)] = 29554,
  [SMALL_STATE(990)] = 29561,
  [SMALL_STATE(991)] = 29568,
  [SMALL_STATE(992)] = 29575,
  [SMALL_STATE(993)] = 29582,
  [SMALL_STATE(994)] = 29589,
  [SMALL_STATE(995)] = 29596,
  [SMALL_STATE(996)] = 29603,
  [SMALL_STATE(997)] = 29610,
  [SMALL_STATE(998)] = 29617,
  [SMALL_STATE(999)] = 29624,
  [SMALL_STATE(1000)] = 29631,
  [SMALL_STATE(1001)] = 29638,
  [SMALL_STATE(1002)] = 29645,
  [SMALL_STATE(1003)] = 29652,
  [SMALL_STATE(1004)] = 29659,
  [SMALL_STATE(1005)] = 29666,
  [SMALL_STATE(1006)] = 29673,
  [SMALL_STATE(1007)] = 29680,
  [SMALL_STATE(1008)] = 29687,
  [SMALL_STATE(1009)] = 29694,
  [SMALL_STATE(1010)] = 29701,
  [SMALL_STATE(1011)] = 29708,
  [SMALL_STATE(1012)] = 29715,
  [SMALL_STATE(1013)] = 29722,
  [SMALL_STATE(1014)] = 29729,
  [SMALL_STATE(1015)] = 29736,
  [SMALL_STATE(1016)] = 29743,
  [SMALL_STATE(1017)] = 29750,
  [SMALL_STATE(1018)] = 29757,
  [SMALL_STATE(1019)] = 29764,
  [SMALL_STATE(1020)] = 29771,
  [SMALL_STATE(1021)] = 29778,
  [SMALL_STATE(1022)] = 29785,
  [SMALL_STATE(1023)] = 29792,
  [SMALL_STATE(1024)] = 29799,
  [SMALL_STATE(1025)] = 29806,
  [SMALL_STATE(1026)] = 29813,
  [SMALL_STATE(1027)] = 29820,
  [SMALL_STATE(1028)] = 29827,
  [SMALL_STATE(1029)] = 29834,
  [SMALL_STATE(1030)] = 29841,
  [SMALL_STATE(1031)] = 29848,
  [SMALL_STATE(1032)] = 29855,
  [SMALL_STATE(1033)] = 29862,
  [SMALL_STATE(1034)] = 29869,
  [SMALL_STATE(1035)] = 29876,
  [SMALL_STATE(1036)] = 29883,
  [SMALL_STATE(1037)] = 29890,
  [SMALL_STATE(1038)] = 29897,
  [SMALL_STATE(1039)] = 29904,
  [SMALL_STATE(1040)] = 29911,
  [SMALL_STATE(1041)] = 29918,
  [SMALL_STATE(1042)] = 29925,
  [SMALL_STATE(1043)] = 29932,
  [SMALL_STATE(1044)] = 29939,
  [SMALL_STATE(1045)] = 29946,
  [SMALL_STATE(1046)] = 29953,
  [SMALL_STATE(1047)] = 29960,
  [SMALL_STATE(1048)] = 29967,
  [SMALL_STATE(1049)] = 29974,
  [SMALL_STATE(1050)] = 29981,
  [SMALL_STATE(1051)] = 29988,
  [SMALL_STATE(1052)] = 29995,
  [SMALL_STATE(1053)] = 30002,
  [SMALL_STATE(1054)] = 30009,
  [SMALL_STATE(1055)] = 30016,
  [SMALL_STATE(1056)] = 30023,
  [SMALL_STATE(1057)] = 30030,
  [SMALL_STATE(1058)] = 30037,
  [SMALL_STATE(1059)] = 30044,
  [SMALL_STATE(1060)] = 30051,
  [SMALL_STATE(1061)] = 30058,
  [SMALL_STATE(1062)] = 30065,
  [SMALL_STATE(1063)] = 30072,
  [SMALL_STATE(1064)] = 30079,
  [SMALL_STATE(1065)] = 30086,
  [SMALL_STATE(1066)] = 30093,
  [SMALL_STATE(1067)] = 30100,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [81] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9),
  [83] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1054),
  [86] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(794),
  [89] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1052),
  [92] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(277),
  [95] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(100),
  [98] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(114),
  [101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(987),
  [104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(870),
  [107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1066),
  [110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1065),
  [113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(787),
  [116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(872),
  [119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(873),
  [122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(781),
  [125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(779),
  [128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(883),
  [131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1055),
  [134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(970),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(865),
  [148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1060),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(397),
  [154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(115),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(117),
  [160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1036),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(885),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1037),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1038),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(784),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(880),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(881),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(782),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(762),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(934),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1039),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 1),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 19),
  [225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 19),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primitive, 1, 0, 0),
  [231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primitive, 1, 0, 0),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 14),
  [251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 14),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 26),
  [255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 26),
  [257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 36),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 36),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 3, 0, 0),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 3, 0, 0),
  [281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 5, 0, 37),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 5, 0, 37),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 20),
  [307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 20),
  [309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(870),
  [324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(873),
  [327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(781),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(779),
  [333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(883),
  [336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(1055),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 47),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 47),
  [345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 40),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 40),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 28),
  [353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 28),
  [355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 39),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 39),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(885),
  [392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(881),
  [395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(782),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(762),
  [401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(934),
  [404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(1039),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0), SHIFT_REPEAT(729),
  [428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_expression, 1, 0, 0),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_expression, 1, 0, 0),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 3, 0, 46),
  [452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 3, 0, 46),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 2, 0, 38),
  [464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 2, 0, 38),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(956),
  [475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50),
  [477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50),
  [479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(160),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(935),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 38),
  [563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 38),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(162),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 2, 0, 27),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 2, 0, 27),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 2, 0, 11),
  [592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 2, 0, 11),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(958),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(924),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1, 0, 0),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1, 0, 0),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node, 1, 0, 1),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node, 1, 0, 1),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_statement, 1, 0, 1),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_statement, 1, 0, 1),
  [672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(953),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 43),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 43),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 6, 0, 40),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 6, 0, 40),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 2, 0, 8),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2, 0, 8),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 5, 0, 28),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 5, 0, 28),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_statement, 2, 0, 8),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_statement, 2, 0, 8),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 2, 0, 0),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 2, 0, 0),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 30),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 30),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 2, 0, 0),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 2, 0, 0),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 3, 0, 0),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 3, 0, 0),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 31),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 31),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3, 0, 13),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3, 0, 13),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 3, 0, 0),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 3, 0, 0),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 3, 0, 0),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 3, 0, 0),
  [819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(186),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctype, 4, 0, 0),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctype, 4, 0, 0),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 13),
  [832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 13),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_tag, 3, 0, 0),
  [836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_tag, 3, 0, 0),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 4, 0, 0),
  [844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 4, 0, 0),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 3, 0, 0),
  [881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 3, 0, 0),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(941),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(552),
  [1003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(432),
  [1006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(1006),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [1012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(416),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(585),
  [1067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [1070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(977),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [1076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(428),
  [1079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(421),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 3, 0, 0),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(148),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(926),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(179),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [1115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(145),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(868),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(206),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 1, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(728),
  [1201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(729),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(1017),
  [1209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(194),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 4, 0, 45),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 4, 0, 45),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 1, 0, 18),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [1246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(175),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_binding, 4, 0, 0),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_binding, 4, 0, 0),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(876),
  [1296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(201),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 3, 0, 32),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 2, 0, 21),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 25),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(189),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(947),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(910),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [1398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1027),
  [1401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 62),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 59),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 53),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(171),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 50), SHIFT_REPEAT(154),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_declaration, 6, 0, 51),
  [1474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(962),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 4, 0, 25),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 2, 0, 41),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [1499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(760),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(760),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 3, 0, 48),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0),
  [1525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1048),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(768),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(768),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 52),
  [1538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 52), SHIFT_REPEAT(887),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 2, 0, 0),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 1, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [1555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(939),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0),
  [1566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(839),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 53),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 3, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 3, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 8),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 4, 0, 53),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(473),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 4, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 5, 0, 66),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 64),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 63),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 23),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 31),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 41),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 2, 0, 55),
  [1700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(347),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_references, 2, 0, 29),
  [1716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 34), SHIFT_REPEAT(754),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 34),
  [1721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_references_repeat1, 2, 0, 49), SHIFT_REPEAT(906),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_references_repeat1, 2, 0, 49),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 41),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_references, 3, 0, 42),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_references_repeat1, 2, 0, 29),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else_template_expression, 3, 0, 0),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 4, 0, 0),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timed_expression, 3, 0, 35),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 22),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 4, 0, 0),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__then_template_expression, 3, 0, 0),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_case, 4, 0, 58),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_case, 4, 0, 58),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 3, 0, 0),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 3, 0, 0),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 54),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 3, 0, 22),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 56),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 57),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_minimum, 3, 0, 24),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 3, 0, 22),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_clause, 1, 0, 0),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 4, 0, 33),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_member_expression, 3, 0, 0),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_reference, 3, 0, 0),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 4, 0, 60),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 5, 0, 44),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 4, 0, 61),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 5, 0, 65),
  [2006] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__start_tag_name = 0,
  ts_external_token__script_start_tag_name = 1,
  ts_external_token__style_start_tag_name = 2,
  ts_external_token__end_tag_name = 3,
  ts_external_token_erroneous_end_tag_name = 4,
  ts_external_token_SLASH_GT = 5,
  ts_external_token__implicit_end_tag = 6,
  ts_external_token_raw_text = 7,
  ts_external_token_comment = 8,
  ts_external_token__interpolation_start = 9,
  ts_external_token__interpolation_end = 10,
  ts_external_token_if_start = 11,
  ts_external_token_else_start = 12,
  ts_external_token_for_start = 13,
  ts_external_token_switch_start = 14,
  ts_external_token_case_start = 15,
  ts_external_token_default_start = 16,
  ts_external_token_defer_start = 17,
  ts_external_token_let_start = 18,
  ts_external_token_empty_start = 19,
  ts_external_token_placeholder_start = 20,
  ts_external_token_loading_start = 21,
  ts_external_token_error_start = 22,
  ts_external_token_else_if_start = 23,
  ts_external_token_at_sign = 24,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__script_start_tag_name] = sym__script_start_tag_name,
  [ts_external_token__style_start_tag_name] = sym__style_start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
  [ts_external_token__implicit_end_tag] = sym__implicit_end_tag,
  [ts_external_token_raw_text] = sym_raw_text,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__interpolation_start] = sym__interpolation_start,
  [ts_external_token__interpolation_end] = sym__interpolation_end,
  [ts_external_token_if_start] = sym_if_start,
  [ts_external_token_else_start] = sym_else_start,
  [ts_external_token_for_start] = sym_for_start,
  [ts_external_token_switch_start] = sym_switch_start,
  [ts_external_token_case_start] = sym_case_start,
  [ts_external_token_default_start] = sym_default_start,
  [ts_external_token_defer_start] = sym_defer_start,
  [ts_external_token_let_start] = sym_let_start,
  [ts_external_token_empty_start] = sym_empty_start,
  [ts_external_token_placeholder_start] = sym_placeholder_start,
  [ts_external_token_loading_start] = sym_loading_start,
  [ts_external_token_error_start] = sym_error_start,
  [ts_external_token_else_if_start] = sym_else_if_start,
  [ts_external_token_at_sign] = sym_at_sign,
};

static const bool ts_external_scanner_states[13][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token__interpolation_end] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [3] = {
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_end] = true,
  },
  [6] = {
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
  },
  [8] = {
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
  },
  [9] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_angular_external_scanner_create(void);
void tree_sitter_angular_external_scanner_destroy(void *);
bool tree_sitter_angular_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_angular_external_scanner_serialize(void *, char *);
void tree_sitter_angular_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_angular(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_angular_external_scanner_create,
      tree_sitter_angular_external_scanner_destroy,
      tree_sitter_angular_external_scanner_scan,
      tree_sitter_angular_external_scanner_serialize,
      tree_sitter_angular_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
